<?php

  //include XML Header (as response will be in xml format)
  header("Content-type: text/xml");

  $lang = 'en';
  if(isset($_GET['l']) && $_GET['l'] != '')
  {
      $lang = $_GET['l'];
  }


  if(!file_exists("./lang/{$lang}.json"))
  {
    $lang = 'en';
  }


  $lang_file = "./lang/{$lang}.json";
  $lang_mapping = file_get_contents($lang_file);
  $lang_table = json_decode($lang_mapping,true);
  $lang_table = $lang_table[$lang];


  //add client surcharge
  if(file_exists("../Config/lang/{$lang}.json"))
  {
    $surcharge = file_get_contents("../Config/lang/{$lang}.json");
    $surcharge = json_decode($surcharge,true);
    $surcharge = $surcharge[$lang];
    $lang_table = array_replace($lang_table,$surcharge);
  }

  $translate_what = [];
  $translate_to = [];

  $xml = '';

  if(strpos($_GET['url'], '.php?') !== false)
  {
    $config_servernameorip= (isset($_SERVER['HTTPS']) ? "https" : "http")."://$_SERVER[HTTP_HOST]";
    $xml = file_get_contents($config_servernameorip.$_GET['url']);
  }
  else{
    $xml = file_get_contents($_SERVER['DOCUMENT_ROOT'].$_GET['url']);
  }
  //preg_match_all('/(?<=EN\_\().*?(?=\))/', $xml, $output_array);
  //preg_match_all('/EN\_\(.*?\)/', $xml, $EN_variable_to_translate);
  preg_match_all('/(?<=EN\_\().*(?=\))/', $xml, $EN_variable_to_translate);

  if(!empty($EN_variable_to_translate))
  {

    foreach ($EN_variable_to_translate[0] as $key => $value){
       $translate_what[] = "EN_({$value})";
       $parsed_value = $value;//substr($value,4,-1);

       if(array_key_exists($parsed_value,$lang_table))
       {
         $translate_to[$key] = $lang_table[$parsed_value];
       }else{
         $translate_to[$key] = $value;
       }
    }
  }

  $xml = str_replace($translate_what,$translate_to,$xml);

  echo $xml;

 ?>
