<?php
  include 'Main/autoload_extern.php';
 ?>
 
<!DOCTYPE html>
<html lang="en">

<head>

  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <meta name="description" content="">
  <meta name="author" content="">
  <link rel="stylesheet" type="text/css" href="/dhtmlx/codebase/fonts/font_roboto/roboto.css"/>
  <link rel="stylesheet" type="text/css" href="/dhtmlx/codebase/dhtmlx.css"/>
  <link rel="stylesheet" type="text/css" href="/dhtmlx/skins/web/dhtmlx.css"/>
  <link rel="stylesheet" type="text/css" href="/extern_css/bootstrap-4.5.3/css/bootstrap.min.css"/>
  <link rel="shortcut icon" type="image/x-icon" href="./Common/pics/eoqual.png" />
  <script type='text/javascript' src="/dhtmlx/codebase/dhtmlx.js"></script>
  <script type='text/javascript' src="/dhtmlx_addon/dhtmlxgrid_doublecalendarinput.js"></script>
  <script type='text/javascript' src="/dhtmlx_addon/dhtmlxgrid_searchcbfilter.js"></script>
  <link rel="stylesheet" href="/extern_css/checkbox/searchableOptionList.css">
  <script type="text/javascript" src="Main/js/jquery/jquery.js"></script>
  <script type="text/javascript" src="/extern_css/checkbox/sol.js"></script>
	<script type='text/javascript' src="/dhtmlx_addon/dhtmlxform_buttonximeo.js"></script>
  <script type='text/javascript' src="/dhtmlx_addon/c_dhtmlxutils.js"></script>
  <script src="Main/js/c_documentmanager.js"></script>

  <link rel="stylesheet" href="Main/css/eoQUAL.css"/>
  <!-- Custom fonts for this template-->
  <link href="/extern_css/font-awesome-current/css/all.min.css" rel="stylesheet" type="text/css">

  <!-- Core plugin JavaScript-->
  <script src="Main/js/jquery-easing/jquery.easing.min.js"></script>
  <!-- Custom styles for this template-->
  <link href="Main/css/sb-admin.css" rel="stylesheet">
	<link rel="stylesheet" href="Main/css/eoQUAL.css"/>
  <style>

  /*fix bug with bootstrap (grid resize after research)*/
	*, *::before, *::after {
		box-sizing: content-box;
	}
  div#layout {
		position: absolute;
		margin:0 auto;
    overflow: hidden;
		width: 100%;
		height: 100%;
	}
  </style>

  <script>

  
	var myLayout = null;
	var url_gridexamlist = '/eoQUAL/Main/dbconnector/examlist/db_gridexamlistextern.php';
	var solWarningLink = '/eoQUAL/Main/dbconnector/examlist/get_examwarning.php';
	var solTagLink = '/eoQUAL/Main/dbconnector/common/get_tag.php';
	var solTagInstDep = '/eoQUAL/Main/dbconnector/common/get_taginstdep.php';

		
	<?php create_translate_xml_js_function(); ?>

	var dhtmlxUtils;

	window.solForm 			= null;
	window.solGrid 			= null;
	window.solGridInst 		= null;
	window.solWarning 		= null;
	window.solFormInstDep	= null;

	function init_layout ()
	{
		var sex 		= <?php	if ( isset ( $_GET['sex'] ) )			echo $_GET['sex'];			?>;
		var age 		= <?php	if ( isset ( $_GET['age'] ) )			echo $_GET['age'];			?>;
		var exam_ident 	= <?php	if ( isset ( $_GET['exam_ident'] ) )	echo $_GET['exam_ident'];	?>;
		
		console.log ( 'sex        :' + sex );
		console.log ( 'age        :' + age );
		console.log ( 'exam_ident :' + exam_ident );
	
		var staffid = <?php echo $_SESSION['id'];?>;
		var isembedded = false;

		//page is embedded into eoqual frame
		if(typeof embeddedpage !== 'undefined')
			isembedded = true;

		dhtmlxUtils = new C_DhtmlxUtils(isembedded);

		window.dhx4.skin 	= 'dhx_web';
		
		myLayout = new dhtmlXLayoutObject('layout', '3J');
		myLayout.cookie_id = 'eoqualexamlistlight'+staffid;
  
		//********************************************************************************************************
		// Exams list
		//
		var MainArea_A = myLayout.cells('a');
		MainArea_A.hideHeader ();
		MainArea_A.setHeight (200);
		
		var grid_examlist = MainArea_A.attachGrid ();
    
		grid_examlist.enableMultiline ( true );
		grid_examlist.load ( url_gridexamlist+'?sex=\''+sex+'\'&age=\''+age+'\'&exam_ident='+exam_ident );
		
		
		MainArea_A.cell.classList.add ( 'eo_ztop' );


		//********************************************************************************************************
		// PDFViewer
		//
		var MainArea_B = myLayout.cells('b');
		MainArea_B.hideHeader();
		MainArea_B.cell.classList.add('eo_toolbar_bkgnd_0');		// Set background color
		
		var tab_document = MainArea_B.attachTabbar ();
		tab_document.setArrowsMode ( "auto" );


		tab_document.addTab ( 'procedure', 'Procedure' );
		var tab_procedure 	= tab_document.cells ( 'procedure' );
  
		tab_document.addTab ( 'patientsheet', 'Patient sheet' );
		var tab_patientsheet 	= tab_document.cells ( 'patientsheet' );
  
		var layout_procedure	= tab_procedure.attachLayout ( '1C' );
		var IdcProcedure		= layout_procedure.cells ( 'a' );
		IdcProcedure.hideHeader ();
  
		var layout_patientsheet	= tab_patientsheet.attachLayout ( '1C' );
		var IdcPatientSheet		= layout_patientsheet.cells ( 'a' );
		IdcPatientSheet.hideHeader ();
  
  
  /*
		var examlistlightproceduretoolbar = IdcProcedure.attachToolbar
		(
			{
				iconset: "awesome",
				skin: "dhx_web",
				height:'25',
				xml: translate_xml("/eoQUAL/Main/form_template/examlist/examlistlightdocumenttoolbar.xml")
			}
		);
		
		var examlistlightpatientsheettoolbar = IdcPatientSheet.attachToolbar
		(
			{
				iconset: "awesome",
				skin: "dhx_web",
				height:'25',
				xml: translate_xml("/eoQUAL/Main/form_template/examlist/examlistlightpatientsheettoolbar.xml")
			}
		);
		*/

		//********************************************************************************************************
		// Exam information area
		//
		var MainArea_C = myLayout.cells ( 'c' );
		MainArea_C.hideHeader ();
		MainArea_C.cell.classList.add('eo_toolbar_bkgnd_0');		// Set background color

		var examlistwarningtoolbar = MainArea_C.attachToolbar 
		(
			{
				iconset: "awesome",
				skin: "dhx_web",
				height:'25',
				xml: translate_xml("/eoQUAL/Main/form_template/examlist/examlistwarningtoolbar.xml")
			}
		);
	
		grid_examlist.attachEvent 
		(	 
			"onRowSelect", 
			function ( id, ind )
			{
				var idxdocid 			= grid_examlist.getColIndexById('doc_id');
				var doc_id 				= grid_examlist.cellById(id,idxdocid).getValue();
				var idxotherdocid		= grid_examlist.getColIndexById('doc_otherdoc_id');
				var doc_otherdoc_id		= grid_examlist.cellById ( id, idxotherdocid ).getValue();
				var documentStorage 	= '<?php echo $GLOBALS[document_storage];?>';
			
				if( doc_id != '' )
				{
					var url = '<?php echo $config_servernameorip.$config_pdfchrome;?>?docid='+doc_id + '&documentstorage=' + documentStorage;
					
				IdcProcedure.attachURL ( url, false, true );
					
				var patientSheetURL = '<?php echo $config_servernameorip.$config_pdfchrome;?>?docid='+doc_otherdoc_id + '&documentstorage=' + documentStorage;
					
				IdcPatientSheet.attachURL ( patientSheetURL, false, true );
				}
				else
				{
				IdcProcedure.attachHTMLString("<p>No file</p>");
				IdcPatientSheet.attachHTMLString("<p>No file</p>");
				}
    
				var idxsex 			= grid_examlist.getColIndexById('sex');
				var sex				= grid_examlist.cellById(id,idxsex).getValue();
				var idxage 			= grid_examlist.getColIndexById('age');
				var age				= grid_examlist.cellById(id,idxage).getValue();
				
				MainArea_C.attachURL ('/eoQUAL/Main/examwarning_list_extern.php?sex='+sex+'&age='+age+'&examid='+id, true, true );
			}
		);
	
		tab_document.setSkin ( 'material' );
		tab_procedure.setActive();
	
		window.myLayout = myLayout;
	}
</script>



<body>

<div id="layout"/>

<script>

  init_layout();


  if (window.attachEvent)
  	window.attachEvent("onresize",pageresizeLayout);
  else
  	window.addEventListener("resize",pageresizeLayout, false);


  var t;

  function pageresizeLayout(){
  	window.clearTimeout(t);
  	t = window.setTimeout(function(){
     if(myLayout != null){
  		 myLayout.setSizes(false);
    }
  	},200);
  }

</script>

</body>
</html>
