<?php 
	include 'autoload.php';
	include '../Config/config.php';
	if(!isset($_SESSION['language']))
		$_SESSION['language']="FR";
?>
<!DOCTYPE html>
<html>
  <head>
    <meta http-equiv="content-type" content="text/html; charset=ISO-8859-1">
    <title>QUAADRIL</title>
	  <style type="text/css">
	  .rotate180 {
    -webkit-transform: rotate(180deg);
    -moz-transform: rotate(180deg);
    -o-transform: rotate(180deg);
    -ms-transform: rotate(180deg);
    transform: rotate(180deg);
}
		.clickablepoint{
			cursor:pointer;
		}
		.clickablepoint:hover{
			font-weight:bold;
			text-decoration:underline;
		}
		.missingdoc{
			cursor:pointer;
			text-decoration:underline;
			color:red;
		}
		.pdflink{
			cursor:pointer;
			text-decoration:underline;
			color:blue;
			
		}
		
.doc_text {
    background: #ddd;
    color: black;
    padding: .2em ,.5em;
    border: solid .1em ;
    border-radius: 1em;
    margin-top: 1.2em;
}
.doc_text :last-child {margin-bottom: 0}
.doc_text :first-child {margin-top: 0; padding: 2em;}
/*color="rgb(204,102,0)";
                                                if(_c_val=="OK")
                                                        color="rgb(84,141,84)";
                                                if(_c_val=="KO")
                                                        color="rgb(153,0,0)";
                                                if(_c_validated=="true")        
                                                        color="rgb(50,84,70)";
*/
.pointValidated{
	background-color: rgb(50,84,70);
}
.pointOK{
	background-color: rgb(84,141,84);

}
.pointKO{
	background-color: rgb(153,0,0);
}
.pointKOK{
	background-color: rgb(204,102,0);
}
  </style>
  
    <?php /*<link rel="stylesheet" type="text/css" href="/dhtmlx/codebase/dhtmlx.css">*/ ?>
	<link rel="stylesheet" type="text/css" href="/dhtmlx/skins/web/dhtmlx.css"/>
    <script src="/dhtmlx/codebase/dhtmlx.js"></script>

  </head>
  <script>
    var current_point="-1";
	var point_list = [];
	var audit_id=-1;
	<?php if (isset($_REQUEST['audit_id'])) echo "audit_id=".$_REQUEST['audit_id'].";";?>
	
	class subrecord{
		constructor(){
			this.audit_id=-1;
			this.scope_id=-1;
			this.scope2_id=-1;
			this.point_id=-1;
			this.tag_id=-1;
			/*this.force_doctext="";
			this.force_docid=-1;*/
			this.remark="";		
			this.forcedstatus=false;
			this.doc_id=-1;
		}
	};
	function savePage()
	{
		if(audit_id!=-1)
		{
			var modifarray=[];
			var remarks= document.getElementsByClassName("remark");
			for(var i=0; i<remarks.length;i++)
			{
				var value= remarks[i].value.trim();
				if(value.length==0) continue;
				var idrem= remarks[i].id;
				let obj = new subrecord();
				obj.audit_id=audit_id;
				var id_s = idrem.split('_');
				obj.remark=value;
				for(var j=0;j<id_s.length;j++)
				{
					switch(j){
						case 1: obj.point_id=id_s[j];break;
						case 2: obj.tag_id=id_s[j];break
						case 3: obj.scope_id=id_s[j];break;
						case 4: obj.doc_id=id_s[j];break;
						case 5: obj.scope2_id=id_s[j];break;
						//case 6: obj.force_docid=id_s[j];break;
						//case 7: obj.force_doctext=id_s[j];break;
						default: break;
					}
				}
				modifarray.push(obj);
			}
			var remarkmiss=document.getElementsByClassName("remarkred");
			for(var i=0;i<remarkmiss.length;i++)
			{
				var value = remarkmiss[i].value.trim();
				if(value.length==0) continue;
				var idrem=remarkmiss[i].id;
				let obj = new subrecord();
				obj.audit_id=audit_id;
				var id_s= idrem.split('_');
				obj.remark=value;
				var cbox_id ="forceOK";
				for(var j=0;j<id_s.length;j++)
				{
					if(j>0)
						cbox_id+="_"+id_s[j];
					switch(j){
						case 1: obj.point_id=id_s[j];break;
						case 2: obj.tag_id=id_s[j];break;
						case 3: obj.scope_id=id_s[j];break;
						case 4: obj.scope2_id=id_s[j];break;
						default: break;
					}
				}
				var cbs=document.getElementById(cbox_id);
				var force=false;
				if(cbs)
					force=cbs.checked;
				obj.forcedstatus=force;
				modifarray.push(obj);
			}
			
			var cbs= document.getElementsByClassName("force_statuscb");
			for(var j=0; j< cbs.length;j++)
			{
				var value=cbs[j].value;
				var idcv=cbs[j].id;
				
			}
			
				var xhra= getxhr();
				var param_c="audit_id="+audit_id+"&point_id="+current_point;
				xhra.onreadystatechange = function f(){
				if(xhra.readyState == 4 && xhra.status == 200) {
						var  response = xhra.responseText;
						reponse = clean(xhra.responseXML.documentElement);
					}
				};
				xhra.open("POST","dbconnector/bquaadril/cleanpoint.php",true);
				xhra.setRequestHeader('Content-Type','application/x-www-form-urlencoded');
				xhra.send(param_c);
				
				console.log(modifarray.length+" elements");
				for(var i=0; i< modifarray.length;i++)
				{
					var obj=modifarray[i];
					var param = "audit_id="+obj.audit_id+"&point_id="+obj.point_id+"&tag_id="+obj.tag_id+"&scope_id="+obj.scope_id+"&scope2_id="+obj.scope2_id+"&remark="+encodeURIComponent(obj.remark)+"&forcestatus="+obj.forcedstatus+"&doc_id="+obj.doc_id;
					var xhr= getxhr();
					xhr.onreadystatechange = function f(){
					if(xhr.readyState == 4 && xhr.status == 200) {
							var  response = xhr.responseText;
							reponse = clean(xhr.responseXML.documentElement);
						}
					};
					xhr.open("POST","dbconnector/bquaadril/pointsaver.php",false);
					xhr.setRequestHeader('Content-Type','application/x-www-form-urlencoded');
					xhr.send(param);
				}
				getSummaryStatus();
				selectpoint(current_point);
			
			//	$audit_id=$_REQUEST['audit_id'];
	//$point_id=$_REQUEST['point_id'];
	//$bquaadtag_id=$_REQUEST['tag_id'];
	//$scope_id=$_REQUEST['scope_id'];
	//$scope2_id=$_REQUEST['scope2_id'];
			
			
		}
	}
	
	function getNext(point)
	{
		var p= getPoint_Listpos(point);
		console.log(p);
		return (p>=point_list.length-1)?getPoint_Listpos(current_point):(p+1);
	}
	function getPrevious(point)
	{
		var p= getPoint_Listpos(point);
		return (p<=0)?getPoint_Listpos(current_point):(p-1);
	}
	function getPoint_Listpos(point)
	{
		for (var i=0;i<point_list.length;i++)
		{
			if(point_list[i]==point)
			{
				return i;
			}
		}
		return -2;
	}
    function go(c){
      if(!c.data.replace(/\s/g,''))
        c.parentNode.removeChild(c);
    }
    function clean(d){
      var bal=d.getElementsByTagName('*');

      for(i=0;i<bal.length;i++){
        a=bal[i].previousSibling;
        if(a && a.nodeType==3)
          go(a);
        b=bal[i].nextSibling;
        if(b && b.nodeType==3)
          go(b);
      }
      return d;
    }

    function getxhr(){
      var xhr = null;

      if(window.XMLHttpRequest) // Firefox et autres
        xhr = new XMLHttpRequest();
      else if(window.ActiveXObject){ // Internet Explorer
        try {
                    xhr = new ActiveXObject("Msxml2.XMLHTTP");
                } catch (e) {
                    xhr = new ActiveXObject("Microsoft.XMLHTTP");
                }
        }
        else { // XMLHttpRequest non supportï¿½ par le navigateur
            alert("Votre navigateur ne supporte pas les objets XMLHTTPRequest...");
            xhr = false;

        }
        return xhr;
    }
	
	function selectpoint(idpoint)
	{
		current_point=idpoint;
		var param="id="+idpoint;
		var xhr= getxhr();
		xhr.onreadystatechange = function f(){
			if(xhr.readyState == 4 && xhr.status == 200) {
				var  response = xhr.responseText;
				reponse = clean(xhr.responseXML.documentElement);
				var description=reponse.getElementsByTagName('description').item(0).firstChild.nodeValue;
				var num=reponse.getElementsByTagName('num').item(0).firstChild.nodeValue;
				var maindiv=document.getElementById('main_div');
				var xhr2=getxhr();
				var tmp="<tr style=\"color:default\"><td><br></td><td style=\"height: 106px;\" colspan=\"2\"><span style=\"color: white;\"><br>              </span><table style=\"width: 100%;\" border=\"0\"> <tbody><tr><td><b>Associated Documents</b></td><td style=\"height: 20px;\"><b>Remarks</b></td></tr>";
				var color;
				xhr2.onreadystatechange= function f(){
					if(xhr2.readyState == 4 && xhr2.status == 200) {
						var  response2 = xhr2.responseText;
						reponse2= clean(xhr2.responseXML.documentElement);
						var _check=reponse2.getElementsByTagName('check').item(0);
						var _c_id=_check.getAttribute("id");
						var _c_val=_check.getAttribute("value");
						var _c_validated=_check.getAttribute("validated");
						//var _tr_sumelement=document.getElementById("status_header");
						color="point"+_c_val;
						if(_c_validated=="true")	
							color="pointValidated";
					
						var procedures = reponse2.getElementsByTagName('procedure');
						var procname="";
						var nbrdocs=0;
						var expecteds = reponse2.getElementsByTagName('expected');
						if(expecteds.length>0)
						{
							procname = expecteds.item(0).getAttribute("procedure");
							nbrdocs = expecteds.item(0).getAttribute("nbrdocs");
						}
						if(procedures.length>0)
						{
							var realfilename= procedures.item(0).getAttribute('fname');
							tmp+="<tr><td>Procedure <span class=\"pdflink\" onclick=\"displayPDFViewer('"+realfilename+"',"+procedures.item(0).getAttribute("docid")+");\">"+realfilename+"</span> </td>                    <td><textarea contenteditable=\"true\" style = \"min-width:400px;border:1px;height:85px;\" id=\"procremark_"+_c_id+"\"></textarea><br></td></tr></tbody></table><span style=\"color: white;\"><br></span> <span style=\"color: white;\"><br>              </span> </td> </tr>";
						}
						else tmp+="</tbody></table>";
						
						var entities = reponse2.getElementsByTagName('entity');
						for(var j = 0; j<entities.length && entities.length;j++)
						{
							var ent_name = entities.item(j).getAttribute("name");
							var ent_type = entities.item(j).getAttribute("type");
							var ent_tag = entities.item(j).getAttribute("tagid");
							var ent_id = entities.item(j).getAttribute("ent_id");
							var ent_docs=entities.item(j).getElementsByTagName("document");
							var tmp_nbrdoc="";
							var statuscolor="green";
							if(ent_docs.length < nbrdocs)
							{
								var ent_misdocs=entities.item(j).getElementsByTagName("documentmis");
								var __remval="";
								var __forcestatus="";
								statuscolor="red";
								if(ent_misdocs.length>0)
								{
									__remval=ent_misdocs.item(0).getAttribute("remark");
									if(ent_misdocs.item(0).getAttribute("forcestatus")=="t") __forcestatus="checked";
									if(__forcestatus=="checked")
										statuscolor="green";
								}
								
								tmp_nbrdoc="<tr><td></td><td style=\"min-width:300px;max-width:300px\"><span class=\"missingdoc\" onclick=\"displayModalWindow();\">"+(nbrdocs-ent_docs.length)+" document(s) missing</span> </td><td><textarea contenteditable=\"true\" class=\"remarkred\" style = \"min-width:400px;border:1px;height:85px;\" id=\"remark_"+_c_id+"_"+ent_tag+"_"+ent_id+"\">"+__remval+"</textarea><br></td></tr><tr><td colspan=\"3\">&nbsp;&nbsp;&nbsp;<input class=\"force_statuscb\" type=\"checkbox\" "+__forcestatus+" id=\"forceOK_"+_c_id+"_"+ent_tag+"_"+ent_id+"\">Forcer le status &agrave; OK</input></td></tr>";
							}
							else{
								var cplttxt="";
								for(var dd =0 ; dd< ent_docs.length; dd++)
								{
									var ent_doc_ =ent_docs.item(dd);
									var add_div="";
									
									if(ent_doc_.firstChild)
									{
										add_div="<div class=\"doc_text\" style=\"width:calc(100% - 30px);\"><div>";
										add_div+=ent_doc_.firstChild.nodeValue;
										add_div+="</div></div>";
									 }
									 if(ent_doc_.getAttribute("force_result")=="KO") statuscolor="red";
									 var cpltid="";
										
									 if (ent_doc_.parentNode.nodeName=="subentity")
									 {
										cpltid="_"+ent_doc_.parentNode.getAttribute("subent_id");
										if(statuscolor=="red") cplttxt="<tr><td colspan=\"3\">&nbsp;&nbsp;&nbsp;<input class=\"force_statuscb\" type=\"checkbox\" id=\"forceOK_"+_c_id+"_"+ent_tag+"_"+ent_id+"\">Forcer le status &agrave; OK</input></td></tr>";
									 }
									tmp_nbrdoc+="<tr><td></td><td style=\"min-width:300px;max-width:300px\"><span class=\"pdflink\" onclick=\"displayPDFViewer('"+ent_doc_.getAttribute("realfname")+"',"+ent_doc_.getAttribute("docid")+");\">"+ent_doc_.getAttribute("realfname")+"</span>"+add_div+"</td><td><textarea contenteditable=\"true\" style = \"min-width:400px;border:1px;height:85px;\" class=\"remark\" tag_id=\""+ent_tag+"\" id=\"remark_"+_c_id+"_"+ent_tag+"_"+ent_id+"_"+ent_doc_.getAttribute("docid")+cpltid + "\">"+ent_doc_.getAttribute("remark")+"</textarea><br></td></tr>";
								}
								tmp_nbrdoc+=cplttxt;
							}
							if(ent_type!="institution") {
								tmp+="<tr><td></td><td ><table style=\"min-width:100%;\"border=\"0\"><tr><td colspan=\"3\"><hr></td></tr><tr><td style=\"background-color:"+statuscolor+";width:10px;\" id=\"col_"+_c_id+"_"+ent_tag+"_"+ent_id+"\">&nbsp;&nbsp;</td><td colspan=\"2\"><b><u>"+ent_name+"</u></b></td></tr>"+tmp_nbrdoc+"</table></td></tr>";
							}
							else
							{
								tmp+=tmp_nbrdoc;
							}
							
						}
						
						var documents = reponse2.getElementsByTagName('document');
						var actual_nbrdocs= documents.length;
						if(documents.length>0)
						{
							
						}
						
						
						
					}
				};
				xhr2.open("POST","dbconnector/bquaadril/checkrules.php",false);
				xhr2.setRequestHeader('Content-Type','application/x-www-form-urlencoded');
				if(audit_id!=-1)
					param+="&audit_id="+audit_id;
				xhr2.send(encodeURI(param));
				
				
				maindiv.innerHTML="<table style=\"width: 100%;\" cellspacing=\"0\" cellpadding=\"5\" border=\"0\"><tbody><tr class=\""+color+"\" id=\"status_header\"><td colspan=\"3\"><br></td></tr><tr> <td id=\"version_td\" style=\"background-color: #ffcc99;\"><b>"+num+"</b><br></td><td id=\"description_td\" colspan=\"2\" style=\"background-color: #ffcc99;\"><br><br>"+description+"</td></tr>"+tmp+"</tbody></table><div style=\"min-height:60px;\">&nbsp;</div>";
				nav_pointtitle.className=document.getElementById("summary_"+idpoint).className;
				nav_pointtitle.innerHTML=document.getElementById("summary_"+idpoint).innerHTML;
				if(document.getElementById("summary_"+idpoint).classList.contains("pointValidated"))
				{
					but_validate.style.display="none";
					but_save.style.display="none";
					but_devalidate.style.display="inline-block";
				}	
				else{
					but_validate.style.display="inline-block";
                                        but_save.style.display="inline-block";
                                        but_devalidate.style.display="none";
				}
			}
		};
		xhr.open("POST","dbconnector/bquaadril/getquaadpoint.php",true);
		xhr.setRequestHeader('Content-Type','application/x-www-form-urlencoded');
		xhr.send(encodeURI(param));
	}
	
	function getSummaryStatus()
	{
		var param="";
		if(audit_id!=-1) param="audit_id="+audit_id;
		var xhr=getxhr();
		xhr.onreadystatechange = function f(){
			if(xhr.readyState == 4 && xhr.status == 200) {
				var  response = xhr.responseText;
				reponse = clean(xhr.responseXML.documentElement);
				var checks=reponse.getElementsByTagName('check');
				for(var i=0; i<checks.length;i++)
				{
					var check=checks.item(i);
					var c_id=check.getAttribute("id");
					var c_val=check.getAttribute("value");
					var tr_sumelement=document.getElementById("summary_"+c_id);
					var valid=check.getAttribute("validated");
					tr_sumelement.className="";
					if(valid=="true"){
						tr_sumelement.classList.add("pointValidated");
						continue;
					}
					if(c_val=="KOK")
						tr_sumelement.classList.add("pointKOK");
					if(c_val=="OK")
						tr_sumelement.classList.add("pointOK");
					if(c_val=="KO")
						tr_sumelement.classList.add("pointKO");
				}
			}
		};
		xhr.open("POST","dbconnector/bquaadril/checkrules.php",false);
		xhr.setRequestHeader('Content-Type','application/x-www-form-urlencoded');
		xhr.send(param);
	}
	 
	function displayPDFViewer(title,docid)
	{
		 var myWins= new dhtmlXWindows();
		  
		  var win = myWins.createWindow("Document Viewer", 310, 20, 650, 700);
		 myWins.attachViewportTo("main_div");
		myWins.window("Document Viewer").attachURL("/pdfviewer/eoQUALPDFViewer.php?docid="+docid, false);

		win.centerOnScreen();

	}
	
	function displayModalWindow()
	{
		var myWins= new dhtmlXWindows();
		var  win = myWins.createWindow("Add_doc",main_div.scrollLeft, main_div.scrollTop, main_div.offsetWidth-18, main_div.offsetHeight);
		 myWins.attachViewportTo("main_div");
		myWins.window("Add_doc").setModal(true);
		myWins.window("Add_doc").attachURL("/eoQUAL", false);
		myWins.attachEvent("onClose", function(win){
				getSummaryStatus();
				selectpoint(current_point);
				return true;
			});
	}

	function devalidateCurrentPoint(){
		var param = "audit_id="+audit_id+"&point_id="+current_point;
                var xhr = getxhr();
                xhr.onreadystatechange = function f(){
                        if(xhr.readyState == 4 && xhr.status == 200) {
                        }
                }

                xhr.open("POST","dbconnector/bquaadril/devalidate.php",false);
                xhr.setRequestHeader('Content-Type','application/x-www-form-urlencoded');
		xhr.send(param);
		 getSummaryStatus();
                                selectpoint(current_point);


	}
	function validateCurrentPoint()
	{
		
		savePage();
		if(document.getElementById("status_header").classList.contains("pointOK"))
		{
		var param = "audit_id="+audit_id+"&point_id="+current_point;
		var xhr = getxhr();
		xhr.onreadystatechange = function f(){
                        if(xhr.readyState == 4 && xhr.status == 200) {
			}
		}

		xhr.open("POST","dbconnector/bquaadril/validate.php",false);
                xhr.setRequestHeader('Content-Type','application/x-www-form-urlencoded');
		xhr.send(param);
		 getSummaryStatus();
                                selectpoint(current_point);

		}
		else {
			alert("Bad status: can't validate");
		}

	}

	
  </script>
  <body style="font-family:Arial">
    <div style="position:fixed;max-width:275px;min-width:275px;left:15px;min-height: calc(98% - 85px);max-height: calc(98% - 85px);top:85px;overflow:auto;background-color:#535353;color:rgba(255,255,255,0.8);">
	
	  <?php $conn = get_dbconnection();
	 
		  $sql = "select quaad_point.id,istitle,description_summary,level2||coalesce(nullif('.'||level3,'.-1'),'')||coalesce(nullif('_'||inlevelorder,'_0'),''),* from quaad_point, quaad_description where quaad_point.id = quaad_description.id_quaadpoint  and language='FR' and quaadversion=1 and (dateend is null or dateend < now()) order by level1,level2,level3,level4,level5,inlevelorder";
			
			
			$query=pg_query($conn,$sql);
			if($query)
			{
				$wastitle=-1;
				while($row=pg_fetch_row($query))
				{
					if($row[1]=="t")
					{
						if($wastitle==0)
						{
						   ?>
							</tbody>
							</table>
						  </div>
						  <?php
						}
					 ?>
						 <div style="float: left;color:white;margin-left:3px;margin-top:10px;margin-bottom:3px;"><b><u><?php echo $row[2]; ?></u></b>
						</div>
					 <?php 
					 $wastitle=1;
					}
					else
					{
						if($wastitle==1)
						{
							?>
							<div style="float:left; color:white;margin-left:15px;">
								<table>
								  <tbody>  
						    <?php
						}
						echo "<script>point_list.push(".$row[0].");</script>";
						?>
						<tr class="clickablepoint" id="summary_<?php echo $row[0];?>" onclick="selectpoint(<?php echo $row[0];?>);";>
						  <td><?php echo $row[3];?></td>
						  <td><?php echo $row[2];?></td>
						</tr>
						<?php
						$wastitle=0;
					}
				}
				if($wastitle==0)
				{
				   ?>
						</tbody>
						</table>
					  </div>
				  <?php
				}
			}
		  ?>
     
      <div style="float:left; min-height:35px; min-width:80%"></div>
    </div>
	<div id="_main_div_hider" style="position:fixed;left:300px;min-height:98%;width: calc(98% - 300px);max-height:98%;z-index:99;display:none;">
	</div>
	<div id="status_div" style="display:none;border:1px black; background-color:white;position:fixed;z-index:100;padding:10px;">
		<table>
			<tr>
				<td style="background-color:green">&nbsp;&nbsp;</td><td>Force status to "OK"</td>
				
			</tr>
		</table>
	</div>

    <div id="menu_div" style="position:fixed;min-height: 82px;max-height:82px;width:98%;top:2px;">
test
<canvas id="piec" width="75" height="75"> </canvas>	

</div>	
    <div id="main_div" style="position:fixed;left:300px;background-color:lightgray;top:85px;min-height:calc(98% - 85px);width: calc(98% - 300px);max-height: calc(98% - 85px);overflow-y:auto;">
     <?php /* <table style="width: 100%;" cellspacing="0" cellpadding="5" border="0">
        <tbody>
          <tr id="status_header" style="background-color:#548d54">
            <td colspan="2"><br>
            </td>
          </tr>
          <tr>
            <td id="version_td" style="background-color: #ffcc99;"><b> 1.1</b><br>
            </td>
            <td id="description_td"style="background-color: #ffcc99;"><br>
              <b>L'établissement dispose:<br>
                - d'une autorisation de création et d'exploitation couvrant le
                parc radiologique au sein de l'établissement;<br>
              </b> <i style="color: #999999;">- d'un PV de rception favorable
                pour les installations, avant la mise en service des appareils;<br>
                 d'un service de contrle physique (interne ou externe).</i></td>
          </tr>
          <tr style="color:default">
            <td><br>
            </td>
            <td style="height: 106px;"><span style="color: white;"><br>
              </span>
              <table style="width: 100%;" border="0">
                <tbody>
                  <tr>
                    <td><b>Document associ</b></td>
                    <td style="height: 20px;"><b>Remarque</b></td>
                  </tr>
                  <tr>
                    <td>Procdure <a href="proc.pdf">PTH01_Plateau technique
                        (rev0)</a> </td>
                    <td>Chapitre 5.1 $2<br>
                    </td>
                  </tr>
                </tbody>
              </table>
              <span style="color: white;"><br>
              </span> <span style="color: white;"><br>
              </span> </td>
          </tr>
        </tbody>
      </table> */ ?>
    </div>
	<div id="nav_div" style="display:bock;position:fixed;z-index:10;left:303px;bottom:15px;width: calc(98% - 306px);height:45px;background-color:black;color:white;">
		<img src="../Common/pics/next.png" class="rotate180 clickablepoint" style="width:32px;vertical-align:middle;" onclick="selectpoint(point_list[getPrevious(current_point)])">&nbsp;<img src="../Common/pics/next.png"  style="width:32px;vertical-align:middle;" class="clickablepoint" onclick="selectpoint(point_list[getNext(current_point)])"> &nbsp;&nbsp; <span style="vertical-align:middle;display:inline-block;padding: 5px; min-width:40%; max-width:40%;text-overflow: ellipsis;overflow: hidden;    white-space:nowrap;" id="nav_pointtitle">&nbsp;</span> &nbsp;&nbsp;<button id="but_save" onclick="savePage();">Sauver les modifications</button> &nbsp;&nbsp;<button id="but_validate" onclick="validateCurrentPoint();">Valider le point</button><button id="but_devalidate" onclick="devalidateCurrentPoint()" style="display:none">D&eacute;valider le point</button>
	</div>
  </body>
  <script>
      getSummaryStatus();

var canvas = document.getElementById("piec");
var ctx = canvas.getContext("2d");
var lastend = 0;
var data = [200, 60, 15]; // If you add more data values make sure you add more colors
var myTotal = 0; // Automatically calculated so don't touch
var myColor = ['red', 'green', 'blue']; // Colors of each slice

for (var e = 0; e < data.length; e++) {
  myTotal += data[e];
}

for (var i = 0; i < data.length; i++) {
  ctx.fillStyle = myColor[i];
  ctx.beginPath();
  ctx.moveTo(canvas.width / 2, canvas.height / 2);
  // Arc Parameters: x, y, radius, startingAngle (radians), endingAngle (radians), antiClockwise (boolean)
  ctx.arc(canvas.width / 2, canvas.height / 2, canvas.height / 2, lastend, lastend + (Math.PI * 2 * (data[i] / myTotal)), false);
  ctx.lineTo(canvas.width / 2, canvas.height / 2);
  ctx.fill();
  lastend += Math.PI * 2 * (data[i] / myTotal);
}
  </script>
</html>
