<?php
require_once 'autoload.php';
require_once '../eoISConfig/config.php';
session_start();
$_SESSION['use_id'] = $_GET['use_id'];
?>

<!doctype html>
<head>
	<meta http-equiv="Content-type" content="text/html; charset=utf-8">
	<meta http-equiv="X-UA-Compatible" content="IE=edge" />
	<title>RIS Planning</title>
</head>
<script src="/dhtmlxscheduler/codebase/dhtmlxscheduler.js" type="text/javascript" charset="utf-8"></script>

<script src="/dhtmlxscheduler/codebase/ext/dhtmlxscheduler_units.js" type="text/javascript" charset="utf-8"></script>
<script src="/dhtmlxscheduler/codebase/ext/dhtmlxscheduler_limit.js" type="text/javascript" charset="utf-8"></script>
<script src="/dhtmlxscheduler/codebase/ext/dhtmlxscheduler_minical.js" type="text/javascript" charset="utf-8"></script>
<script src='/dhtmlxscheduler/codebase/ext/dhtmlxscheduler_outerdrag.js' type="text/javascript"></script>
<script src="/dhtmlx/codebase/dhtmlx.js"></script>

<script type="text/javascript" src="/extern_css/assets/js/jquery.min.js"></script>
<script type="text/javascript" src="/extern_css/dist/jquery-clockpicker.min.js"></script>

<link rel="stylesheet" type="text/css" href="/dhtmlx/codebase/fonts/font_roboto/roboto.css"/>
<link rel="stylesheet" type="text/css" href="/dhtmlx/codebase/dhtmlx.css"/>
<link rel="stylesheet" type="text/css" href="/dhtmlx/skins/web/dhtmlx.css"/>

<link rel="stylesheet" type="text/css" href="/extern_css/assets/css/bootstrap.min.css">
<link rel="stylesheet" type="text/css" href="/extern_css/dist/bootstrap-clockpicker.min.css">
<link rel="stylesheet" type="text/css" href="/extern_css/assets/css/github.min.css">
<link rel="stylesheet" href="/dhtmlxscheduler/codebase/dhtmlxscheduler.css" type="text/css" media="screen" title="no title" charset="utf-8">
<link rel="stylesheet" type="text/css" href="/eoRIS/css/eoris.css"/>

<script src="/dhtmlxscheduler/codebase/locale/locale_<?php echo get_lang_value();?>.js" charset="utf-8"></script>

<?php if(isset($_GET['colormode']) == true && $_GET['colormode'] == '1')
	echo "<link rel=\"stylesheet\" type=\"text/css\" href=\"/eoRIS/css/color_mode_1.css\"/>";
	?>
<style type="text/css" media="screen">

/*fix bug with bootstrap (grid resize after research)*/
dhx_popup_area::before, dhx_popup_area::after {
  box-sizing: content-box;
 }

html, body{
	margin:0px;
	padding:0px;
	height:100%;
	overflow:hidden;
}

fieldset{
	margin:1px;
	padding:1px;
	margin-bottom:2px;
}
legend{
	padding:2px;

	margin-bottom:2px;
}

div.gridbox {
	-webkit-box-sizing: content-box;
	-moz-box-sizing: content-box;
	box-sizing: content-box;

}

.dhx_block{background-color:#706966 !important;border-color:transparent;color:#fff}
.dhx_hospi{background-color:#179670 !important;border-color:transparent;color:#fff}
.dhx_scale_hour{
	line-height:normal;
}
.dhx_cal_select_menu{
	z-index:3;
}
.dhx_notvalidated{background: repeating-linear-gradient(
	45deg,
	#8E2121,
	#8E2121 6px,
	#300606 6px,
	#300606 12px
	) !important;border-color:transparent;color:#fff}

.dhx_notvalidatedover{
	background-color:#B22B2B !important;border-color:transparent;color:#fff
}
.dhx_nothospi{background-color:#1796b0 !important;border-color:transparent;color:#fff}

.dhx_notvalidatedrdv{background-color:#96063d !important;border-color:transparent;color:#fff}

.dhx_currentvis{background-color:#ffff00 !important;border-color:transparent;color:black}



.stripe-1 {
	color: white;
	opacity:0.7;
	width:20px;
	background: repeating-linear-gradient(
		45deg,
		#606dbc,
		#606dbc 10px,
		#465298 10px,
		#465298 20px
		);
	z-index: 2;
}

.dhx_body_black{
	color: black !important;
}

.dhx_title_black{
	color: black !important;
}
.dhx_event_selected{
	background-color: orange !important;
}

.horizontal_appointment{
	position:absolute;
	display:none;
	background-color:rgba(255,255,255,0.4);
	border-top-color:red;
	border-bottom-color:red;
	border-top-style: solid;
	border-top-width: 2px;
	border-bottom-style:solid;
	border-bottom-width: 2px;
}

.vertical_appointment{
	position:absolute;
	display:none;
	background-color:rgba(255,255,255,0.4);
	border-left-color:red;
	border-right-color:red;
	border-left-style: solid;
	border-left-width: 2px;
	border-right-style:solid;
	border-right-width: 2px;

}

.modalityheaderclass {
	font-size:10pt;
	font-weight:bold;
}
.linktagset{
font-size:10pt;
	box-shadow: 0 0 2px rgba(0, 0, 0, 0.5);
	padding:7px 15px 7px 7px;
	border: 1px solid #067fb8;
	border-radius: 3px 3px 3px 3px;
	cursor:pointer;
	margin-right:5px;
	margin-bottom:5px;
	color:white;
	font-weight:bold;
	background-color: #3e606f;
	position:relative;
}
.linkraggroupset{
	font-size:10pt;
	box-shadow: 0 0 2px rgba(0, 0, 0, 0.5);
	padding:7px 15px 7px 37px;
	border: 1px solid #067fb8;
	border-radius: 3px 3px 3px 3px;
	cursor:pointer;
	margin-right:5px;
	margin-bottom:5px;
	color:white;
	font-weight:bold;
	display:inline-block;
	background-color: #3e606f;
	position:relative;

}
.linktag {
	font-size:10pt;
	box-shadow: 0 0 2px rgba(0, 0, 0, 0.5);
	padding:7px 15px 7px 7px;
	border: 1px solid #067fb8;
	border-radius: 3px 3px 3px 3px;
	cursor:pointer;
	margin-right:5px;
	margin-bottom:5px;
	color:white;
	font-weight:bold;
	background-color: #45a9d2;
	position:relative;
}
.linktaggroup{
	font-size:10pt;
	box-shadow: 0 0 2px rgba(0, 0, 0, 0.5);
	padding:7px 15px 7px 37px;
	border: 1px solid #067fb8;
	border-radius: 3px 3px 3px 3px;
	cursor:pointer;
	margin-right:5px;
	margin-bottom:5px;
	color:white;
	font-weight:bold;
	display:inline-block;
	background-color: #2f83b0;
	position:relative;



}
.linktagcr{
	background: #2f83b0 url('/eoISCommon/pics/calendar/CR.jpg')  no-repeat;
	background-size: 28px 28px;
	background-position:3px center;
}
.linktagus{
	background: #2f83b0  url('/eoISCommon/pics/calendar/US.jpg')  no-repeat;
	background-size: 28px 28px;
	background-position:3px center;
}
.linktagct{
	background: #2f83b0  url('/eoISCommon/pics/calendar/CT.jpg')  no-repeat;
	background-size: 28px 28px;
	background-position:3px center;
}
.linktagnm{
	background: #2f83b0  no-repeat;
	background-size: 28px 28px;
	background-position:3px center;
}
.linktagmr{
	background: #2f83b0  url('/eoISCommon/pics/calendar/MR.jpg')  no-repeat;
	background-size: 28px 28px;
	background-position:3px center;
}
.linktag:hover { border-color: #FF5573; color:#000; }
.linktag a { color:#777; text-decoration:none; }


.linktagremove {
	position: relative;
	font-size:16px;
	text-shadow: 1px 1px red;
	color: #C01111;
	top: -7px;
	right: -12px;
}
.linktagremove:hover{
	color:white;
}
.linktagremovegroup {

	position: absolute;
	font-size:16px;
	color: #C01111;
	text-shadow: 1px 1px red;
	top: -2px;
	right: 0px;
}
.linktagremovegroup:hover{
	color:white;
}
.imghelper2 {
	display: inline-block;
	height: 100%;
	vertical-align: middle;
}
.imghelper {
	display: inline-block;
	height: 100%;
	vertical-align: middle;
}


table {
	border-spacing: 2px;
	border-collapse: separate;
}


.popupeventcss{
	background:#CCCCFF no-repeat 10px 10px;
	border:1px solid #C0C0C0;
	color:#404040;
	padding:10px 10px 10px 10px;
	margin:0px 0;
	/*css3*/
	border-radius:10px;
	-moz-border-radius:10px;
	-webkit-border-radius:10px;
	box-shadow:3px 3px 6px 0 #A9A9A9;
	-moz-box-shadow:3px 3px 6px 0 #A9A9A9;
	-webkit-box-shadow:3px 3px 6px #A9A9A9;
	z-index: 500;
}

.modalityclose{
	background:#FFC8AC no-repeat 10px 10px;
	opacity: 0.9;
	filter: alpha(opacity=90);
	color:#FF0000;
	margin:0px 0;
	z-index:0;
}

.modalityalmostopen{
	background:#FFC8AC no-repeat 10px 10px;
	opacity: 0.9;
	filter: alpha(opacity=90);
	color:#FFC8AC;
	margin:0px 0;
	z-index:0;
}

.rdvavailable{
	background:#87CEFA no-repeat 10px 10px;
	opacity: 1;
	filter: alpha(opacity=100);
	color:#87CEFA;
	margin:0px 0;
	z-index:1;
}


.modalityopen{
	background:#FFE8AC no-repeat 10px 10px;
	opacity: 0.9;
	filter: alpha(opacity=90);
	color:#FFE8AC;
	margin:0px 0;
	z-index:0;
}

.modalityacceptexam
{
	background:#B6F2B8 no-repeat 10px 10px;
	opacity: 0.4;
	filter: alpha(opacity=40);
	color:#FFE8AC;
	margin:0px 0;
	z-index:1;
}

.legalholiday{
	background:#404040 no-repeat 10px 10px;
	opacity: 0.3;
	filter: alpha(opacity=30);
	color:#40FF40;
	margin:0px 0;
	z-index:0;
}

.dhx_cal_event:hover{
	z-index:100;
	border: 1px solid #FFFFFF;

}
.maintenance{
	background:#604040 no-repeat 10px 10px;
	opacity: 0.3;
	filter: alpha(opacity=30);
	color:#AAFF40;
	background-image:url(/eoISCommon/pics/maintenance.png);
	background-size: contain;
	background-position: center center;
	background-repeat: repeat-y;
	margin:0px 0;
	z-index:500;
}

.notbusycss{
	background:#40FF40 no-repeat 10px 10px;
	opacity: 0.3;
	filter: alpha(opacity=30);
	color:#40FF40;
	margin:0px 0;
	z-index:0;
}
.busycss{
	background:#FF4040 no-repeat 10px 10px;
	opacity: 0.3;
	filter: alpha(opacity=30);
	color:#40FF40;
	margin:0px 0;
	z-index:0;
}
.reddaytab{
	background:#FFBBBB no-repeat 4px 4px;
	border:1px solid #C0C0C0;
	color:#404040;
	padding:2px 2px 2px 2px;

	margin-left:8px;
	font-size: 11pt;
	/*css3*/
	border-radius:4px;
	-moz-border-radius:4px;
	-webkit-border-radius:4px;
	box-shadow:2px 2px 4px 0 #A9A9A9;
	-moz-box-shadow:2px 2px 4px 0 #A9A9A9;
	-webkit-box-shadow:2px 2px 4px #A9A9A9;
	float:left;

}
.reddaytab:hover {
	cursor: pointer;
}
.daytab{
	background:#EEEEEE no-repeat 4px 4px;
	border:1px solid #C0C0C0;
	color:#404040;
	padding:2px 2px 2px 2px;

	margin-left:8px;
	font-size: 11pt;
	/*css3*/
	border-radius:4px;
	-moz-border-radius:4px;
	-webkit-border-radius:4px;
	box-shadow:2px 2px 4px 0 #A9A9A9;
	-moz-box-shadow:2px 2px 4px 0 #A9A9A9;
	-webkit-box-shadow:2px 2px 4px #A9A9A9;
	float:left;

}
.daytab:hover {
	cursor: pointer;
}
.txtclickme:hover{
	cursor:pointer;
	color:#FF1111;

}
.activateddaytab{

	background:#BBFFBB no-repeat 4px 4px;
	border:1px solid #C0C0C0;
	color:#404040;
	padding:2px 2px 2px 2px;

	margin-left:8px;
	font-size: 11pt;
	/*css3*/
	border-radius:4px;
	-moz-border-radius:4px;
	-webkit-border-radius:4px;
	box-shadow:2px 2px 4px 0 #A9A9A9;
	-moz-box-shadow:2px 2px 4px 0 #A9A9A9;
	-webkit-box-shadow:2px 2px 4px #A9A9A9;
	float:left;

}
.activateddaytab:hover {
	cursor: pointer;
}
.dhx_scale_holder {
	background-image: url("/eoRIS/dbconnector/calendar/getimage.php");
}

.dhx_scale_holder_now {
	background-image: url("/eoRIS/dbconnector/calendar/getimagenow.php");
}

FIELDSET {
	margin: 4px;
	border: 1px solid silver;
	padding: 5px;
	border-radius: 4px;
	width: auto;
	float:left;
}
LEGEND{
	padding-left: 10px;
	left:30px;
	width:auto;
	font-size: 13pt;
}

#selectmobility{
	height: 50px;
	font-size: 12pt;
}




.my_event {
            background-color: rgb(112 ,150,169); /*#add8e6;*/
            border: 1px solid #778899;
            overflow: hidden;
            color: white;
        }
		.my_freeevent {
            background-color: rgb(174, 249, 167); /*#add8e6;*/
            border: 1px solid #778899;
            overflow: hidden;
            color: black;
        }
        /* disabling default color for select menu */
        .dhx_cal_select_menu.my_event div {
            border: 0;
            background-color: transparent;

        }
		.dhx_cal_select_menu.my_freeevent div {
            border: 0;
            background-color: transparent;

        }
        /* styles for event content */
        .dhx_cal_event.my_event .my_event_body {

            padding-top: 3px;
            padding-left: 5px;
            color: white;

        }
		.dhx_cal_event.my_freeevent .my_freeevent_body {

            padding-top: 3px;
            padding-left: 5px;
            color: black;

        }
        /* event's date information */
        .my_event .event_date {
            font-weight: bold;
            padding-right: 5px;
            color: white;
            font-size: 11px;
        }
		.my_freeevent .event_date {
            font-weight: bold;
            padding-right: 5px;
            color: black;
            font-size: 11px;
        }
        /* event's resizing section */
        .my_event_resize {
            height: 3px;
            position: absolute;
            bottom: -1px;
        }
		.my_freeevent_resize {
            height: 3px;
            position: absolute;
            bottom: -1px;
        }
        /* event's move section */
        .my_event_move {
            position: absolute;
            top: 0;
            height: 10px;
            cursor: pointer;
        }

</style>

<script type="text/javascript" charset="utf-8">


 function getAbsoluteLeft(inp)
 {
  return window.dhx4.absLeft(inp); // returns left position related to window
 }

 function getAbsoluteTop(inp)
 {
  return window.dhx4.absTop(inp);
 }

	Date.prototype.yyyymmdd = function() {
  var mm = this.getMonth() + 1; // getMonth() is zero-based
  var dd = this.getDate();

  return [this.getFullYear(),
          (mm>9 ? '' : '0') + mm,
          (dd>9 ? '' : '0') + dd
         ].join('');
};


	Date.prototype.hhmmss = function(){
		var mm = this.getMinutes();
		var ss = this.getSeconds();
		var hh = this.getHours();

		return [(hh>9 ? '':'0')+hh,(mm>9 ? '':'0')+mm,(ss>9 ? '':'0')+ss ].join('');


	};
var def_view=<?php echo "\"{$GLOBALS["calendar_defaultview"]}\""?>;
	var findrdvtimespans = new Array();
	var myLayout = null;
	var modalityFilterListByCode = '';
	var datehaschanged=false;
	var modehaschanged=false;
	var mouveOverTimer;
	var mouseOverEvent=null;
	var inamiGrid;
	var selectedFilter=null;
	var modalityvalideperiod_timespanids = new Array();
	var modalityschedule_timespanids= new Array();
	var eventdisplaymode="patient";
		var hourpickerpopup;// = new dhtmlXPopup({mode:'bottom'});
		var dragdrop_popup;
		var ishospi=false;
		var patientselected=null;
		patientselected=new Patient('N.D','N.D','N.D','N.D','N.D','N.D','N.D','N.D');
		var typeselect = "selectpatientRDV";
		var referingselected=new Physician('N.D','N.D','N.D','N.D');
		var examsselected=new Array();
		var cptexams=0.0001;
		var dragdropmarker=null;
		var currentdragdata='-1';
		var currentdragdiv=null;
		var previoushighpos=-1;
		var previousleftdivcible=-1;
		var previousdivcible=null;
		var lastdragged=null;
		var isdraggingoncalendar=false;
		var examsselectedbymodality=new Array();
		var currentexamgroupselected=null;
		var current_vis_id=-1;
		var sections=new Array();

		function initexamsselectedbymodality()
		{
			examsselectedbymodality['CR']= new Array();
		examsselectedbymodality['CT']= new Array();
		examsselectedbymodality['RF']= new Array();
		examsselectedbymodality['US']= new Array();
		examsselectedbymodality['OT']= new Array();
		examsselectedbymodality['MG']= new Array();
		examsselectedbymodality['MR']= new Array();
		examsselectedbymodality['DX']= new Array();
		examsselectedbymodality['RX']= new Array();
		examsselectedbymodality['NM']= new Array();
		examsselectedbymodality['IN']= new Array();
		}
		initexamsselectedbymodality();

		function Exam(inami,description,modality,duration,exams)
		{
			date=Date.now();

			this.inami=inami;
			this.description=description;
			this.modality=modality;
			this.duration=duration;
			if(typeof exams !== "undefined")
				this.exams=exams;
			else this.exams= new Array();
			cptexams=cptexams+0.0001;

			//Obligatoire. Sinon on tombe dans des valeurs impossibles, il faut se mettre en char.
			this.tempid=date+''+cptexams;


			this.addExam=function(exam){
				this.exams.push(exam);
			}
			this.removeExam=function(exam){
				for(var i = this.exams.length - 1; i >= 0; i--) {
					if(this.exams[i].tempid === exam.tempid) {
						if(this.exams[i].stu_id && this.exams[i].stu_id != -1)
						{

						}
						this.exams.splice(i, 1);
					}
				}
			}
			this.removeExamfromId=function(tempid){
				for(var i = this.exams.length - 1; i >= 0; i--) {

					if(this.exams[i].tempid === tempid) {
						this.exams.splice(i, 1);
					}
				}
			}
			this.stu_id=-1;
		}


		function setpatient()
		{
			var xhr = getxhr();
				var param="vis_id="+current_vis_id+"&pat_id="+patientselected.pat_id;
				xhr.onreadystatechange = function f(){
				if(xhr.readyState == 4 && xhr.status == 200) {


					}
				};
				xhr.open("POST","/eoRIS/dbconnector/calendar/setpatient.php",false);
				xhr.setRequestHeader('Content-Type','application/x-www-form-urlencoded');
				xhr.send(encodeURI(param));

				//ADD CALL TO UPDATEVISITVIEW fct synchro

		}

		function patientselect(rowId){
			if(typeof(rowId)!="undefined")
			{
				console.log("ROW ID "+rowId);

				ln= patientGrid.cellById(rowId,1).getValue();
				fn= patientGrid.cellById(rowId,2).getValue();
				dn= patientGrid.cellById(rowId,3).getValue();
				uid= patientGrid.cellById(rowId,0).getValue();
				pa = new Patient(ln,fn,dn,uid);
				patientselected=pa;
				if(current_vis_id>-1)
				{
					setpatient();
				}
				console.log(pa);
			}
		}

		function Patient(lastname,firstname,birthdate,uniqueid,sex,phonenumber1,phonenumber2,comment)
		{
			this.lastName=lastname;
			this.firstName=firstname;
			this.birthDate=birthdate;
			this.sex=sex;
			this.phoneNumber1=phonenumber1;
			this.phoneNumber2=phonenumber2;
			this.uniqueId=uniqueid;
			this.comment=comment;
		}

		function Physician(lastname,firstname,id,phonenumber1,ref_id,add_id)
		{
			this.lastName=lastname;
			this.firstName=firstname;
			this.phoneNumber1=phonenumber1;
			this.id=id;
			this.ref_id=ref_id;
			this.add_id=add_id
		}

		function DayHourFilter(daynumber,hourbegin,hourend,activatedd){
			this.dayNumber=daynumber;
			this.hourBegin=hourbegin;
			this.hourEnd=hourend;
			this.activated=true;
			if(typeof activatedd !== 'undefined')
				this.activated=activatedd;
		}

		function WeekHourFilter()
		{

			this.lasteditedday=-1;
			this.days={};
			this.setDayFilter= function(dayhourfilter){
				this.days[dayhourfilter.dayNumber]=dayhourfilter;
				dayfrom = dayhourfilter.hourBegin;
				dayto = dayhourfilter.hourEnd;
				switch(dayhourfilter.dayNumber)
				{
					case 0: daytab_monday.innerHTML="<span>Lundi</span>";
					if(dayhourfilter.activated==true) {
						daytab_monday.innerHTML+="<br/><span style='font-size:7pt'>"+dayfrom+" - "+dayto+"</span>";
						daytab_monday.className='activateddaytab';
					}
					else daytab_monday.className='daytab'; break;
					case 1: daytab_tuesday.innerHTML="<span>Mardi</span>";
					if(dayhourfilter.activated==true) {
						daytab_tuesday.innerHTML+="<br/><span style='font-size:7pt'>"+dayfrom+" - "+dayto+"</span>";daytab_tuesday.className='activateddaytab';
					}
					else daytab_tuesday.className='daytab'; break;
					case 2: daytab_wednesday.innerHTML="<span>Mercredi</span>";
					if(dayhourfilter.activated==true) {
						daytab_wednesday.innerHTML+="<br/><span style='font-size:7pt'>"+dayfrom+" - "+dayto+"</span>";daytab_wednesday.className='activateddaytab';
					}
					else daytab_wednesday.className='daytab'; break;
					case 3: daytab_thursday.innerHTML="<span>Jeudi</span>";
					if(dayhourfilter.activated==true) {
						daytab_thursday.innerHTML+="<br/><span style='font-size:7pt'>"+dayfrom+" - "+dayto+"</span>";daytab_thursday.className='activateddaytab';
					}
					else daytab_thursday.className='daytab'; break;
					case 4: daytab_friday.innerHTML="<span>Vendredi</span>";
					if(dayhourfilter.activated==true) {
						daytab_friday.innerHTML+="<br/><span style='font-size:7pt'>"+dayfrom+" - "+dayto+"</span>";daytab_friday.className='activateddaytab';
					}
					else daytab_friday.className='daytab'; break;
					case 5: daytab_saturday.innerHTML="<span>Samedi</span>";
					if(dayhourfilter.activated==true) {
						daytab_saturday.innerHTML+="<br/><span style='font-size:7pt'>"+dayfrom+" - "+dayto+"</span>";daytab_saturday.className='activateddaytab';
					}
					else daytab_saturday.className='daytab'; break;
					case 6: daytab_sunday.innerHTML="<span>Dimanche</span>";
					if(dayhourfilter.activated==true) {
						daytab_sunday.innerHTML+="<br/><span style='font-size:7pt'>"+dayfrom+" - "+dayto+"</span>";daytab_sunday.className='activateddaytab';
					}
					else daytab_sunday.className='daytab';break;
					default: break;
				}
			}
			this.removeDayFilter = function(daynumber){
				this.days[daynumber]=null;
			}
		}

		var weekfilter = new WeekHourFilter();

		function createHolidaysforYear(year)
		{
			var paques=easterForYear(year);
			var paquesmonday=easterForYear(year);
			paquesmonday.setDate(paquesmonday.getDate()+1);
			var ascension=easterForYear(year);
			ascension.setDate(ascension.getDate()+39);
			var pentecote=easterForYear(year);
			pentecote.setDate(pentecote.getDate()+50);
			var fixedLegalHolidays=[
				new Date(year,11,25),//NOEL
				new Date(year,0,1),//NOUVEL AN
				new Date(year,4,1),//FETE DU TRAVAIL
				new Date(year,10,11),//ARMISTICE
				new Date(year,10,1),//TOUSSAINT
				new Date(year,6,21),//FETE NATIONALE
				new Date(year,7,15),//ASSOMPTION
				paques,//PAQUES
				paquesmonday,//LUNDIPAQUES
				ascension,//ASCENSION
				pentecote//PENTECOTE
				];
				return fixedLegalHolidays;
			}

			function easterForYear (year) {
				var a = year % 19;
				var b = Math.floor(year / 100);
				var c = year % 100;
				var d = Math.floor(b / 4);
				var e = b % 4;
				var f = Math.floor((b + 8) / 25);
				var g = Math.floor((b - f + 1) / 3);
				var h = (19 * a + b - d - g + 15) % 30;
				var i = Math.floor(c / 4);
				var k = c % 4;
				var l = (32 + 2 * e + 2 * i - h - k) % 7;
				var m = Math.floor((a + 11 * h + 22 * l) / 451);
				var n0 = (h + l + 7 * m + 114)
				var n = Math.floor(n0 / 31) - 1;
				var p = n0 % 31 + 1;
				var date = new Date(year,n,p);
				date.setDate(date.getDate());
				return date;
			};

			/********************** AJAX FUNCTIONS **********************/

			function getxhr(){
				var xhr = null;

			if(window.XMLHttpRequest) // Firefox et autres
				xhr = new XMLHttpRequest();
			else if(window.ActiveXObject){ // Internet Explorer
				try {
					xhr = new ActiveXObject("Msxml2.XMLHTTP");
				} catch (e) {
					xhr = new ActiveXObject("Microsoft.XMLHTTP");
				}
			}
			else { // XMLHttpRequest non supportï¿½ par le navigateur
				alert("Votre navigateur ne supporte pas les objets XMLHTTPRequest...");
				xhr = false;

			}
			return xhr;
		}

		function clean(d){
			var bal=d.getElementsByTagName('*');

			for(i=0;i<bal.length;i++){
				a=bal[i].previousSibling;
				if(a && a.nodeType==3)
					go(a);
				b=bal[i].nextSibling;
				if(b && b.nodeType==3)
					go(b);
			}
			return d;
		}

		/***************************************************************/

		/******************/
		function __getIEVersion() {
			var rv = -1; // Return value assumes failure.
			if (navigator.appName == 'Microsoft Internet Explorer') {
				var ua = navigator.userAgent;
				var re = new RegExp("MSIE ([0-9]{1,}[\.0-9]{0,})");
				if (re.exec(ua) != null)
					rv = parseFloat(RegExp.$1);
			}
			return rv;
		}

		function __getOperaVersion() {
			var rv = 0; // Default value
			if (window.opera) {
				var sver = window.opera.version();
				rv = parseFloat(sver);
			}
			return rv;
		}

		var __userAgent = navigator.userAgent;
		var __isIE =  navigator.appVersion.match(/MSIE/) != null;
		var __IEVersion = __getIEVersion();
		var __isIENew = __isIE && __IEVersion >= 8;
		var __isIEOld = __isIE && !__isIENew;

		var __isFireFox = __userAgent.match(/firefox/i) != null;
		var __isFireFoxOld = __isFireFox && ((__userAgent.match(/firefox\/2./i) != null) || (__userAgent.match(/firefox\/1./i) != null));
		var __isFireFoxNew = __isFireFox && !__isFireFoxOld;

		var __isWebKit =  navigator.appVersion.match(/WebKit/) != null;
		var __isChrome =  navigator.appVersion.match(/Chrome/) != null;
		var __isOpera =  window.opera != null;
		var __operaVersion = __getOperaVersion();
		var __isOperaOld = __isOpera && (__operaVersion < 10);

		function __parseBorderWidth(width) {
			var res = 0;
			if (typeof(width) == "string" && width != null && width != "" ) {
				var p = width.indexOf("px");
				if (p >= 0) {
					res = parseInt(width.substring(0, p));
				}
				else {
					//do not know how to calculate other values (such as 0.5em or 0.1cm) correctly now
					//so just set the width to 1 pixel
					res = 1;
				}
			}
			return res;
		}


		//returns border width for some element
		function __getBorderWidth(element) {
			var res = new Object();
			res.left = 0; res.top = 0; res.right = 0; res.bottom = 0;
			if (window.getComputedStyle) {
				//for Firefox
				var elStyle = window.getComputedStyle(element, null);
				res.left = parseInt(elStyle.borderLeftWidth.slice(0, -2));
				res.top = parseInt(elStyle.borderTopWidth.slice(0, -2));
				res.right = parseInt(elStyle.borderRightWidth.slice(0, -2));
				res.bottom = parseInt(elStyle.borderBottomWidth.slice(0, -2));
			}
			else {
				//for other browsers
				res.left = __parseBorderWidth(element.style.borderLeftWidth);
				res.top = __parseBorderWidth(element.style.borderTopWidth);
				res.right = __parseBorderWidth(element.style.borderRightWidth);
				res.bottom = __parseBorderWidth(element.style.borderBottomWidth);
			}

			return res;
		}


		//returns the absolute position of some element within document
		function getElementAbsolutePos(elemID) {
			var element;
			if (typeof(elemID) == "string") {
				element = document.getElementById(elemID);
			}
			else {
				element = elemID;
			}

			var res = new Object();
			res.x = 0; res.y = 0;
			if (element !== null) {
				res.x = element.offsetLeft;

				var offsetParent = element.offsetParent;
				var offsetParentTagName = offsetParent != null ? offsetParent.tagName.toLowerCase() : "";

				if (__isIENew  && offsetParentTagName == 'td') {
					res.y = element.scrollTop;
				}
				else {
					res.y = element.offsetTop;
				}

				var parentNode = element.parentNode;
				var borderWidth = null;

				while (offsetParent != null) {
					res.x += offsetParent.offsetLeft;
					res.y += offsetParent.offsetTop;

					var parentTagName = offsetParent.tagName.toLowerCase();

					if ((__isIEOld && parentTagName != "table") || (__isFireFoxNew && parentTagName == "td")  || __isChrome) {
						borderWidth = __getBorderWidth(offsetParent);
						res.x += borderWidth.left;
						res.y += borderWidth.top;
					}
					if (offsetParent != document.body && offsetParent != document.documentElement) {
						res.x -= offsetParent.scrollLeft;
						res.y -= offsetParent.scrollTop;
					}

					//next lines are necessary to fix the problem with offsetParent
					if (!__isIE && !__isOperaOld || __isIENew) {
						while (offsetParent != parentNode && parentNode !== null) {
							res.x -= parentNode.scrollLeft;
							res.y -= parentNode.scrollTop;
							if (__isFireFoxOld || __isWebKit) {
								borderWidth = __getBorderWidth(parentNode);
								res.x += borderWidth.left;
								res.y += borderWidth.top;
							}
							parentNode = parentNode.parentNode;
						}
					}

					parentNode = offsetParent.parentNode;
					offsetParent = offsetParent.offsetParent;
				}
			}
			return res;
		}

		function getObjectByAttributeID(element,attribute,id)
		{
			var allElements = document.getElementsByTagName(element);
			for (var i = 0, n = allElements.length; i < n; i++)
			{
				if (allElements[i].getAttribute(attribute) !== null)
				{
					if(allElements[i].getAttribute(attribute) ==id)
					{
						return allElements[i];
					}
				}
			}
			return null;
		}
		function getDIVByAttributeID(attribute,id)
		{

			var allElements = document.getElementsByTagName('div');
			for (var i = 0, n = allElements.length; i < n; i++)
			{
				if (allElements[i].getAttribute(attribute) !== null)
				{
					if(allElements[i].getAttribute(attribute) ==id)
					{
						return allElements[i];
					}
				}
			}
			return null;
		}

		function getScreenDimensions()
		{
			var p={};
			var width = window.innerWidth|| document.documentElement.clientWidth || document.body.clientWidth;

			var height = window.innerHeight|| document.documentElement.clientHeight|| document.body.clientHeight;
			p.width=width; p.height=height;
			return p;
		}
		function GetScreenCordinates(obj) {
			var p = {};
			p.x = obj.offsetLeft;
			p.y = obj.offsetTop;
			while (obj.offsetParent) {
				p.x = p.x + obj.offsetParent.offsetLeft;
				p.y = p.y + obj.offsetParent.offsetTop;
				if (obj == document.getElementsByTagName("body")[0]) {
					break;
				}
				else {
					obj = obj.offsetParent;
				}
			}
			return p;
		}


		function getAllElementsWithAttribute(attribute)
		{
			var matchingElements = [];
			var allElements = document.getElementsByTagName('*');
			for (var i = 0, n = allElements.length; i < n; i++)
			{
				if (allElements[i].getAttribute(attribute) !== null)
				{
					// Element exists with attribute. Add to array.
					matchingElements.push(allElements[i]);
				}
			}
			return matchingElements;
		}



		function fixBugDHTMLX()
		{
			// Fix DHTMLX Scheduler bug with next_week button when week Monday-Friday mode is set
			scheduler.date.week_unit_start = scheduler.date.week_start;//Starts on Monday (and not current date)
			scheduler.date.weekfull_unit_start = scheduler.date.week_start;//Starts on Monday
		}

		function setSelectedFilter(filter_id)
		{
			if(selectedFilter!=null)
				document.getElementById(selectedFilter).className="daytab";
			selectedFilter=filter_id;
			document.getElementById(filter_id).className="activateddaytab";

			getsections("/eoRIS/dbconnector/calendar/getfiltermodalities",filter_id.substr(10));

		}

		function pad(num, size) {
			var s = num+"";
			while (s.length < size) s = "0" + s;
			return s;
		}

		function getschedulemodality(filter_id)
		{
			var minDate = scheduler.getState().min_date;
			var maxDate = scheduler.getState().max_date;
			maxDate =  new Date(maxDate.getTime() - 60000);
			var fromdate=(minDate.getYear()+1900)+""+pad(minDate.getMonth()+1,2)+""+pad(minDate.getDate(),2);
			var todate=(maxDate.getYear()+1900)+""+pad(maxDate.getMonth()+1,2)+""+pad(maxDate.getDate(),2);
			console.log(fromdate + "   "+todate);
			var xhr=getxhr();
			var param="fil_id="+filter_id+"&fromdate="+fromdate+"&todate="+todate;
			var arrayLength = modalityschedule_timespanids.length;
			for (var i = 0; i < arrayLength; i++) {
				scheduler.deleteMarkedTimespan(modalityschedule_timespanids[i]);
			}
			modalityschedule_timespanids.length=0;

			xhr.onreadystatechange = function f(){
				if(xhr.readyState == 4 && xhr.status == 200) {
					var  response = xhr.responseText;
					reponse = clean(xhr.responseXML.documentElement);
					var timespans = reponse.getElementsByTagName('timespan');
					var nombre = timespans.length;
					for(var i=0; i <nombre;i++)
					{
						var timespan=timespans.item(i);
						var mod_id=timespan.getAttributeNode("id").value;
						var mod_label=timespan.getAttributeNode("label").value;

						var status =timespan.getAttributeNode("status").value;

						var tsdate='';
						tsdate=timespan.getAttributeNode("date").value;
						year =parseInt(tsdate.substr(0,4));
						month=parseInt(tsdate.substr(4,2));
						month=month-1;
						day=parseInt(tsdate.substr(6,2));
						fromtime=timespan.getAttributeNode("fromtime").value;
						totime=timespan.getAttributeNode("totime").value;
						fhour=parseInt(fromtime.substr(0,2));
						fmin=parseInt(fromtime.substr(2,2));
						thour=parseInt(totime.substr(0,2));
						tmin=parseInt(totime.substr(2,2));
						cssss='modalityopen';

						if(status == 1)
							cssss = 'modalityclose';
						if(status==2)
							cssss='modalityalmostopen';

						//  cssss='stripe-1';
						var spanid=scheduler.addMarkedTimespan({
							//type:"dhx_time_block",
							css: cssss,
							start_date: new Date(year, month, day, fhour, fmin),
							end_date: new Date(year, month, day, thour, tmin),
							sections: {'week_unit':[mod_id],'weekfull_unit':[mod_id],'single_unit':[mod_id] }
							// html:"<b>JFM</b>"
						});

						modalityschedule_timespanids.push(spanid);

					}

					scheduler.updateView();


				}
			};
			xhr.open("POST","/eoRIS/dbconnector/calendar/getschedulemodality.php",true);
			xhr.setRequestHeader('Content-Type','application/x-www-form-urlencoded');
			xhr.send(encodeURI(param));

		}


		function getpatientdefaultschedule()
		{
			var xhr=getxhr();
			var param="";
			xhr.onreadystatechange = function f(){
				if(xhr.readyState == 4 && xhr.status == 200) {

					var  response = xhr.responseText;
					//  alert(response);
					reponse = clean(xhr.responseXML.documentElement);
					var days = reponse.getElementsByTagName('day');
					var nombre = days.length;
					for(var i=0; i <nombre;i++)
					{
						var day=days.item(i);
						var day_id=day.getAttributeNode("id").value;
						var day_from=day.getAttributeNode("from").value;
						var day_to=day.getAttributeNode("to").value;
						dayfrom = day_from.substr(0,2)+":"+day_from.substr(2,2);
						dayto = day_to.substr(0,2)+":"+day_to.substr(2,2);
						var _dayhour = new DayHourFilter(day_id,dayfrom,dayto);
						weekfilter.setDayFilter(_dayhour);

						switch(day_id)
						{
							case '0': daytab_monday.innerHTML="<span>Lundi</span><br/><span style='font-size:7pt'>"+dayfrom+" - "+dayto+"</span>";daytab_monday.className='activateddaytab'; break;
							case '1': daytab_tuesday.innerHTML="<span>Mardi</span><br/><span style='font-size:7pt'>"+dayfrom+" - "+dayto+"</span>";daytab_tuesday.className='activateddaytab'; break;
							case '2': daytab_wednesday.innerHTML="<span>Mercredi</span><br/><span style='font-size:7pt'>"+dayfrom+" - "+dayto+"</span>";daytab_wednesday.className='activateddaytab'; break;
							case '3': daytab_thursday.innerHTML="<span>Jeudi</span><br/><span style='font-size:7pt'>"+dayfrom+" - "+dayto+"</span>";daytab_thursday.className='activateddaytab'; break;
							case '4': daytab_friday.innerHTML="<span>Vendredi</span><br/><span style='font-size:7pt'>"+dayfrom+" - "+dayto+"</span>";daytab_friday.className='activateddaytab'; break;
							case '5': daytab_saturday.innerHTML="<span>Samedi</span><br/><span style='font-size:7pt'>"+dayfrom+" - "+dayto+"</span>";daytab_saturday.className='activateddaytab'; break;
							case '6': daytab_sunday.innerHTML="<span>Dimanche</span><br/><span style='font-size:7pt'>"+dayfrom+" - "+dayto+"</span>";daytab_sunday.className='activateddaytab'; break;
							default: break;
						}
					}
				}
			};
			xhr.open("POST","/eoRIS/dbconnector/calendar/getpatientdefaultschedule.php",true);
			xhr.setRequestHeader('Content-Type','application/x-www-form-urlencoded');
			xhr.send(encodeURI(param));

		}

		function getfilters()
		{
			var xhr=getxhr();
			var param="";
			xhr.onreadystatechange = function f(){

				if(xhr.readyState == 4 && xhr.status == 200) {
					
					var  response = xhr.responseText;

					reponse = clean(xhr.responseXML.documentElement);
					var filters = reponse.getElementsByTagName('filter');
					var nombre = filters.length;
					for(var i=0; i <nombre;i++)
					{
						var filter=filters.item(i);
						var filter_id=filter.getAttributeNode("id").value;
						var filter_label=filter.getAttributeNode("label").value;

						topdiv.innerHTML+="<span class='daytab' id=\"filter_id_"+filter_id+"\" onclick='setSelectedFilter(\"filter_id_"+filter_id+"\")'>"+filter_label+"</span>&nbsp;&nbsp;";
						//if(i==0) setSelectedFilter("filter_id_"+filter_id);
						if(filter_label=='Tout' || filter_label == 'Tous' || filter_label =='All' || filter_label=='All today' || filter_label=='Aujourd\'hui')
						{
							setSelectedFilter("filter_id_"+filter_id);
						}
					}
				}
			};

			xhr.open("POST","/eoRIS/dbconnector/calendar/getfilterlist.php",true);
			xhr.setRequestHeader('Content-Type','application/x-www-form-urlencoded');
			xhr.send(encodeURI(param));

		}
		function getsections(fonct,param1,param2,param3,param4,param5,param6)
		{

			var xhr=getxhr();
			var param=""+"fil_id="+param1;
			xhr.onreadystatechange = function f(){
				if(xhr.readyState == 4 && xhr.status == 200) {

					var  response = xhr.responseText;
					//	alert(response);
					reponse = clean(xhr.responseXML.documentElement);
					var timespans = reponse.getElementsByTagName('modality');
					var nombre = timespans.length;
					//	alert(nombre);
					 sections= new Array();
					for (i=0; i<(nombre); i++)
					{
						var timespan=timespans.item(i);
						var tsdate='';//var busy='';var acn='';var date='';description='';
						modid=timespan.getAttributeNode("id").value;
						modlabel=timespan.getAttributeNode("label").value;
						modality = {key:modid,label:modlabel};
						sections.push(modality);
					}
					scheduler.templates.week_unit_scaley_class="stripe-1";
					//scheduler.load("");
					//Create week view with modalities

					/*scheduler.createUnitsView({
						name:"week_unit",
						property:"section_id",
						list:sections,
						days:5,
						skip_incorrect:true
					});

					//Create week view (including week-end) with modalities
					scheduler.createUnitsView({
						name:"weekfull_unit",
						property:"section_id",
						list:sections,
						days:7,
						skip_incorrect:true
					});

					//Create day view (including week-end) with modalities
					scheduler.createUnitsView({
						name:"single_unit",
						property:"section_id",
						list:sections,
						days:1,
						skip_incorrect:true
					});*/
					scheduler.updateCollection("section_id",sections);
					scheduler.load("/eoRIS/dbconnector/calendar/getvisits2.php");
					scheduler.templates.week_unit_scale_text= function(e, t, r) {
						return "<span class='modalityheaderclass'>" + t + "</span>" ;
					};

					fixBugDHTMLX();
					scheduler.setCurrentView(scheduler._date);
					//getdoctorschedule();

					getschedulemodality(param1);
				}
			};
			xhr.open("POST",fonct+".php",true);
			xhr.setRequestHeader('Content-Type','application/x-www-form-urlencoded');
			xhr.send(encodeURI(param));
		}

		function clickisHospi(trueorfalse)
		{
			if(trueorfalse==true)
			{
				ishospi=true;

				hospiexternalchooser.innerHTML="<center><span class='imghelper' style='padding:1px;margin:5px;width:auto;float:left;margin-right:10px;color:white'>Patient Hospitalis&eacute;&nbsp;&nbsp;&nbsp;</span>    <img style='width:28px;height:28px' src='/eoISCommon/pics/common/hospi.png'></img></center>";
				hospiexternalchooser.className="daytab dhx_hospi";
				inamiGrid.getFilterElement(5).value = "1";
			}
			else{
				ishospi=false;
				hospiexternalchooser.innerHTML="<center><span class='imghelper' style='padding:1px;margin:5px;width:auto;float:left;margin-right:10px;color:white'>Patient Externe&nbsp;&nbsp;&nbsp;</span>    <img style='width:28px;height:28px' src='/eoISCommon/pics/common/outpatient.png'></img></center>";
				hospiexternalchooser.className="daytab dhx_nothospi";
				inamiGrid.getFilterElement(5).value = "0";
				//hospipicker.selectOption(1);
			}

			inamiGrid.filterByAll();

		}

		function inamiGrid_editEvent()
		{
			inamiGrid.clearAll();
			var ishospi='true';
			switch(hospipicker.getSelectedValue())
			{
				case 'hospitalized': ishospi='true';break;
				case 'unhospitalized': ishospi='false';break;

			}
			param="/eoRIS/dbconnector/calendar/getexamlist.php?mod=" + modalitypicker.getSelectedValue()+"&code="+inami_gridbox_code.value+"&hospi="+ishospi+"&descr="+inami_gridbox_description.value;
			var parametre=encodeURI(param);
			inamiGrid.load(parametre,"xml");
		}
		function removegroup(modality)
		{
			var list = new Array();
			for(var i = examsselectedbymodality[modality].length - 1; i >= 0; i--) {

				for(var j =examsselected.length-1;j>=0;j--)
				{
					if(examsselected[j].tempid==examsselectedbymodality[modality][i].tempid)
					{
						list.push(examsselected[j].tempid);
						break;
					}
				}
			}
			for (var i=0;i<list.length;i++)
			{
				removeexam(list[i]);
			}
			list.length=0;

		}
		function removeexam(rowId)
		{  // console.log("remove exam "+rowId);
		var modality="";
		for(var i = examsselected.length - 1; i >= 0; i--) {
			console.log(examsselected[i].tempid +"       "+rowId);

			if(examsselected[i].tempid == rowId) {
				console.log(examsselected[i]);

				if(examsselected[i].stu_id && examsselected[i].stu_id>0)
				{
					deletestudy(examsselected[i].stu_id);
				}
				//    console.log("remove "+rowId);
				modality=examsselected[i].modality;
				examsselected.splice(i, 1);

			}
			scheduler.setCurrentView(scheduler._date);
		}
		for(var i = examsselectedbymodality[modality].length - 1; i >= 0; i--) {
			if(examsselectedbymodality[modality][i].tempid == rowId) {
				//    console.log("remove "+rowId);
				examsselectedbymodality[modality].splice(i, 1);
			}

				//updatefilter();
		}

		var elem = document.getElementById("selexam_"+rowId);
		if(elem) elem.parentNode.removeChild(elem);
		if(examsselectedbymodality[modality].length==1)
		{
			linktag="linktagcr";
			if(modality==="CT")
				linktag="linktagct";
			if(modality==="US")
				linktag="linktagus";
			if(modality==="MR")
				linktag="linktagmr";
			if(modality==="NM")
				linktag="linktagnm";
			selectedexams_div.innerHTML+="    <span draggable='true' class='linktaggroup "+linktag+"' id='selexam_"+examsselectedbymodality[modality][0].tempid+"'><span >"+modality+" - "+examsselectedbymodality[modality][0].description+"</span><span class='linktagremovegroup' onclick=\"removeexam('"+examsselectedbymodality[modality][0].tempid+"');\">x</span></span>";

			elem = document.getElementById("selexamgroup"+modality);
			if(elem) elem.parentNode.removeChild(elem);
		}
	}

	var counterLevel = -1;

	function selectEvent(element)
	{


		var elem = element.querySelectorAll('*[inami]');
		modalityFilterListByCode = '';
		if(elem.length == 0)
		{
			modalityFilterListByCode =  element.getAttribute('inami') ;
		}
		else
		{
			var uniqueList = new Set();

			modalityFilterListByCode = elem[0].getAttribute('inami');
			uniqueList.add(elem[0].getAttribute('inami'));
			for (var i = 1;i < elem.length; ++i) {
				var el = elem[i].getAttribute('inami');
				if(!uniqueList.has(el)){
					modalityFilterListByCode += "," + el ;
					uniqueList.add(el);
				}
			}
		}
		console.log("select ");
		console.log(modalityFilterListByCode);
		scheduler.select(modalityFilterListByCode);
		scheduler.updateEvent(modalityFilterListByCode);
	}


	function filterByCode(element)
	{
	//	selectEvent(element);


		counterLevel++;
		if(counterLevel > 0)
			return;

		var elem = element.querySelectorAll('*[inami]');
		modalityFilterListByCode = '';
		if(elem.length == 0)
		{
			modalityFilterListByCode = "'"+ element.getAttribute('inami') +"'";
		}else
		{
			var uniqueList = new Set();

			modalityFilterListByCode = "'"+ elem[0].getAttribute('inami') +"'";
			uniqueList.add(elem[0].getAttribute('inami'));
			for (var i = 1;i < elem.length; ++i) {
				var el = elem[i].getAttribute('inami');
				if(!uniqueList.has(el)){
					modalityFilterListByCode += ",'" + el + "'";
					uniqueList.add(el);
				}
			}
		}
		getRDVvalidperiod(selectedFilter.substr(10),modalityFilterListByCode);
	}


	function geteventsfromvisid(vis_id)
	{
		var events=scheduler.getEvents();
		var match_events= new Array();
		for(var i = 0; i< events.length; i++)
		{
			if(events[i].vis_id==vis_id)
			{
				match_events.push(events[i]);
			}
		}
		return match_events;
	}


	function selectNewPatientRDV(pat_id)
	{
		var xhr = getxhr();
		var param = "pat_id="+pat_id;

			xhr.onreadystatechange = function f(){
				if(xhr.readyState==4 && xhr.status == 200)
				{
					var response = xhr.responseText;
					reponse = clean(xhr.responseXML.documentElement);
					var patients = reponse.getElementsByTagName('patient');
						patientselected.pat_id= patients.item(0).getAttributeNode("pat_id").value;
							patientselected.lastName = patients.item(0).getAttributeNode("lastname").value;
							patientselected.firstName = patients.item(0).getAttributeNode("firstname").value;
							patientselected.birthDate = patients.item(0).getAttributeNode("birthdate").value;
							patientselected.phonenumber1 = patients.item(0).getAttributeNode("phonenumber1").value;
							patientselected.uniqueID =patients.item(0).getAttributeNode("id").value;
							patientselected.comment= patients.item(0).getAttributeNode("comment").value;
							var patinfo=document.getElementById('patientselectedinfo');
							patinfo.innerHTML="<b>"+patientselected.lastName+" "+patientselected.firstName+"</b><br/>"+patientselected.birthDate.substring(6,8)+"/"+patientselected.birthDate.substring(4,6)+"/" +patientselected.birthDate.substring(0,4);
							var patcomment = document.getElementById('note');
								patcomment.innerHTML=patientselected.comment;
				}
			};
			xhr.open("POST","/eoRIS/dbconnector/calendar/selectpatient.php",false);
			xhr.setRequestHeader('Content-Type','application/x-www-form-urlencoded');
			xhr.send(encodeURI(param));
	}



	function deletestudy(id)
	{
		console.log("delete study "+id);
		var xhr = getxhr();
			var param = "stu_id="+id;
			var checked=false;
			xhr.onreadystatechange = function f(){
				if(xhr.readyState==4 && xhr.status == 200)
				{
					var response = xhr.responseText;
					//reponse = clean(xhr.responseXML.documentElement);
					console.log(response);
					//scheduler.deleteEvent(id);
					checked=true;
				}
			};
			xhr.open("POST","/eoRIS/dbconnector/calendar/deletestudy.php",false);
			xhr.setRequestHeader('Content-Type','application/x-www-form-urlencoded');
			xhr.send(encodeURI(param));
	}
	function updatefilter()
	{
		if(examsselected.length==0) return;
		var xhr = getxhr();
		var param="nbr="+examsselected.length;


		for(var i=0; i< examsselected.length ; i++)
		{
			param=param+"&"+i+"="+examsselected[i].inami;

		}


		xhr.onreadystatechange = function f(){
			if(xhr.readyState == 4 && xhr.status == 200) {

				var  response = xhr.responseText;

				reponse = clean(xhr.responseXML.documentElement);
				var modalities = reponse.getElementsByTagName('mod_id');
				var nombre = modalities.length;
				var sectionsparam="-1&nbr="+modalities.length;
				var isalreadyok=true;
				if(modalities.length!=sections.length)
				{
					isalreadyok=false;
				}
				for(var i=0; i <nombre;i++)
				{
					var mod=modalities[i].firstChild.nodeValue;
					sectionsparam = sectionsparam+"&mod"+i+"="+mod;
					if(isalreadyok==true)
					{
						var tmpok=false;
						for (var j=0;j<sections.length;j++)
						{
							if(sections[j].key==mod)
							{
								tmpok=true;
								break;
							}

						}
						isalreadyok=tmpok;
					}
					//alert(mod);
				}
				if(isalreadyok==false)

				getsections("/eoRIS/dbconnector/calendar/getfiltermodalities",sectionsparam);


				//scheduler.updateView();
			}
		};

		xhr.open("POST","/eoRIS/dbconnector/calendar/getmodalityforselection.php",true);
		xhr.setRequestHeader('Content-Type','application/x-www-form-urlencoded');
		xhr.send(encodeURI(param));
	}
	function addselectedexam(rowId)
	{
		code=inamiGrid.cellById(rowId,2).getValue();
		var xhr=getxhr();
		param="nbr=1&code0="+code;
		xhr.onreadystatechange = function f(){
			if(xhr.readyState == 4 && xhr.status == 200) {

				var  response = xhr.responseText;

				reponse = clean(xhr.responseXML.documentElement);
				var splittedexams = reponse.getElementsByTagName('exam');
				var nombre = splittedexams.length;

				for(var j=0; j <nombre;j++)
				{
					var currentexam = splittedexams.item(j);
					/*var timespan=timespans.item(i);
					var mod_id=timespan.getAttributeNode("id").value;
					var mod_label=timespan.getAttributeNode("label").value;*/
					var code = currentexam.getElementsByTagName('code')[0].firstChild.nodeValue;
					var modality;
					if(currentexam.getElementsByTagName('modality')[0].firstChild)
					{
						modality=currentexam.getElementsByTagName('modality')[0].firstChild.nodeValue;
					}
					else modality="OT";

					var description = currentexam.getElementsByTagName('desc')[0].firstChild.nodeValue;
					var duration = currentexam.getElementsByTagName('duration')[0].firstChild.nodeValue;

							modalityFilterListByCode = '';


					console.log("ADD EXAM "+modality+"  "+description);

						/*	modality=inamiGrid.cellById(rowId,1).getValue();

							description=inamiGrid.cellById(rowId,3).getValue();
							duration=inamiGrid.UserData[rowId].get("duration");
*/
							//console.log("mod  code   desc  duration(m) "+modality+" "+code+" "+description+"    "+duration);

							linktag="linktagcr";
							modalities=modality.split("-");
							for(var i=0; i<modalities.length;i++)
							{
								if(modalities[i]==="CT")
									linktag="linktagct";
								if(modalities[i]==="US")
									linktag="linktagus";
								if(modalities[i]==="MR")
									linktag="linktagmr";
								if(modalities[i]==="NM")
									linktag="linktagnm";
								if(modalities[i]==="OT")
									linktag="linktagcr";
								if(modalities[i]==="IN")
									linktag="linktagcr";
								exams=null;
								if(modalities.length>1)
								{
									modduration="modalityduration"+modalities[i];
									duration=inamiGrid.UserData[rowId].get(modduration);
								}

								var ex= new Exam(code,description,modalities[i],duration,exams);
								examsselected.push(ex);

								examsselectedbymodality[modalities[i]].push(ex);

								if(examsselectedbymodality[modalities[i]].length ==2)
								{
									var elem = document.getElementById("selexam_"+examsselectedbymodality[modalities[i]][0].tempid);
									if(elem) elem.parentNode.removeChild(elem);

									selectedexams_div.innerHTML="   <span ondragstart=\"filterByCode(this);\" ondragend=\"counterLevel=-1;\" onclick=\"filterByCode(this);counterLevel=-1;event.stopPropagation();\" draggable='true' class='linktaggroup "+linktag+" ' id='selexamgroup"+modalities[i]+"'><span >"+modalities[i]+"&nbsp;&nbsp;&nbsp;"+"</span><span id='selexamgroup"+modalities[i]+"_content' ></span>    <span class='linktagremovegroup' onclick=\"removegroup('"+modalities[i]+"');\";>x</span></span>"+selectedexams_div.innerHTML;
									var content=document.getElementById("selexamgroup"+modalities[i]+"_content");
									content.innerHTML="    <span ondragstart=\"filterByCode(this);\" ondragend=\"counterLevel=-1;\" inami=\""+examsselectedbymodality[modalities[i]][0].inami+"\" onclick=\"filterByCode(this);counterLevel=-1;event.stopPropagation();\" draggable='true' class='linktag ' id='selexam_"+examsselectedbymodality[modalities[i]][0].tempid+"'><span  style='line-height:28px' >"+examsselectedbymodality[modalities[i]][0].description+"</span><span class='linktagremove' onclick=\"removeexam('"+examsselectedbymodality[modalities[i]][0].tempid+"');\">x</span></span>";
									content.innerHTML+="    <span ondragstart=\"filterByCode(this);\" ondragend=\"counterLevel=-1;\" inami=\""+ex.inami+"\"  onclick=\"filterByCode(this);counterLevel=-1;event.stopPropagation();\" draggable='true' class='linktag ' id='selexam_"+ex.tempid+"'><span>"+description+"</span><span class='linktagremove' onclick=\"removeexam('"+ex.tempid+"');\">x</span></span>";

								}
								if(examsselectedbymodality[modalities[i]].length >2)
								{
									var content=document.getElementById("selexamgroup"+modalities[i]+"_content");
									content.innerHTML+="    <span ondragstart=\"filterByCode(this);\" ondragend=\"counterLevel=-1;\" inami=\""+ex.inami+"\" draggable='true' onclick=\"filterByCode(this);counterLevel=-1;event.stopPropagation();\" class='linktag' id='selexam_"+ex.tempid+"'><span style='line-height:28px' '>"+description+"</span><span class='linktagremove' onclick=\"removeexam('"+ex.tempid+"');\">x</span></span>";
								}
								if(examsselectedbymodality[modalities[i]].length==1)
									selectedexams_div.innerHTML+="    <span ondragstart=\"filterByCode(this);\" ondragend=\"counterLevel=-1;\" inami=\""+ex.inami+"\" draggable='true'  onclick=\"filterByCode(this);counterLevel=-1;event.stopPropagation();\" class='linktaggroup "+linktag+"' id='selexam_"+ex.tempid+"'><span style='line-height:28px' >"+modalities[i]+" - "+description+"</span><span class='linktagremovegroup' onclick=\"removeexam('"+ex.tempid+"');\">x</span></span>";

							}




				}


				//scheduler.updateView();
			}
		};

		xhr.open("POST","/eoRIS/dbconnector/calendar/getconsistantexamlist.php",false);
		xhr.setRequestHeader('Content-Type','application/x-www-form-urlencoded');
		xhr.send(encodeURI(param));



//A DECOMMENTER A LAVENIR SPECIFIQUE BOIS DE LA PIERRE


		//updatefilter();

	}

	function getMonday(d) {
  var m_names = new Array("Jan", "Feb", "Mar", "Apr", "May", "Jun", "Jul", "Aug", "Sep", "Oct", "Nov", "Dec");
  var d = new Date(d);
  var day = d.getDay(),
      diff = d.getDate() - day + (day == 0 ? -6:1); // adjust when day is sunday

  //Use this one to return this format: Mon Jan 25 2016 09:37:51 GMT-0600 (Central Standard Time)
  //return new Date(d.setDate(diff));

  //Use this one to return this format: Mon, 25 Jan 2016
  //monday=new Date(d.setDate(diff)).toUTCString();
  //monday=monday.split(' ').slice(0, 4).join(' ')
  //return monday;

  //Use this one to return this format: 25-Jan-2016
  monday=new Date(d.setDate(diff));
  /*var curr_date = monday.getDate();
  var curr_month = monday.getMonth();
  var curr_year = monday.getFullYear();*/
  return  monday; //curr_date + "" + m_names[curr_month] + "" + curr_year;
}



	function findnextspotavailable()
	{


		var minDate = scheduler.getState().min_date;
		var maxDate = scheduler.getState().max_date;
		maxDate =  new Date(maxDate.getTime() - 60000);
		var fromdate=(minDate.getYear()+1900)+""+pad(minDate.getMonth()+1,2)+""+pad(minDate.getDate(),2);
		var todate=(maxDate.getYear()+1900)+""+pad(maxDate.getMonth()+1,2)+""+pad(maxDate.getDate(),2);
		var xhr=getxhr();
		var param="day0="+fromdate;

		var nbrgroups=0;
		var param1="";
		var modalities = Object.keys(examsselectedbymodality);
		for (var i = 0 ; i< modalities.length;i++)
		{
			var exams = examsselectedbymodality[modalities[i]];

			var duration=0;
			for (var j=0; j< exams.length;j++)
			{
				//"duration{$j}"];$nbrcodes=$_GET["nbrcodes{$j}"
				//"code{$j}{$i}"
				param1=param1+"&code"+nbrgroups+""+j+"="+exams[j].inami;
				if(duration < exams[j].duration) duration = exams[j].duration;
			}
			if(exams.length>0)
			{
				param1=param1+"&duration"+nbrgroups+"="+duration+"&nbrcodes"+nbrgroups+"="+exams.length;
				nbrgroups++;
			}

		}
		param1=param1+"&groups="+nbrgroups;
		var today = new Date();
		param=param+param1+"&now="+today.yyyymmdd();
/*$duration=$_POST['duration'];
	$nbrcodes=$_POST['nbrcodes'];
	$day0= $_POST['day0'];
	$now = $_POST['now'];*/


		xhr.onreadystatechange = function f(){
			if(xhr.readyState == 4 && xhr.status == 200) {

				var  response = xhr.responseText;
				reponse = clean(xhr.responseXML.documentElement);
				var date = reponse.getElementsByTagName('date');
				var nbrdates = date.length;
				var param=param1;
				if(date.length==1)
				{
					var dt = date.item(0);
					var nextdate=dt.firstChild.nodeValue;
					console.log("nextdate: "+nextdate);
					var d_nextdate=new Date(nextdate.substr(0,4),nextdate.substr(4,2)-1,nextdate.substr(6,2));
					scheduler.setCurrentView(d_nextdate);


					var monday=getMonday(d_nextdate);
					param="day0="+monday.yyyymmdd()+"&now="+nextdate+param;
					var xhr2 = getxhr();
					xhr2.onreadystatechange = function f(){
						if(xhr2.readyState == 4 && xhr2.status == 200) {

							var  response = xhr2.responseText;
							console.log(response);
							reponse = clean(xhr2.responseXML.documentElement);
							var timespans = reponse.getElementsByTagName('interval');
							var nombre = timespans.length;
							console.log(nombre+" intervalees");
							var spanids = new Array();
							for(var i=0; i <nombre;i++)
							{
								var timespan=timespans.item(i);
								var mod_id=timespan.getAttributeNode("mod_id").value;
								//var mod_label=timespan.getAttributeNode("label").value;

								//var status =timespan.getAttributeNode("status").value;

								var tsdate='';
								tsdate=timespan.getAttributeNode("begdate").value;
								year =parseInt(tsdate.substr(0,4));
								month=parseInt(tsdate.substr(4,2));
								month=month-1;
								day=parseInt(tsdate.substr(6,2));
								fromtime=timespan.getAttributeNode("begtime").value;
								totime=timespan.getAttributeNode("endtime").value;
								fhour=parseInt(fromtime.substr(0,2));
								fmin=parseInt(fromtime.substr(2,2));
								thour=parseInt(totime.substr(0,2));
								tmin=parseInt(totime.substr(2,2));
								cssss='rdvavailable';
								//  cssss='stripe-1';
								var spanid=scheduler.addMarkedTimespan({
									//type:"dhx_time_block",
									css: cssss,
									start_date: new Date(year, month, day, fhour, fmin),
									end_date: new Date(year, month, day, thour, tmin),
									sections: {'week_unit':[mod_id],'weekfull_unit':[mod_id],'single_unit':[mod_id] }
									// html:"<b>JFM</b>"
								});

								spanids.push(spanid);

							}

							//scheduler.updateView();
							 findrdvtimespans = spanids;
							for(var k = 0 ; k<spanids.length;k++)
							{
								modalityschedule_timespanids.push(spanids[k]);
							}
							scheduler.updateView();

						}
					}
					xhr2.open("POST","/eoRIS/dbconnector/calendar/findnextrdvinterval.php",false);
					xhr2.setRequestHeader('Content-Type','application/x-www-form-urlencoded');
					xhr2.send(encodeURI(param));

				}
			}
		}


		xhr.open("POST","/eoRIS/dbconnector/calendar/findnextrdv.php",false);
		xhr.setRequestHeader('Content-Type','application/x-www-form-urlencoded');
		xhr.send(encodeURI(param));

	}

	function getRDVvalidperiod(filter_id,code)
	{
		if(code == '')
			return;
		var minDate = scheduler.getState().min_date;
		var maxDate = scheduler.getState().max_date;
		maxDate =  new Date(maxDate.getTime() - 60000);
		var fromdate=(minDate.getYear()+1900)+""+pad(minDate.getMonth()+1,2)+""+pad(minDate.getDate(),2);
		var todate=(maxDate.getYear()+1900)+""+pad(maxDate.getMonth()+1,2)+""+pad(maxDate.getDate(),2);
		var xhr=getxhr();
		var param="fil_id="+filter_id+"&fromdate="+fromdate+"&todate="+todate+"&code="+code;
		xhr.onreadystatechange = function f(){
			if(xhr.readyState == 4 && xhr.status == 200) {

				var  response = xhr.responseText;
				var arrayLength = modalityvalideperiod_timespanids.length;
				for (var i = 0; i < arrayLength; i++) {
					scheduler.deleteMarkedTimespan(modalityvalideperiod_timespanids[i]);
				}
				modalityvalideperiod_timespanids.length=0;

				var  response = xhr.responseText;
				reponse = clean(xhr.responseXML.documentElement);
				var timespans = reponse.getElementsByTagName('timespan');
				var nombre = timespans.length;
				for(var i=0; i <nombre;i++)
				{
					var timespan=timespans.item(i);
					var mod_id=timespan.getAttributeNode("id").value;
					var mod_label=timespan.getAttributeNode("label").value;

					var status =timespan.getAttributeNode("status").value;

					var tsdate='';
					tsdate=timespan.getAttributeNode("date").value;
					year =parseInt(tsdate.substr(0,4));
					month=parseInt(tsdate.substr(4,2));
					month=month-1;
					day=parseInt(tsdate.substr(6,2));
					fromtime=timespan.getAttributeNode("fromtime").value;
					totime=timespan.getAttributeNode("totime").value;
					fhour=parseInt(fromtime.substr(0,2));
					fmin=parseInt(fromtime.substr(2,2));
					thour=parseInt(totime.substr(0,2));
					tmin=parseInt(totime.substr(2,2));
					cssss='modalityacceptexam';

					var spanid=scheduler.addMarkedTimespan({
						css: 'modalityacceptexam',
						start_date: new Date(year, month, day, fhour, fmin),
						end_date: new Date(year, month, day, thour, tmin),
						sections: {'week_unit':[mod_id],'weekfull_unit':[mod_id],'single_unit':[mod_id] }
					});

					modalityvalideperiod_timespanids.push(spanid);
				}
				scheduler.updateView();
			}
		};

		xhr.open("POST","/eoRIS/dbconnector/calendar/getvalidmodalityperiodbyfilter.php",true);
		xhr.setRequestHeader('Content-Type','application/x-www-form-urlencoded');
		xhr.send(encodeURI(param));
	}

	function getdoctorschedule(fromdate,todate)
	{
		var xhr=getxhr();
		var param="";
		xhr.onreadystatechange = function f(){
			if(xhr.readyState == 4 && xhr.status == 200) {

				var  response = xhr.responseText;
				//	alert(response);
				reponse = clean(xhr.responseXML.documentElement);
				var timespans = reponse.getElementsByTagName('timespan');
				var nombre = timespans.length;
				//	alert(nombre);
				for (i=0; i<(nombre); i++)
				{
					var timespan=timespans.item(i);
					var tsdate='';//var busy='';var acn='';var date='';description='';
					tsdate=timespan.getAttributeNode("date").value;
					year =parseInt(tsdate.substr(0,4));
					month=parseInt(tsdate.substr(4,2));
					month=month-1;
					day=parseInt(tsdate.substr(6,2));
					fromtime=timespan.getAttributeNode("fromtime").value;
					totime=timespan.getAttributeNode("totime").value;
					fhour=parseInt(fromtime.substr(0,2));
					fmin=parseInt(fromtime.substr(2,2));
					thour=parseInt(totime.substr(0,2));
					tmin=parseInt(totime.substr(2,2));
					modality=timespan.getAttributeNode("modality").value;
					busy=timespan.getAttributeNode("busy").value;
					if(busy=='f')
					{
						mtscss='notbusycss';
					}
					else mtscss='busycss';
					//alert(year+" "+month+" "+day+"   "+fhour+":"+fmin+" to "+thour+":"+tmin+"   "+modality);
					scheduler.addMarkedTimespan({
						//type:"dhx_time_block",
						css: mtscss,
						start_date: new Date(year, month, day, fhour, fmin),
						end_date: new Date(year, month, day, thour, tmin),
						sections: {'week_unit':[modality],'weekfull_unit':[modality],'single_unit':[modality] }
					});
					scheduler.updateView();

				}

				scheduler.setCurrentView(scheduler._date);

			}
		};
		xhr.open("POST","getdoctorschedule.php",true);
		xhr.setRequestHeader('Content-Type','application/x-www-form-urlencoded');
		xhr.send(encodeURI(param));
	}



	function hourpickerpopupShow(inp) {
		if (!hourpickerpopup) {
			hourpickerpopup = new dhtmlXPopup({mode:'bottom'});
			hourpickerpopup.attachObject(hourpickerbyday);
			hourpickerpopup.attachEvent("onBeforeHide", function(type, ev, id){

				//alert(ev.target.className);
				if(ev.target.className.indexOf("clockpicker")>-1){ return false;}
				return true; // return false;
			});
		}
		if (hourpickerpopup.isVisible()) {
			hourpickerpopup.hide();
		} else {
			var x = getAbsoluteLeft(inp); // inner dhtmlx method, return left position
			var y = getAbsoluteTop(inp); // inner dhtmlx method, return top position
			var w = inp.offsetWidth;
			var h = inp.offsetHeight;
			hourpickerpopup.show(x,y,w,h);
			fromvalue='';
			tovalue='';
			switch(inp){
				case daytab_monday: fromvalue=weekfilter.days[0].hourBegin;tovalue=weekfilter.days[0].hourEnd;weekfilter.lasteditedday=0;break;
				case daytab_tuesday: fromvalue=weekfilter.days[1].hourBegin;tovalue=weekfilter.days[1].hourEnd;weekfilter.lasteditedday=1;break;
				case daytab_wednesday: fromvalue=weekfilter.days[2].hourBegin;tovalue=weekfilter.days[2].hourEnd;weekfilter.lasteditedday=2;break;
				case daytab_thursday: fromvalue=weekfilter.days[3].hourBegin;tovalue=weekfilter.days[3].hourEnd;weekfilter.lasteditedday=3;break;
				case daytab_friday: fromvalue=weekfilter.days[4].hourBegin;tovalue=weekfilter.days[4].hourEnd;weekfilter.lasteditedday=4;break;
				case daytab_saturday: fromvalue=weekfilter.days[5].hourBegin;tovalue=weekfilter.days[5].hourEnd;weekfilter.lasteditedday=5;break;
				case daytab_sunday: fromvalue=weekfilter.days[6].hourBegin;tovalue=weekfilter.days[6].hourEnd;weekfilter.lasteditedday=6;break;

			}
			hourpickerfrom.value=fromvalue;
			hourpickerto.value=tovalue;
		}
	}

	function dragdrop_popupShow(inp) {
		if (!dragdrop_popup) {
			dragdrop_popup = new dhtmlXPopup({mode:left});
			dragdrop_popup.attachHTML("You can enter some text into here");
		}
		/* if (dragdrop_popup.isVisible()) {
		dragdrop_popup.hide();
	} else {*/
	var x = getAbsoluteLeft(inp)-10; // inner dhtmlx method, return left position
	var y = getAbsoluteTop(inp); // inner dhtmlx method, return top position
	var w = inp.offsetWidth+20;
	var h = inp.offsetHeight;
	dragdrop_popup.show(x,y,w,h);
	//}
}


function refselect_popupShow(inp) {
	if (!refselect_popup) {
		refselect_popup = new dhtmlXPopup({mode:left});
		refselect_popup.attachHTML("You can enter some text into here");
	}
	if (refselect_popup.isVisible()) {
		refselect_popup.hide();
	} else {
		var x = getAbsoluteLeft(inp); // inner dhtmlx method, return left position
		var y = getAbsoluteTop(inp); // inner dhtmlx method, return top position
		var w = inp.offsetWidth;
		var h = inp.offsetHeight;
		refselect_popup.show(x,y,w,h);
	}
}

function patselect_popupShow(inp) {
	if (!patselect_popup) {
		patselect_popup = new dhtmlXPopup({mode:left});
		patselect_popup.attachHTML("You can enter some text into here");
	}
	if (patselect_popup.isVisible()) {
		patselect_popup.hide();
	} else {
		var x = getAbsoluteLeft(inp); // inner dhtmlx method, return left position
		var y = getAbsoluteTop(inp); // inner dhtmlx method, return top position
		var w = inp.offsetWidth;
		var h = inp.offsetHeight;
		patselect_popup.show(x,y,w,h);
	}
}

function hidePopup() {
	if (myPop) myPop.hide();
}

function show_minical(){
	if (scheduler.isCalendarVisible())
		scheduler.destroyCalendar();
	else
		scheduler.renderCalendar({
			position:"dhx_minical_icon",
			date:scheduler._date,
			navigation:true,
			handler:function(date,calendar){
				scheduler.setCurrentView(date);
				scheduler.destroyCalendar()
			}
		});
}


function init() {
	dragdrop_popup=new dhtmlXPopup({mode:'left'});
	dragdrop_popup.attachObject(div_dragdropinfo);


	refselect_popup = new dhtmlXPopup({mode:'left'});
	//patselect_popup.attachHTML("<div style='color:red;'>You can enter some text here<br/><br/> SQUALE<div>");
	refselect_popup.attachObject(div_referingselect);
	refselect_popup.attachEvent("onBeforeHide", function(type, ev, id){

		//alert(ev.target.className);
		if(ev.target.className=="dhxcombo_option_text"){ return false;}
		return true; // return false;
	});

	patselect_popup = new dhtmlXPopup({mode:'left'});
	//patselect_popup.attachHTML("<div style='color:red;'>You can enter some text here<br/><br/> SQUALE<div>");
	patselect_popup.attachObject(div_patientselect);
	patselect_popup.attachEvent("onBeforeHide", function(type, ev, id){

		//alert(ev.target.className);
		if(ev.target.className=="dhxcombo_option_text"){ return false;}
		return true; // return false;
	});

	//var dhxLayout = new dhtmlXLayoutObject(layoutContainer, "4I");//3J");

	window.dhx4.skin = 'dhx_web';
	myLayout = new dhtmlXLayoutObject(layoutContainer, '2U');
	var a = myLayout.cells('a');
	var layout_2 = a.attachLayout('3E');
	var cell_filter = layout_2.cells('a');
	cell_filter.setHeight('80');
	cell_filter.hideHeader();
	cell_filter.attachObject("topdiv");

	//var sections=[];
	// [{key:1,label:'CT1'},
	// {key:2,label:'US1'},
	// {key:3,label:'US2'},
	// {key:4,label:'MG'},
	// {key:5,label:'CR2'},
	// {key:6,label:'CR1'},
	// {key:7,label:'TDO'},
	// {key:8,label:'US3'},
	// {key:9,label:'IRM'}
	// ];

	scheduler.locale.labels.week_unit_tab = "Semaine";
	scheduler.locale.labels.single_unit_tab = "Jour";
	scheduler.locale.labels.weekfull_unit_tab = "Semaine + WE";
	scheduler.locale.labels.section_custom="Section";
	scheduler.locale.labels.confirm_deleting="Le rendez-vous sera supprimé. Etes-vous sûr ?";
	scheduler.config.details_on_create=true;
	scheduler.config.prevent_cache = true;
	scheduler.config.details_on_dblclick=true;
	scheduler.config.dblclick_create = false;
	scheduler.config.drag_create = false;
	scheduler.config.xml_date="%Y-%m-%d %H:%i";
	scheduler.config.multi_day=false;
	scheduler.config.separate_short_events = false;
	scheduler.config.mark_now = true;

	// BUG DHTMLX, les marked_timespan ne sont pas affectes par dblclick_create = false  workaround
	scheduler.dblclick_dhx_marked_timespan = function(e,src){
   scheduler.callEvent("onScaleDblClick",[scheduler.getActionData(e).date,src,e]);

   if (scheduler.config.dblclick_create){
      scheduler.addEventNow(scheduler.getActionData(e).date,null,e);
   }
};

	//scheduler.config.drag_move = false;

	//Displayed hours
	scheduler.config.first_hour = 7;
	scheduler.config.last_hour = 19;
	scheduler.config.hour_size_px=120;
	scheduler.xy.min_event_height = 20;


	scheduler.templates.day_date = function(date){
    var formatFunc = scheduler.date.date_to_str("%l %d %M");//scheduler.config.default_date);
    return  formatFunc(date);
};

	//scheduler.templates.calendar_month = "<span id='scheddateeee'>"+scheduler.date.date_to_str("%M, %Y")+"</span>";
	var sections=[];
	scheduler.serverList("section_id",sections);
	//scheduler.xy.scale_width=60;
	scheduler.createUnitsView({
		name:"week_unit",
		property:"section_id",
		list:scheduler.serverList("section_id"),
		days:5,
		skip_incorrect:true
	});

	//Create week view (including week-end) with modalities
	scheduler.createUnitsView({
		name:"weekfull_unit",
		property:"section_id",
		list:scheduler.serverList("section_id"),
		days:7,
		skip_incorrect:true
	});

	//Create day view (including week-end) with modalities
	scheduler.createUnitsView({
		name:"single_unit",
		property:"section_id",
		list:scheduler.serverList("section_id"),
		skip_incorrect:true
	});
	fixBugDHTMLX();
	scheduler._get_column_index = function(x_pos) {
		var column = 0;
		if (this._cols) {

			var width = 0;
			for (var i = 0; i < this._cols.length && !width; i++) {
				width = this._cols[i];
			}

			if (width) {

            //column = x_pos / width;
            // not accurate way to calculate sections , sometimes 1px is missing
            var x = 0;
            for(var j=0; this._cols.length ;j++){
            	if( x <= x_pos ){
            		x+= this._cols[j];
            	}else{
            		column = j;
            		break;
            	}
            }

        } else {
        	column = 0;
        }

        if (this._ignores)
        	for (var i = 0; i <= column; i++)
        		if (this._ignores[i])
        			column++;
        	}
        	return column;
        };

		scheduler.attachEvent("onDblClick", function (id, e){
			var event = scheduler.getEvent(id);
			current_vis_id=event.vis_id;

			selectpatienthistorybyvis_id(event.vis_id);
			console.log("dbl click "+event.vis_id);
		    return false;
		})

		scheduler.attachEvent("onClick", function(id){
		    var event = scheduler.getEvent(id);
		 if(event.event_type=='block')
			 return false;
		    if(event.vis_id==current_vis_id)
		    {
		    	scheduler.config.icons_select=["icon_details","icon_delete"];

		    }
		    else scheduler.config.icons_select=["icon_delete"];
		   /* if (event.important)
		        scheduler.config.icons_select = ["icon_details"];
		    else
		        scheduler.config.icons_select = ["icon_details", "icon_delete"];
		 */
		    return true;
		});
        scheduler.attachEvent("onConfirmedBeforeEventDelete",function(id){
        	var xhr = getxhr();
			var param = "stu_id="+id;
			var checked=false;
			xhr.onreadystatechange = function f(){
				if(xhr.readyState==4 && xhr.status == 200)
				{
					var response = xhr.responseText;
					//reponse = clean(xhr.responseXML.documentElement);
					console.log(response);
					//scheduler.deleteEvent(id);
					checked=true;
				}
			};
			xhr.open("POST","/eoRIS/dbconnector/calendar/deletestudy.php",false);
			xhr.setRequestHeader('Content-Type','application/x-www-form-urlencoded');
			xhr.send(encodeURI(param));
        	return checked;

        });
        scheduler.attachEvent("onBeforeDrag", function (id, mode, e){
        	// The user can only move events in the selected visit
        	//TODO déplacer effectivement le rendez-vous
        	//TODO confirmation une fois déplacé
    		if(scheduler.getEvent(id).vis_id==current_vis_id)
    		{
    			return true;

    		}
    		else return false;
		});


		function movestudydisplay(element,id,event)
		{

		}



		scheduler.attachEvent("onEventDrag",function(id,mode,e){

			if(mode=="move")
			{
				console.log("move event");
				console.log(e);
				var element=document.querySelectorAll("div:not(.dhx_cal_select_menu)[event_id='"+id+"']")[0];
				var _event = scheduler._events[id];

div_dragdropinfo.innerHTML="<b>"+pad(_event.start_date.getHours(),2)+":"+pad(_event.start_date.getMinutes(),2)+" - "+pad(_event.end_date.getHours(),2)+":"+pad(_event.end_date.getMinutes(),2)+"</b><br/>"+patientselected.lastName+" "+patientselected.firstName+"<br/>";
				dragdrop_popupShow(element);


			}
			return true;
		});


scheduler.attachEvent("onEventChanged", function(id,ev){
    var startDate = ev.start_date;
	var section = ev.section_id;
	var stu_id = ev.stu_id;

	if(stu_id!=-1)
	{
		var xhr=getxhr();
		var param="stu_id="+stu_id+"&mod_id="+section+"&date="+startDate.yyyymmdd()+"&time="+startDate.hhmmss();
		xhr.onreadystatechange = function f(){
								if(xhr.readyState==4 && xhr.status == 200)
								{
									var response = xhr.responseText;
									//reponse = clean(xhr.responseXML.documentElement);
									console.log(response);
									//scheduler.deleteEvent(id);

								}
							};
							xhr.open("POST","/eoRIS/dbconnector/calendar/movestudy.php",false);
							xhr.setRequestHeader('Content-Type','application/x-www-form-urlencoded');
							xhr.send(encodeURI(param));
	}
});

		scheduler.attachEvent("onDragEnd", function(id,mode,e){
		    var event = scheduler.getEvent(id);
			if(mode=="move")
			{
				dragdrop_popup.hide();
			}
		    if(mode=="resize")
		    {

		    	dhtmlx.confirm({text:"Voulez-vous modifier la durée de l'examen à "+(event.end_date - event.start_date)/60000+" minutes ?",callback:function(result){
				         if (result) {

				         	var xhr = getxhr();
							var param = "stu_id="+event.stu_id+"&duration="+((event.end_date - event.start_date)/60000)+"";
							var checked=false;
							xhr.onreadystatechange = function f(){
								if(xhr.readyState==4 && xhr.status == 200)
								{
									var response = xhr.responseText;
									//reponse = clean(xhr.responseXML.documentElement);
									console.log(response);
									//scheduler.deleteEvent(id);
									checked=true;
								}
							};
							xhr.open("POST","/eoRIS/dbconnector/calendar/updatestudy.php",false);
							xhr.setRequestHeader('Content-Type','application/x-www-form-urlencoded');
							xhr.send(encodeURI(param));
				         }
				    }
  				});

		    }
		    return true;
		});

        scheduler.attachEvent("onBeforeViewChange", function(old_mode,old_date,mode,date){
        	scheduler.clearAll();
        	if(old_date!=date) {datehaschanged=true;}
        	else datehaschanged=false;
        	if(old_mode!=mode) modehaschanged=true;
        	else modehaschanged=false;
        	if(mode=='week_unit')
        	{
        		if(date.getDay()==6 || date.getDay()==0)
        		{
        			date=scheduler.date.add(date,2,"day");

        			scheduler.setCurrentView(date);
        			document.getElementById('weekfull_unit_tab').style.left='15px';
        			document.getElementById('week_unit_tab').style.left=15+document.getElementById('weekfull_unit_tab').offsetWidth+"px";
        			document.getElementById('single_unit_tab').style.left=15+document.getElementById('weekfull_unit_tab').offsetWidth+document.getElementById('week_unit_tab').offsetWidth+"px";
        			document.getElementById('dhx_minical_icon').style.left=15+document.getElementById('weekfull_unit_tab').offsetWidth+document.getElementById('week_unit_tab').offsetWidth+document.getElementById('single_unit_tab').offsetWidth+"px";
        			return false;
        		}
        	}
        	document.getElementById('weekfull_unit_tab').style.left='15px';
        	document.getElementById('week_unit_tab').style.left=15+document.getElementById('weekfull_unit_tab').offsetWidth+"px";
        	document.getElementById('single_unit_tab').style.left=15+document.getElementById('weekfull_unit_tab').offsetWidth+document.getElementById('week_unit_tab').offsetWidth+"px";
        	document.getElementById('dhx_minical_icon').style.left=15+document.getElementById('weekfull_unit_tab').offsetWidth+document.getElementById('week_unit_tab').offsetWidth+document.getElementById('single_unit_tab').offsetWidth+"px";

        	return true;
        });

	// colore w-e in gray
	scheduler.addMarkedTimespan({
		type:"dhx_time_block",
		zones:"fullday",
		days:[0,6]
		//sections: {'week_unit':[4] }
	});
	//generate holidays
	for(var annee=2000;annee<2050;annee++)
	{

		scheduler.addMarkedTimespan({
			//	type:"dhx_time_block",
			css:"legalholiday",
			zones:"fullday",
			days:createHolidaysforYear(annee)
			//sections: {'week_unit':[] }
		});
	}
	getpatientdefaultschedule();
	getsections("/eoRIS/dbconnector/calendar/getfiltermodalities",1);


	var sTabs="";
	sTabs="";
	sTabs+="			<div class='dhx_cal_tab dhx_cal_tab_first' name='weekfull_unit_tab' style='width:auto;right:auto;left:15px' id='weekfull_unit_tab' ></div>";
	sTabs+="			<div class='dhx_cal_tab dhx_cal_tab_active' name='week_unit_tab' style='position:absolute;right:auto;left:75px' id='week_unit_tab'></div>";
	sTabs+="			<div class='dhx_cal_tab dhx_cal_tab_last' name='single_unit_tab' style='right:auto;left:135px' id='single_unit_tab'></div>";
	sTabs+="			<div class='dhx_cal_prev_button'>&nbsp;</div>";
	sTabs+="			<div class='dhx_cal_next_button'>&nbsp;</div>";
	sTabs+="			<div class='dhx_cal_today_button'></div>";
	sTabs+="			<div class='dhx_cal_date'></div>";
	sTabs+="       	<div class='dhx_minical_icon' id='dhx_minical_icon' onclick='show_minical()'>&nbsp;</div>";
	//sTabs+="         	<div class='poppupeventcss'></div>";


	scheduler.attachEvent('onviewChange',function(new_mode,new_date){

		if(selectedFilter!=null &&(modehaschanged==true || datehaschanged==true)){
			//if(modehaschanged==true || datehaschanged==true){
			// console.log("view change schedmod");
			// console.log(modehaschanged +"    "+datehaschanged);
			// console.log(new_date);
			getschedulemodality(selectedFilter.substr(10));
			getRDVvalidperiod(selectedFilter.substr(10),modalityFilterListByCode);
			modehaschanged=false;datehaschanged=false;

		}
	});

	// Display tooltip with exam and patient information when mouse stays on the same appointment for at least one second
	scheduler.attachEvent("onMouseMove", function (id, e){
		if(id==null) {
			document.getElementById('tooltip_event').style.display='none';mouseOverTimer=null;
		}
		else if (id!=mouseOverEvent)
		{
			document.getElementById('tooltip_event').style.display='none';					//console.log(coordeventdiv.x+"  /  "+coordeventdiv.y);

			mouveOverTimer = setTimeout(function() {
				if(dragdrop_popup.display!="none") return;
				document.getElementById('tooltip_event').style.display='block';
				//Returns the div of the event
				eventdiv=getDIVByAttributeID('event_id',mouseOverEvent);
				if(eventdiv!=null){
					document.getElementById('tooltip_event').style.left='';
					document.getElementById('tooltip_event').style.right='';
					document.getElementById('tooltip_event').style.top='';
					document.getElementById('tooltip_event').style.bottom='';
					coordeventdiv=GetScreenCordinates(eventdiv);
					coordeventdiv.x=getAbsoluteLeft(eventdiv);
					coordeventdiv.y=getAbsoluteTop(eventdiv);
					document.getElementById('tooltip_event').style.left=coordeventdiv.x+parseInt(eventdiv.style.width)+"px";
					document.getElementById('tooltip_event').style.top=coordeventdiv.y+"px";
					document.getElementById('tooltip_event_patient').innerHTML="<b>"+scheduler.getEvent(mouseOverEvent).patient+"</b><br/>"+scheduler.getEvent(mouseOverEvent).birthdate+"<br/>";
					if(scheduler.getEvent(mouseOverEvent).patphone1!='')
						document.getElementById('tooltip_event_patient').innerHTML=document.getElementById('tooltip_event_patient').innerHTML+"<img style=\"width:32px;vertical-align:middle\" src='/eoISCommon/pics/common/phone.png' /> <span class='imghelper'>"+scheduler.getEvent(mouseOverEvent).patphone1+"</span><br/>"
					if(scheduler.getEvent(mouseOverEvent).patphone2!='')
						document.getElementById('tooltip_event_patient').innerHTML=document.getElementById('tooltip_event_patient').innerHTML+"<img style=\"width:32px;vertical-align:middle\" src='/eoISCommon/pics/common/phone.png' /> <span class='imghelper'>"+scheduler.getEvent(mouseOverEvent).patphone2+"</span><br/>"
					if(scheduler.getEvent(mouseOverEvent).comment!='')
						document.getElementById('tooltip_event_patient').innerHTML=document.getElementById('tooltip_event_patient').innerHTML+"<font color='red'>"+scheduler.getEvent(mouseOverEvent).patcomment+"</font>";
					document.getElementById('tooltip_event_patient').innerHTML=document.getElementById('tooltip_event_patient').innerHTML+"<hr/>";
					document.getElementById('tooltip_event_exam').innerHTML=scheduler.getEvent(mouseOverEvent).text;

					/*******************************
					Adaptive tooltip_event position to make sure it's always on screen
					/********************************/
					var dimsc=	getScreenDimensions();
					var splitterLeft ;//= getObjectByAttributeID('td','class','dhtmlxLayoutPolySplitterVer').offsetLeft;

					//	console.log('screen w: '+dimsc.width+"     tot="+(parseInt(document.getElementById('tooltip_event').offsetWidth)+parseInt(coordeventdiv.x)))
					if(splitterLeft <= parseInt(document.getElementById('tooltip_event').offsetWidth)+parseInt(coordeventdiv.x)+eventdiv.offsetWidth)
					{
						document.getElementById('tooltip_event').style.left='';
						document.getElementById('tooltip_event').style.right=dimsc.width-parseInt(coordeventdiv.x)+'px';

					}
					if(dimsc.height <= parseInt(document.getElementById('tooltip_event').offsetHeight)+parseInt(coordeventdiv.y)+eventdiv.offsetHeight)
					{
						document.getElementById('tooltip_event').style.top='';
						document.getElementById('tooltip_event').style.bottom=dimsc.height-parseInt(coordeventdiv.y)-eventdiv.offsetHeight+'px';
					}
					/*****************/
				}
			}, 1000);

		}

		mouseOverEvent=id;
	});


	scheduler.attachEvent("onExternalDragIn", function(id, source, event){
		/*var label = tree.getItemText(tree._dragged[0].id);
		scheduler.getEvent(id).text = label;*/
		// console.log("drorrrrp");
	//	alert(event);
//		alert(id);
		return false;
	});


/*
	scheduler.templates.event_header = function(start,end,ev){

		return scheduler.templates.event_date(start)+" - "+scheduler.templates.event_date(end)+"  "+ev.patient;
	};
	*/

		scheduler.templates.event_header = function(start,end,ev){
            //console.log(ev);
            if(ev.patient==="" || ev.patient==null)
            {
                if(ev.start_date.getMinutes() %10 !=0)
                {
                    ev.start_date= newDateObj = new Date(ev.start_date.getTime() - 5*60000);
                    ev.end_date= newDateObj = new Date(ev.end_date.getTime() - 5*60000);
                    //ev.end_date=ev.end_date-5;
                }
            }
			if(scheduler._get_section_view().days==1)
			{
				if(eventdisplaymode==="patient")
					return scheduler.templates.event_date(start)+ /* "+scheduler.templates.event_date(end)+"  "+*/"&nbsp;&nbsp;"+ev.patient+"<br><font color='#C0C0C0'>"+ev.text+"</font>";
				else{
					return scheduler.templates.event_date(start)+/*" - "+scheduler.templates.event_date(end)+"  "+*/"&nbsp;&nbsp;"+ev.text;
				}
			}
			{
				if(eventdisplaymode==="patient")
					return /*scheduler.templates.event_date(start)+/*" - "+scheduler.templates.event_date(end)+"  "+*/"&nbsp;&nbsp;"+ev.patient;
				else{
					return /*scheduler.templates.event_date(start)+/*" - "+scheduler.templates.event_date(end)+"  "+*/"&nbsp;&nbsp;"+ev.text;
				}
			}
    };



	var cell_scheduler = layout_2.cells('b');
	cell_scheduler.hideHeader();
	
	cell_scheduler.attachScheduler(null,def_view,sTabs);
	var cell_examlist = layout_2.cells('c');
	cell_examlist.setHeight('120');
	cell_examlist.hideHeader();
	cell_examlist.attachObject("bottomleftdiv");
	cell_examlist.showInnerScroll();

	var b = myLayout.cells('b');
	var toolbar = myLayout.cells("b").attachToolbar();
	toolbar.addText("info", 0, "<?php echo "Prise de RDV";?>");
	toolbar.addSpacer("info");
	toolbar.addButton("newvisit", 1, "<?php echo $_New;?>", <?php echo "\"".ICON_ADD."\"";?>, <?php echo "\"".ICON_ADD."\"";?>);
	toolbar.attachEvent("onClick", function(id){
			if(id == "newvisit")
			{

				patientselected=new Patient();
				referingselected= new Physician();
				patientselectedinfo.innerHTML="Undefined";
				referingselectedinfo.innerHTML="Undefined";
				document.getElementById('note').innerHTML='';
				document.getElementById('note').value='';
				document.getElementById('notevisit').innerHTML='';
				document.getElementById('notevisit').value='';
				var histdiv = document.getElementById('pathistory_div');
				histdiv.innerHTML="";
				document.getElementById('selectedexams_div').innerHTML="";
				examsselected.length=0;
				current_vis_id=-1;
				scheduler.updateView();

			}
		});
	myLayout.cells("b").hideHeader();
	b.setWidth('560');
	var layout_1 = b.attachLayout('3E');
	var cell_patientinfo = layout_1.cells('a');
	cell_patientinfo.setText('Prise de rendez-vous');
	cell_patientinfo.hideHeader();
	cell_patientinfo.hideArrow();
	cell_patientinfo.attachObject("divpatient");
	cell_patientinfo.setHeight('240');
	var cell_visitinfo = layout_1.cells('b');
	cell_visitinfo.setHeight('200');
	cell_visitinfo.hideHeader();
	cell_visitinfo.fixSize(0,1);
	cell_visitinfo.attachObject("divvisit");

	scheduler.attachEvent("onOptionsLoad", function (){

	});
	scheduler.setLoadMode("week");
	scheduler.load("/eoRIS/dbconnector/calendar/getvisits2.php");


	var cell_layout1 = layout_1.cells('c');
	cell_layout1.hideHeader();
	var layout_3 = cell_layout1.attachLayout('2E');

	var cell_gridinami = layout_3.cells('a');
	cell_gridinami.hideHeader();


	inamiGrid = cell_gridinami.attachGrid();
	inamiGrid.enableSmartRendering(true);
	inamiGrid.setHeader(",Modality,INAMI,Description,int_id,hospi");
	inamiGrid.attachHeader("#rspan,#connector_select_filter,#connector_text_filter,#connector_text_filter,#connector_text_filter,#connector_text_filter");
	inamiGrid.setInitWidths("50,100,80,*");
	inamiGrid.setColTypes("img,ro,ro,ro,ro,ro");
	inamiGrid.setColSorting("str,str,str,str,int,int");
	inamiGrid.setColumnIds("shortcut_add,modality,code,description1,int_id,hospi");
	inamiGrid.setColumnHidden(4,true);
	inamiGrid.setColumnHidden(5,true);
	inamiGrid.init();
	inamiGrid.load('/eoRIS/dbconnector/calendar/getexamlist2.php',function(){
		clickisHospi(false);
		inamiGrid.attachEvent("onRowDblClicked",addselectedexam);
	});


	var cell_10 = layout_3.cells('b');
	cell_10.setHeight('80');
	cell_10.hideHeader();
	//cell_10.fixSize(0,1);
	//cell_10.innerHTML="fkaopkfdqs";
	cell_10.attachObject('bottomright');
	mobilitypicker=dhtmlXComboFromSelect("selectmobility");

/*
scheduler.templates.event_class = function(start, end, event) {
				if(event.free_visit)
					return "my_freeevent";
                return "my_event";
            };*/

	scheduler.renderEvent = function(container, ev) {
		var c_width = parseFloat(container.style.width);
		var c_height = parseFloat(container.style.height);//console.log("height "+container.style.height);
		var html="";
		var dhx_selected=""
		container.style.zIndex="2";
		if(ev.id==scheduler._selected_id)
		{
			/*html+= "<div class='dhx_event_selected dhx_event_move dhx_header dhx_event_selected' style='width:"+(c_width - 2)+"px; '></div>";
			html += "<div class='dhx_event_move dhx_title dhx_title_black dhx_event_selected'>"+scheduler.templates.event_header(ev.start_date, ev.end_date, ev)+"</div>";
			html += "<div class='dhx_event_selected dhx_body "+dhx_selected +" dhx_body_black dhx_event_selected' style='width:"+(c_width - 10)+"px;height:"+(c_height - 29)+"px;'>" + scheduler.templates.event_text(ev.start_date, ev.end_date, ev) + "</div>";
			html += "<div class='dhx_event_selected dhx_event_resize dhx_footer dhx_event_selected' style='width:"+(c_width - 4)+"px;'></div>";*/
				html+= "<div class='dhx_event_selected dhx_event_move dhx_header' style='width:"+(c_width - 2)+"px; '></div>";
			html += "<div class='dhx_event_move dhx_event_selected  dhx_title' style='height:"+(c_height-4)+"px;word-wrap: break-word;'>"+scheduler.templates.event_header(ev.start_date, ev.end_date, ev)+"&nbsp;&nbsp;"+"</div>";

			//html += "<div class='dhx_body' style='width:"+(c_width - 10)+"px;height:"+c_height="'>" + scheduler.templates.event_text(ev.start_date, ev.end_date, ev) + "</div>";
			html += "<div class='dhx_event_resize dhx_event_selected  dhx_footer' style='width:"+(c_width - 4)+"px;'></div>";


		}
		if (ev.vis_id==current_vis_id && ev.event_type=="real")
		{
			/*	html+= "<div class='dhx_currentvis dhx_event_move dhx_header dhx_currentvis' style='width:"+(c_width - 2)+"px; '></div>";
			html += "<div class='dhx_event_move dhx_title dhx_title_black dhx_currentvis'>"+scheduler.templates.event_header(ev.start_date, ev.end_date, ev)+"</div>";
			html += "<div class='dhx_currentvis dhx_body "+dhx_selected +" dhx_body_black dhx_currentvis' style='width:"+(c_width - 10)+"px;height:"+(c_height - 29)+"px;'>" + scheduler.templates.event_text(ev.start_date, ev.end_date, ev) + "</div>";
			html += "<div class='dhx_currentvis dhx_event_resize dhx_footer dhx_currentvis' style='width:"+(c_width - 4)+"px;'></div>";*/
			html+= "<div class='dhx_currentvis dhx_event_move dhx_header' style='width:"+(c_width - 2)+"px; '></div>";
			html += "<div class='dhx_event_move dhx_currentvis  dhx_title' style='height:"+(c_height-4)+"px;color:black !important;word-wrap: break-word;'>"+scheduler.templates.event_header(ev.start_date, ev.end_date, ev)+"&nbsp;&nbsp;"+"</div>";

			//html += "<div class='dhx_body' style='width:"+(c_width - 10)+"px;height:"+c_height="'>" + scheduler.templates.event_text(ev.start_date, ev.end_date, ev) + "</div>";
			html += "<div class='dhx_event_resize dhx_currentvis  dhx_footer' style='width:"+(c_width - 4)+"px;'></div>";

		}
		else if(ev.event_type=='block'){
			html+= "<div class='dhx_event_move dhx_block  dhx_header' style='width:"+(c_width - 2)+"px; '></div>";
			html += "<div class='dhx_event_move dhx_title dhx_block' style='height:"+(c_height-4)+"px;word-wrap: break-word;'>"+scheduler.templates.event_header(ev.start_date, ev.end_date, ev)+"&nbsp;&nbsp;"+"</div>";

			//html += "<div class='dhx_body' style='width:"+(c_width - 10)+"px;height:"+c_height="'>" + scheduler.templates.event_text(ev.start_date, ev.end_date, ev) + "</div>";
			html += "<div class='dhx_event_resize  dhx_block  dhx_footer' style='width:"+(c_width - 4)+"px;'></div>";

		}
		else if(ev.hospi=='t' && ev.validated=="t")
		{
			/*html+= "<div class='dhx_hospi dhx_event_move dhx_header dhx_hospi' style='width:"+(c_width - 2)+"px; '></div>";
			//html += "<div class='dhx_event_move dhx_title dhx_hospi'>"+scheduler.templates.event_header(ev.start_date, ev.end_date, ev)+"</div>";
			html += "<div class='dhx_event_move dhx_title dhx_hospi'>"+scheduler.templates.event_header(ev.start_date, ev.end_date, ev)+"</div>";
			html += "<div class='dhx_hospi dhx_body dhx_hospi' style='width:"+(c_width - 10)+"px;height:"+(c_height - 29)+"px;'>" + scheduler.templates.event_text(ev.start_date, ev.end_date, ev) + "</div>";
			html += "<div class='dhx_hospi dhx_event_resize dhx_footer dhx_hospi' style='width:"+(c_width - 4)+"px;'></div>";
			*/

			html+= "<div class='dhx_event_move dhx_hospi  dhx_header' style='width:"+(c_width - 2)+"px; '></div>";
			html += "<div class='dhx_event_move dhx_title dhx_hospi' style='height:"+(c_height-4)+"px;word-wrap: break-word;'>"+scheduler.templates.event_header(ev.start_date, ev.end_date, ev)+"&nbsp;&nbsp;"+"</div>";

			//html += "<div class='dhx_body' style='width:"+(c_width - 10)+"px;height:"+c_height="'>" + scheduler.templates.event_text(ev.start_date, ev.end_date, ev) + "</div>";
			html += "<div class='dhx_event_resize  dhx_hospi  dhx_footer' style='width:"+(c_width - 4)+"px;'></div>";
		}
		else if(ev.validated=="f")
		{
			/*html+= "<div class='dhx_notvalidatedrdv dhx_event_move dhx_header dhx_notvalidatedrdv' style='width:"+(c_width - 2)+"px; '></div>";
			html += "<div class='dhx_event_move dhx_title dhx_notvalidatedrdv'>"+scheduler.templates.event_header(ev.start_date, ev.end_date, ev)+"</div>";
			html += "<div class='dhx_notvalidatedrdv dhx_body dhx_notvalidatedrdv' style='width:"+(c_width - 10)+"px;height:"+(c_height - 29)+"px;'>" + scheduler.templates.event_text(ev.start_date, ev.end_date, ev) + "</div>";
			html += "<div class='dhx_notvalidatedrdv dhx_event_resize dhx_footer dhx_notvalidatedrdv' style='width:"+(c_width - 4)+"px;'></div>";*/

			html+= "<div class='dhx_event_move dhx_notvalidatedrdv  dhx_header' style='width:"+(c_width - 2)+"px; '></div>";
			html += "<div class='dhx_event_move dhx_notvalidatedrdv  dhx_title dhx_notvalidatedrdv' style='height:"+(c_height-4)+"px;word-wrap: break-word;'>"+scheduler.templates.event_header(ev.start_date, ev.end_date, ev)+"&nbsp;&nbsp;"+"</div>";

			//html += "<div class='dhx_body' style='width:"+(c_width - 10)+"px;height:"+c_height="'>" + scheduler.templates.event_text(ev.start_date, ev.end_date, ev) + "</div>";
			html += "<div class='dhx_event_resize  dhx_notvalidatedrdv  dhx_footer' style='width:"+(c_width - 4)+"px;'></div>";
		}
		else{
			html+= "<div class='dhx_event_move dhx_header' style='width:"+(c_width - 2)+"px; '></div>";
			html += "<div class='dhx_event_move dhx_title' style='height:"+(c_height-4)+"px;word-wrap: break-word;'>"+scheduler.templates.event_header(ev.start_date, ev.end_date, ev)+"&nbsp;&nbsp;"+"</div>";

			//html += "<div class='dhx_body' style='width:"+(c_width - 10)+"px;height:"+c_height="'>" + scheduler.templates.event_text(ev.start_date, ev.end_date, ev) + "</div>";
			html += "<div class='dhx_event_resize dhx_footer' style='width:"+(c_width - 4)+"px;'></div>";


			/*html = "<div class='dhx_event_move my_event_move' style='width: " + c_width + "px;height:"+c_height+"px'></div>";

                // container for event contents
                html+= "<div class='my_event_body'>";
                    html += "<span class='event_date'>";
                    // two options here: show only start date for short events or start+end for long
                   /* if ((ev.end_date - ev.start_date) / 60000 > 40) { // if event is longer than 40 minutes
                        html += scheduler.templates.event_header(ev.start_date, ev.end_date, ev);
                        html += "</span><br/>";
                    } else {*/
              /*          html += scheduler.templates.event_date(ev.start_date) + "</span>";
                    //}
                    // displaying event text
                    html += "<span class='event_date'>" + ev.patient + "</span>";
                html += "</div>";

                // resize section
                html += "<div class='dhx_event_resize my_event_resize' style='width: " + c_width + ";'></div>";*/


		}
			container.innerHTML = html;
			return true;
		};


		document.addEventListener("dragstart", function(event) {
			// The dataTransfer.setData() method sets the data type and the value of the dragged data
			event.dataTransfer.setData("Text", event.target.id);

			console.log(event);
			console.log(event.target);
			//console.log(event.target.id);
			console.log(event.target.id);
			if(event.target.id.indexOf('selexamgroup')==0)
			{

				//   console.log("sel in if"
				console.log("target id   "+event.target.id);
				mod=String(event.target.id+'').substr(12);
				descr="";
				duration_max=5;
				for (var i=0;i<examsselectedbymodality[mod].length;i++)
				{
					if(descr=="")
					{
						descr=examsselectedbymodality[mod][i].description;
					}
					else descr=descr+" | "+examsselectedbymodality[mod][i].description;
					if(examsselectedbymodality[mod][i].duration>duration_max)
					{
						duration_max=examsselectedbymodality[mod][i].duration;
					}
				}
				var ex= new Exam('_group'+mod+Date.now(),descr,mod,duration_max);
				currentexamgroupselected=ex;
				for (var i=0;i<examsselectedbymodality[mod].length;i++)
				{
					currentexamgroupselected.exams.push(examsselectedbymodality[mod][i]);

				}

			}
			else currentexamgroupselected=null;
			// Output some text when starting to drag the p element
			// document.getElementById("demo").innerHTML = "Started to drag the p element.";

			// Change the opacity of the draggable element
			event.target.style.opacity = "0.0";
			//event.target.style.zIndex=1;
			//event.target.style.top=0;
			currentdragdata=event.target.id;
			currentdragdiv=event.target;
			console.log('dragstart currentdragdata');
			console.log(currentdragdata);
		});

		// While dragging the p element, change the color of the output text
		document.addEventListener("drag", function(event) {
			//    document.getElementById("demo").style.color = "red";
		});

		// Output some text when finished dragging the p element and reset the opacity
		document.addEventListener("dragend", function(event) {
			//document.getElementById("demo").innerHTML = "Finished dragging the p element.";
			event.target.style.opacity = "1";
		});


		/* ----------------- Events fired on the drop target ----------------- */

		// When the draggable p element enters the droptarget, change the DIVS's border style
		document.addEventListener("dragenter", function(event) {
			if ( event.target.className == "droptarget" ) {
				event.target.style.border = "3px dotted red";



				//  event.target.css({'top': 0, 'left' : 20})

			}
		});

		function dayDiff(d1, d2)
		{
			d1 = d1.getTime() / 86400000;
			d2 = d2.getTime() / 86400000;
			return new Number(d2 - d1).toFixed(0);
		}

		function dragover(event)
		{

			dragdrop_popup.hide();
			var drop = scheduler.getActionData(event);

			if(drop.date&& currentdragdata!='-1'){
				if(currentexamgroupselected!=null)
				{
					//    console.log("CURRENT EXAM GROUP");
					exam=currentexamgroupselected;
					ev_tmpid='GROUPCR';
				}
				else{ev_tmpid=String(currentdragdata.substr(8));

					exam=null;
					for(var i = examsselected.length - 1; i >= 0; i--) {
						if(examsselected[i].tempid == ev_tmpid) {

							exam=examsselected[i] ;
							break;
						}
					}}
					if(exam!=null)
					{
						var divcaldata=getDIVByAttributeID('class','dhx_cal_data');
						coordonneesx = getAbsoluteLeft(divcaldata);
						coordonneesy=getAbsoluteTop(divcaldata);
						coordonneeswidth= divcaldata.offsetWidth;
						coordonneesheight=divcaldata.offsetHeight;


						diffnbr=dayDiff(drop.date,scheduler.getState().min_date);
						widthmodality=divcaldata.childNodes[0].offsetWidth;
						diffhour= drop.date.getHours()+(drop.date.getMinutes()*1.0/60)-parseInt(scheduler.config.first_hour,10);

						highpos=(diffhour*scheduler.config.hour_size_px);
						divcible=document.elementFromPoint(event.clientX,event.clientY);

						if(divcible!=previousdivcible || highpos != previoushighpos)
						{
							highpos=highpos+coordonneesy-parseInt(divcaldata.scrollTop,10);leftdivcible=getAbsoluteLeft(divcible);
							previousdivcible=divcible;
							previoushighpos=highpos;
							previousleftdivcible=leftdivcible;
							horizontaldragdiv.style.zIndex=0;
							verticaldragdiv.style.zIndex=0;


							widthdivcible=divcible.offsetWidth;

							if(highpos >= coordonneesy && highpos < (coordonneesheight+coordonneesy) && leftdivcible>coordonneesx && leftdivcible<(coordonneeswidth+coordonneesx) && leftdivcible>42 )
							{
							//	currentdragdiv.style.opacity=0.0;
								//  currentdragdiv.style.top=0;
								//event.target.style.opacity = "0.0";
								horizontaldragdiv.style.display="block";
								horizontaldragdiv.style.left="42px";
								horizontaldragdiv.style.top=highpos+"px";
								horizontaldragdiv.style.height=(exam.duration*1.0/60)*scheduler.config.hour_size_px+"px";
								// horizontaldragdiv.style.width=(leftdivcible-42)+"px";
								horizontaldragdiv.style.width=(coordonneeswidth-42)+"px";

								verticaldragdiv.style.display="block";
								verticaldragdiv.style.left=leftdivcible+"px";
								verticaldragdiv.style.top=coordonneesy+"px";
								//   verticaldragdiv.style.height=(highpos-159)+"px";
								verticaldragdiv.style.height=(coordonneesheight)+"px";
								//if(!(divcible.className.indexOf('popup')<0 || divcible.className.indexOf('div_dragdropinfo')<0 ))
								verticaldragdiv.style.width=divcible.offsetWidth+"px";
								horizontaldragdiv.style.zIndex=10;
								verticaldragdiv.style.zIndex=10;

								/**<div  id="dragevent" class="dhx_cal_event" style="display:none"><div id="dragevent_header" class="dhx_event_move dhx_header" style="width:91px; "></div><div id="drageventbody" class="dhx_body" style="width:83px;height:15px;">CONTENU</div></div>
								</div>*/

								dragevent.style.display="block";
								//  if(!(divcible.className.indexOf('popup')<0 || divcible.className.indexOf('div_dragdropinfo')<0 )){
									dragevent_header.style.width=parseInt(divcible.offsetWidth)+"px";
									drageventbody.style.width=parseInt(divcible.offsetWidth)+"px";

								dragevent.style.width=parseInt(divcible.offsetWidth)+"px";//}
								var ev_height=Math.min(((exam.duration*1.0/60)*scheduler.config.hour_size_px),(coordonneesheight+coordonneesy- parseInt(highpos)));
								drageventbody.style.height=ev_height+"px";//(exam.duration*1.0/60)*scheduler.config.hour_size_px+"px";
								dragevent.style.top=parseInt(highpos)+"px";
								dragevent.style.left=parseInt(leftdivcible)+"px";
								
								dragevent.style.height=ev_height+"px"; //(exam.duration*1.0/60)*scheduler.config.hour_size_px+"px";
								//dragevent.style.maxHeight=(coordonneesheight+coordonneesy- parseInt(highpos))+"px";
								console.log("ev height "+dragevent.style.height);
								//console.log("offestheight: "+coordonneesheight);
								//console.log("maxheight: "+dragevent.style.maxHeight);
								drageventbody.innerHTML=exam.description;
								isdraggingoncalendar=true;
								dateend= scheduler.date.add(drop.date, exam.duration, 'minute');

								div_dragdropinfo.innerHTML="<b>"+pad(drop.date.getHours(),2)+":"+pad(drop.date.getMinutes(),2)+" - "+pad(dateend.getHours(),2)+":"+pad(dateend.getMinutes(),2)+"</b><br/>"+patientselected.lastName+" "+patientselected.firstName+"<br/>";
								dragdrop_popupShow(dragevent);
							}
							else{
								currentdragdiv.style.opacity=0.4;
								horizontaldragdiv.style.display="none";
								verticaldragdiv.style.display="none";
								dragevent.style.display="none";
								isdraggingoncalendar=false;
								dragdrop_popup.hide();
								//  currentdragdiv.style.top="";
								//  event.target.style.opacity = "0.5";
							}}

						}
						event.preventDefault();
					}
				}

				// By default, data/elements cannot be dropped in other elements. To allow a drop, we must prevent the default handling of the element
				document.addEventListener("dragover", function(event) {
					// FIX Slow behavior on IE
					if(lastdragged!=null)
						clearTimeout(lastdragged);
					lastdragged=setTimeout(function(){
						dragover(event);
					},1); event.preventDefault();
				});

				//  the draggable p element leaves the droptarget, reset the DIVS's border style
				document.addEventListener("dragleave", function(event) {
					if ( event.target.className == "droptarget" ) {
						event.target.style.border = "";
					}


				});

				/* On drop - Prevent the browser default handling of the data (default is open as link on drop)
				Reset the color of the output text and DIV's border color
				Get the dragged data with the dataTransfer.getData() method
				The dragged data is the id of the dragged element ("drag1")
				Append the dragged element into the drop element
				*/

				document.addEventListener("drop", function(event) {
					event.preventDefault();
				/*	console.log(event.dataTransfer.getData("Text"));
					console.log("drop");
*/

					console.log(event);

					console.log(document.getElementById(event.dataTransfer.getData("Text")));
					var drop = scheduler.getActionData(event);
					node = event.target || event.srcElement;
					exam=null;
					if(currentexamgroupselected!=null)
					{
					//	console.log("CURRENT EXAM GROUP");
						exam=currentexamgroupselected;
						ev_tmpid=currentexamgroupselected.tempid;
					}
					else ev_tmpid=event.dataTransfer.getData("Text").substr(8);


					for(var i = examsselected.length - 1; i >= 0; i--) {
						if(examsselected[i].tempid == ev_tmpid) {
							exam=examsselected[i] ;
							break;
						}
					}

					//console.log(exam);
					if(exam!=null && isdraggingoncalendar==true)
					{
						var evstuid=-1;
						if(drop.date){

							var ev = {
								text : exam.description,
								start_date : drop.date,
								section_id : drop.section,
								patient: patientselected.lastName+" "+patientselected.firstName,
								end_date : scheduler.date.add(drop.date, exam.duration, 'minute')
							};

							if(current_vis_id<0)
							{
								var xhr = getxhr();

								if(typeof patientselected.pat_id === 'undefined')
									patientselected.pat_id = -1;
								var param="pat_id="+patientselected.pat_id;
								xhr.onreadystatechange = function f(){
									if(xhr.readyState == 4 && xhr.status == 200) {

										var  response = xhr.responseText;

										reponse = clean(xhr.responseXML.documentElement);
										var vis_ids = reponse.getElementsByTagName('vis_id');
										if(vis_ids.length==1)
										{
											current_vis_id=vis_ids[0].firstChild.nodeValue;
										}

									}
								};

								xhr.open("POST","/eoRIS/dbconnector/calendar/newvisit.php",false);
								xhr.setRequestHeader('Content-Type','application/x-www-form-urlencoded');
								xhr.send(encodeURI(param));
								console.log("newvisit");
								console.log("VIS_ID = "+current_vis_id);
							}
							var droppedelement=document.getElementById(event.dataTransfer.getData("Text"));
							console.log("droppedelement");
							console.log(droppedelement);
							var stu_id=-1;
							if(droppedelement.getAttributeNode("stu_id"))
							 stu_id=droppedelement.getAttributeNode("stu_id").value;
							console.log("stu_id "+stu_id);
							if(stu_id && (stu_id > 0 ||  (''+stu_id).indexOf(',') >0))
							{
								console.log("move study");
								var xhrmove=getxhr();
								var param="stu_id="+stu_id+"&mod_id="+drop.section+"&date="+drop.date.yyyymmdd()+"&time="+drop.date.hhmmss();
								xhrmove.onreadystatechange = function f(){
														if(xhrmove.readyState==4 && xhrmove.status == 200)
														{
															var responsemove = xhrmove.responseText;
															//reponse = clean(xhr.responseXML.documentElement);
															console.log(responsemove);
															//scheduler.deleteEvent(id);
															var evv=scheduler.getEvent(stu_id);
															if(evv)
															{
																evv.start_date=drop.date;
																evv.end_date=scheduler.date.add(drop.date, exam.duration, 'minute');
																scheduler.setCurrentView();
															}
														}
													};
													xhrmove.open("POST","/eoRIS/dbconnector/calendar/movestudy.php",false);
													xhrmove.setRequestHeader('Content-Type','application/x-www-form-urlencoded');
													xhrmove.send(encodeURI(param));

							}
							else{
										var xhr = getxhr();
										var param2 = "1";
										console.log(exam);
										console.log(typeof exam.exams);
										if(exam.exams!=null)
										{
											nbrexams=exam.exams.length;
											param2=exam.exams.length+"";
											for (var k=0;k<exam.exams.length;k++)
											{
												param2=param2 +"&code"+k+"="+exam.exams[k].inami+"&desc"+k+"="+exam.exams[k].description;
											}
										}
										else param2=param2+"&code0="+exam.inami+"&desc0="+exam.description;
										var param = "vis_id="+current_vis_id+"&mod_id="+ev.section_id+"&date="+ev.start_date.yyyymmdd()+"&hour="+ev.start_date.hhmmss()+"&duration="+exam.duration+"&nbr="+param2;
										xhr.onreadystatechange = function f(){
											if(xhr.readyState==4 && xhr.status == 200)
											{
												var response = xhr.responseText;
												reponse = clean(xhr.responseXML.documentElement);
												var stu_ids = reponse.getElementsByTagName('stu_id') ;
												var stu_id = stu_ids[stu_ids.length-1].firstChild.nodeValue;
												ev.stu_id=stu_id;

												for(var k = 0; k<stu_ids.length-1;k++)
												{
													ev.stu_id=ev.stu_id+","+stu_ids[stu_ids.length-2-k].firstChild.nodeValue;
												}
												console.log("ev.stu_id "+ev.stu_id);
												evstuid=stu_id;
												exam.stu_id=stu_id;
												droppedelement.setAttribute("stu_id",stu_id);

											}
										};
										xhr.open("POST","/eoRIS/dbconnector/calendar/addstudy.php",false);
										xhr.setRequestHeader('Content-Type','application/x-www-form-urlencoded');
										xhr.send(encodeURI(param));
										//add type of examen if new study
										ev.event_type = 'real';
										ev.validated="f";
										ev.vis_id=current_vis_id;
										ev.id=stu_id;

										scheduler.addEvent(ev);
										
							}
							

							currentdragdata='-1';
							horizontaldragdiv.style.display="none";
							verticaldragdiv.style.display="none";
							dragevent.style.display="none";
							dragdrop_popup.hide();
						}
						if ( event.target.className == "droptarget" ) {
							event.target.style.border = "";
							var data = event.dataTransfer.getData("Text");
							event.target.appendChild(document.getElementById(data));
						}
						document.getElementById(event.dataTransfer.getData("Text")).style.backgroundColor="green";
						console.log("prevous stu_id "+document.getElementById(event.dataTransfer.getData("Text")).stu_id);
						console.log("stu_id to write "+evstuid);
						document.getElementById(event.dataTransfer.getData("Text")).stu_id=evstuid;

						//document.getElementById(event.dataTransfer.getData("Text")).draggable=false;
						console.log("new stu_id "+document.getElementById(event.dataTransfer.getData("Text")).stu_id);
					}

					isdraggingoncalendar=false;
				});

			}



			// Add zoom/unzoom to + - keys
			window.onkeyup = function(e) {
				var key = e.keyCode ? e.keyCode : e.which;

				if (key == 107) {
					scheduler.config.hour_size_px=scheduler.config.hour_size_px*2;
					scheduler.setCurrentView(scheduler._date);
					scheduler.updateView();

				}else if (key == 109) {
					scheduler.config.hour_size_px=scheduler.config.hour_size_px/2;
					scheduler.setCurrentView(scheduler._date);
					scheduler.updateView();
				}

			}
			/*
			function displayHourPicker(day)
			{
			hourpickerpopup = new dhtmlXPopup({mode:left});
			hourpickerpopup.attachHTML("You can enter some text into here");
			/*hourpickerbyday.style.display='block';
			pos=getElementAbsolutePos(day);
			hourpickerbyday.style.top=pos.y+day.offsetHeight+"px";
			hourpickerbyday.style.left=pos.x+"px";
		}*/
		//getDIVByAttributeID("diva","");


		function DisableDayFilter()
		{
			if(weekfilter.lasteditedday>-1)
			{
				dayfrom=hourpickerfrom.value;
				dayto=hourpickerto.value;
				dhf = new DayHourFilter(weekfilter.lasteditedday,dayfrom,dayto,false);
				weekfilter.setDayFilter(dhf);
				hourpickerpopupShow();
			}

		}
		function EnableDayFilter()
		{
			if(weekfilter.lasteditedday>-1)
			{
				dayfrom=hourpickerfrom.value;
				dayto=hourpickerto.value;
				dhf = new DayHourFilter(weekfilter.lasteditedday,dayfrom,dayto,true);
				weekfilter.setDayFilter(dhf);
				hourpickerpopupShow();
			}
		}

		if (window.attachEvent)
			window.attachEvent("onresize",resizeLayout);
		else
			window.addEventListener("resize",resizeLayout, false);


		var t;

		function resizeLayout(){
			window.clearTimeout(t);
			t = window.setTimeout(function(){
				myLayout.setSizes(false);
			},200);
		}


		function validateCurrentVisitKeepPatient()
		{
			if(current_vis_id!==-1)
			{
				var xhr = getxhr();
				var param="vis_id="+current_vis_id+"&add_id="+referingselected.add_id+"&ref_id="+referingselected.ref_id+"&comment="+document.getElementById('notevisit').value;
				xhr.onreadystatechange = function f(){
				if(xhr.readyState == 4 && xhr.status == 200) {

					examsselected=new Array();
					examsselectedbymodality=new Array();
					initexamsselectedbymodality();
					selectedexams_div.innerHTML="";

					current_vis_id=-1;
					scheduler.clearAll();
					scheduler.updateView();
					}
				};
				xhr.open("POST","/eoRIS/dbconnector/calendar/validatevisit.php",false);
				xhr.setRequestHeader('Content-Type','application/x-www-form-urlencoded');
				xhr.send(encodeURI(param));

				for(var i=0;i<findrdvtimespans.length;i++)
				{
					scheduler.deleteMarkedTimespan(findrdvtimespans[i]);
				}
				findrdvtimespans = new Array();
				scheduler.updateView();
			}
			document.getElementById('notevisit').value="";
			document.getElementById('notevisit').innerHTML="";

		}

		function validateCurrentVisit()
		{
			validateCurrentVisitKeepPatient();
			patientselected=new Patient();
			referingselected= new Physician();
			patientselectedinfo.innerHTML="Undefined";
			referingselectedinfo.innerHTML="Undefined";
			document.getElementById('note').innerHTML='';
			document.getElementById('note').value='';
			if(window.myfunc)
			{
				window.myfunc('dovalidate',"-1");
			}
		}
			function selectpatienthistorybypat_id(pat_id)
		{

			var xhr = getxhr();
			var param = "pat_id="+pat_id;
			var askedvis_id=-5;

			xhr.onreadystatechange = function f(){
				if(xhr.readyState == 4 && xhr.status == 200) {

						var response = xhr.responseText;
						reponse = clean(xhr.responseXML.documentElement);
						var visits = reponse.getElementsByTagName('visit') ;
						var nombre = visits.length;
						var histdiv = document.getElementById('pathistory_div');
						histdiv.innerHTML="";
						document.getElementById('selectedexams_div').innerHTML="";
						examsselected.length=0;
						initexamsselectedbymodality();
						current_vis_id=askedvis_id;
						for(var i=0; i <nombre;i++)
						{
							var visit=visits.item(i);
							var description=visit.getAttributeNode("desc").value;
							var date=visit.getAttributeNode("date").value;
							var vis_id = visit.getAttributeNode("vis_id").value;

							histdiv.innerHTML+="<span class='linktaggroup' vis_id='"+vis_id+"' style='min-width:100%;max-width:100%;overflow:hidden;' onclick='selectpatienthistorybyvis_id("+vis_id+");'><span style='float:left'>"+date.substring(6,8)+"/"+date.substring(4,6)+"/"+date.substring(0,4)+"</span> &nbsp;&nbsp;<span> "+description+"</span>";

							if(vis_id==askedvis_id)
							{

								document.getElementById('notevisit').innerHTML=visit.getAttributeNode("desc").value;

								referingselected.lastName = visit.getAttributeNode('ref_lname').value;
							referingselected.firstName = visit.getAttributeNode('ref_fname').value;
							referingselected.birthDate = visit.getAttributeNode('ref_phone').value;
							referingselected.id = visit.getAttributeNode('ref_inami').value;
							referingselected.ref_id =  visit.getAttributeNode('ref_id').value;
							referingselected.add_id= visit.getAttributeNode('ref_add_id').value;

							var refinfo=document.getElementById('referingselectedinfo');
							refinfo.innerHTML="<b>"+referingselected.lastName+" "+referingselected.firstName+"</b><br/>"+referingselected.id;
									var datee = new Date(date.substring(0,4),date.substring(4,6)-1,date.substring(6,8));

									var xhr2= getxhr();
									var param2 = "vis_id="+vis_id;
									xhr2.onreadystatechange=function f2(){
										if(xhr2.readyState == 4 && xhr2.status == 200) {
											var response2 = xhr2.responseText;
											reponse2 = clean(xhr2.responseXML.documentElement);
											var studies = reponse2.getElementsByTagName('event');
											var nbrstudies = studies.length;
											console.log(nbrstudies+" studies");
											for(var k=0;k<nbrstudies;k++)
											{

													var st = studies.item(k);
													var st_stu_id = st.getAttribute("stu_id");
													var st_modality= st.getAttribute("modality");
													var st_description= st.getAttribute("text");
													var st_code= st.getAttribute("code");
													var st_beg = st.getAttribute("start_date");
													var st_end = st.getAttribute("end_date");
													var st_duration = (new Date(st_end) - new Date(st_beg))/60000;
													console.log("beg / end :"+st_beg+"/"+st_end);
													console.log("duration : "+st_duration);
													var st_id = st.getAttribute("id");
													if(st_id.startsWith('block'))
													{
														continue;
													}

													var linktag="linktagcr";
													if(modality==="CT")
														linktag="linktagct";
													if(modality==="US")
														linktag="linktagus";
													if(modality==="MR")
														linktag="linktagmr";
													if(modality==="NM")
														linktag="linktagnm";

													var ex = new Exam(st_code,st_description,st_modality,st_duration);
													ex.stu_id=st_stu_id;
													ex.inami=st_code;
													console.log(ex);
													examsselected.push(ex);
													console.log("ex pushed");
													examsselectedbymodality[st_modality].push(ex);
													console.log("ex pushed 2");
													if(examsselectedbymodality[st_modality].length==2)
													{
														var elem = document.getElementById("selexam_"+examsselectedbymodality[st_modality][0].tempid);
														if(elem) elem.parentNode.removeChild(elem);
														selectedexams_div.innerHTML="   <span style='background-color:green;' ondragstart=\"filterByCode(this);\" ondragend=\"counterLevel=-1;\" onclick=\"filterByCode(this);counterLevel=-1;event.stopPropagation();\" draggable='true' class='linktaggroup "+linktag+" ' id='selexamgroup"+st_modality+"'><span >"+st_modality+"&nbsp;&nbsp;&nbsp;"+"</span><span id='selexamgroup"+st_modality+"_content' ></span>    <span class='linktagremovegroup' onclick=\"removegroup('"+st_modality+"');\";>x</span></span>"+selectedexams_div.innerHTML;
														var content=document.getElementById("selexamgroup"+st_modality+"_content");
														content.innerHTML="    <span ondragstart=\"filterByCode(this);\" ondragend=\"counterLevel=-1;\" stu_id='"+ex.stu_id+"' inami=\""+examsselectedbymodality[st_modality][0].inami+"\" onclick=\"filterByCode(this);counterLevel=-1;event.stopPropagation();\" draggable='true' class='linktag ' id='selexam_"+examsselectedbymodality[st_modality][0].tempid+"'><span  style='line-height:28px;background-color:green;' >"+examsselectedbymodality[st_modality][0].description+"</span><span class='linktagremove' onclick=\"removeexam('"+examsselectedbymodality[st_modality][0].tempid+"');\">x</span></span>";
														content.innerHTML+="    <span ondragstart=\"filterByCode(this);\" ondragend=\"counterLevel=-1;\" inami=\""+ex.inami+"\"  onclick=\"filterByCode(this);counterLevel=-1;event.stopPropagation();\" draggable='false' class='linktag ' id='selexam_"+ex.tempid+"'><span>"+description+"</span><span class='linktagremove' onclick=\"removeexam('"+ex.tempid+"');\">x</span></span>";
													}
													if(examsselectedbymodality[st_modality].length==1)
														selectedexams_div.innerHTML+="    <span ondragstart=\"filterByCode(this);\" ondragend=\"counterLevel=-1;\" inami=\""+ex.inami+"\" draggable='true'  onclick=\"filterByCode(this);counterLevel=-1;event.stopPropagation();\" class='linktaggroup "+linktag+"' style='background-color:green;' stu_id='"+ex.stu_id+"' id='selexam_"+ex.tempid+"'><span style='line-height:28px;' >"+st_modality+" - "+description+"</span><span 	class='linktagremovegroup' onclick=\"removeexam('"+ex.tempid+"');\">x</span></span>";

													/*var ex= new Exam(code,description,modalities[i],duration,exams);
								examsselected.push(ex);

								examsselectedbymodality[modalities[i]].push(ex);

								if(examsselectedbymodality[modalities[i]].length ==2)
								{
									var elem = document.getElementById("selexam_"+examsselectedbymodality[modalities[i]][0].tempid);
									if(elem) elem.parentNode.removeChild(elem);

									selectedexams_div.innerHTML="   <span ondragstart=\"filterByCode(this);\" ondragend=\"counterLevel=-1;\" onclick=\"filterByCode(this);counterLevel=-1;event.stopPropagation();\" draggable='true' class='linktaggroup "+linktag+" ' id='selexamgroup"+modalities[i]+"'><span >"+modalities[i]+"&nbsp;&nbsp;&nbsp;"+"</span><span id='selexamgroup"+modalities[i]+"_content' ></span>    <span class='linktagremovegroup' onclick=\"removegroup('"+modalities[i]+"');\";>x</span></span>"+selectedexams_div.innerHTML;
									var content=document.getElementById("selexamgroup"+modalities[i]+"_content");
									content.innerHTML="    <span ondragstart=\"filterByCode(this);\" ondragend=\"counterLevel=-1;\" inami=\""+examsselectedbymodality[modalities[i]][0].inami+"\" onclick=\"filterByCode(this);counterLevel=-1;event.stopPropagation();\" draggable='true' class='linktag ' id='selexam_"+examsselectedbymodality[modalities[i]][0].tempid+"'><span  style='line-height:28px' >"+examsselectedbymodality[modalities[i]][0].description+"</span><span class='linktagremove' onclick=\"removeexam('"+examsselectedbymodality[modalities[i]][0].tempid+"');\">x</span></span>";
									content.innerHTML+="    <span ondragstart=\"filterByCode(this);\" ondragend=\"counterLevel=-1;\" inami=\""+ex.inami+"\"  onclick=\"filterByCode(this);counterLevel=-1;event.stopPropagation();\" draggable='true' class='linktag ' id='selexam_"+ex.tempid+"'><span>"+description+"</span><span class='linktagremove' onclick=\"removeexam('"+ex.tempid+"');\">x</span></span>";

								}
								if(examsselectedbymodality[modalities[i]].length >2)
								{
									var content=document.getElementById("selexamgroup"+modalities[i]+"_content");
									content.innerHTML+="    <span ondragstart=\"filterByCode(this);\" ondragend=\"counterLevel=-1;\" inami=\""+ex.inami+"\" draggable='true' onclick=\"filterByCode(this);counterLevel=-1;event.stopPropagation();\" class='linktag' id='selexam_"+ex.tempid+"'><span style='line-height:28px' '>"+description+"</span><span class='linktagremove' onclick=\"removeexam('"+ex.tempid+"');\">x</span></span>";
								}
								if(examsselectedbymodality[modalities[i]].length==1)
									selectedexams_div.innerHTML+="    <span ondragstart=\"filterByCode(this);\" ondragend=\"counterLevel=-1;\" inami=\""+ex.inami+"\" draggable='true'  onclick=\"filterByCode(this);counterLevel=-1;event.stopPropagation();\" class='linktaggroup "+linktag+"' id='selexam_"+ex.tempid+"'><span style='line-height:28px' >"+modalities[i]+" - "+description+"</span><span class='linktagremovegroup' onclick=\"removeexam('"+ex.tempid+"');\">x</span></span>";
*/

											}
										}

									}
									xhr2.open("POST","/eoRIS/dbconnector/calendar/getvisits2.php",false);
									xhr2.setRequestHeader('Content-Type','application/x-www-form-urlencoded');
									xhr2.send(encodeURI(param2));

									setTimeout(function() { scheduler.setCurrentView(datee) }, 200) ;
//									setTimeout(function() { scheduler.updateView(datee) }, 50) ;
							}
						}
						var patients = reponse.getElementsByTagName('patient');
						var pat_id=-1;
						if(patients.length >0)
						{
							patientselected.pat_id= patients.item(0).getAttributeNode("pat_id").value;
							patientselected.lastName = patients.item(0).getAttributeNode("lastname").value;
							patientselected.firstName = patients.item(0).getAttributeNode("firstname").value;
							patientselected.birthDate = patients.item(0).getAttributeNode("birthdate").value;
							patientselected.phonenumber1 = patients.item(0).getAttributeNode("phonenumber1").value;
							patientselected.uniqueID =patients.item(0).getAttributeNode("id").value;
							patientselected.comment= patients.item(0).getAttributeNode("comment").value;
							var patinfo=document.getElementById('patientselectedinfo');
							patinfo.innerHTML="<b>"+patientselected.lastName+" "+patientselected.firstName+"</b><br/>"+patientselected.birthDate.substring(6,8)+"/"+patientselected.birthDate.substring(4,6)+"/" +patientselected.birthDate.substring(0,4);
							var patcomment = document.getElementById('note');
								patcomment.innerHTML=patientselected.comment;


						}




					}
				};
				xhr.open("POST","/eoRIS/dbconnector/calendar/getpatientvisits.php",false);
				xhr.setRequestHeader('Content-Type','application/x-www-form-urlencoded');
				xhr.send(encodeURI(param));


	}


		function selectpatienthistorybyvis_id(vis_id)
		{

			var xhr = getxhr();
			var param = "vis_id="+vis_id;
			var askedvis_id=vis_id;

			xhr.onreadystatechange = function f(){
				if(xhr.readyState == 4 && xhr.status == 200) {

						var response = xhr.responseText;
						reponse = clean(xhr.responseXML.documentElement);
						var visits = reponse.getElementsByTagName('visit') ;
						var nombre = visits.length;
						var histdiv = document.getElementById('pathistory_div');
						histdiv.innerHTML="";
						document.getElementById('selectedexams_div').innerHTML="";
						examsselected.length=0;
						initexamsselectedbymodality();
						current_vis_id=askedvis_id;
						for(var i=0; i <nombre;i++)
						{
							var visit=visits.item(i);
							var description=visit.getAttributeNode("desc").value;
							var date=visit.getAttributeNode("date").value;
							var vis_id = visit.getAttributeNode("vis_id").value;

							histdiv.innerHTML+="<span class='linktaggroup' vis_id='"+vis_id+"' style='min-width:100%;max-width:100%;overflow:hidden;' onclick='selectpatienthistorybyvis_id("+vis_id+");'><span style='float:left'>"+date.substring(6,8)+"/"+date.substring(4,6)+"/"+date.substring(0,4)+"</span> &nbsp;&nbsp;<span> "+description+"</span>";

							if(vis_id==askedvis_id)
							{

								document.getElementById('notevisit').innerHTML=visit.getAttributeNode("desc").value;

								referingselected.lastName = visit.getAttributeNode('ref_lname').value;
							referingselected.firstName = visit.getAttributeNode('ref_fname').value;
							referingselected.birthDate = visit.getAttributeNode('ref_phone').value;
							referingselected.id = visit.getAttributeNode('ref_inami').value;
							referingselected.ref_id =  visit.getAttributeNode('ref_id').value;
							referingselected.add_id= visit.getAttributeNode('ref_add_id').value;

							var refinfo=document.getElementById('referingselectedinfo');
							refinfo.innerHTML="<b>"+referingselected.lastName+" "+referingselected.firstName+"</b><br/>"+referingselected.id;
									var datee = new Date(date.substring(0,4),date.substring(4,6)-1,date.substring(6,8));

									var xhr2= getxhr();
									var param2 = "vis_id="+vis_id;
									xhr2.onreadystatechange=function f2(){
										if(xhr2.readyState == 4 && xhr2.status == 200) {
											var response2 = xhr2.responseText;
											reponse2 = clean(xhr2.responseXML.documentElement);
											var studies = reponse2.getElementsByTagName('event');
											var nbrstudies = studies.length;
											console.log(nbrstudies+" studies");
											for(var k=0;k<nbrstudies;k++)
											{

													var st = studies.item(k);
													var st_stu_id = st.getAttribute("stu_id");
													var st_modality= st.getAttribute("modality");
													var st_description= st.getAttribute("text");
													var st_code= st.getAttribute("code");
													var st_beg = st.getAttribute("start_date");
													var st_end = st.getAttribute("end_date");
													var st_duration = (new Date(st_end) - new Date(st_beg))/60000;
													console.log("beg / end :"+st_beg+"/"+st_end);
													console.log("duration : "+st_duration);
													var st_id = st.getAttribute("id");
													if(st_id.startsWith('block'))
													{
														continue;
													}

													var linktag="linktagcr";
													if(modality==="CT")
														linktag="linktagct";
													if(modality==="US")
														linktag="linktagus";
													if(modality==="MR")
														linktag="linktagmr";
													if(modality==="NM")
														linktag="linktagnm";

													var ex = new Exam(st_code,st_description,st_modality,st_duration);
													ex.stu_id=st_stu_id;
													ex.inami=st_code;
													console.log(ex);
													examsselected.push(ex);
													console.log("ex pushed");
													examsselectedbymodality[st_modality].push(ex);
													console.log("ex pushed 2");
													if(examsselectedbymodality[st_modality].length==2)
													{
														var elem = document.getElementById("selexam_"+examsselectedbymodality[st_modality][0].tempid);
														if(elem) elem.parentNode.removeChild(elem);
														selectedexams_div.innerHTML="   <span style='background-color:green;' ondragstart=\"filterByCode(this);\" ondragend=\"counterLevel=-1;\" onclick=\"filterByCode(this);counterLevel=-1;event.stopPropagation();\" draggable='true' class='linktaggroup "+linktag+" ' id='selexamgroup"+st_modality+"'><span >"+st_modality+"&nbsp;&nbsp;&nbsp;"+"</span><span id='selexamgroup"+st_modality+"_content' ></span>    <span class='linktagremovegroup' onclick=\"removegroup('"+st_modality+"');\";>x</span></span>"+selectedexams_div.innerHTML;
														var content=document.getElementById("selexamgroup"+st_modality+"_content");
														content.innerHTML="    <span ondragstart=\"filterByCode(this);\" ondragend=\"counterLevel=-1;\" stu_id='"+ex.stu_id+"' inami=\""+examsselectedbymodality[st_modality][0].inami+"\" onclick=\"filterByCode(this);counterLevel=-1;event.stopPropagation();\" draggable='true' class='linktag ' id='selexam_"+examsselectedbymodality[st_modality][0].tempid+"'><span  style='line-height:28px;background-color:green;' >"+examsselectedbymodality[st_modality][0].description+"</span><span class='linktagremove' onclick=\"removeexam('"+examsselectedbymodality[st_modality][0].tempid+"');\">x</span></span>";
														content.innerHTML+="    <span ondragstart=\"filterByCode(this);\" ondragend=\"counterLevel=-1;\" inami=\""+ex.inami+"\"  onclick=\"filterByCode(this);counterLevel=-1;event.stopPropagation();\" draggable='false' class='linktag ' id='selexam_"+ex.tempid+"'><span>"+description+"</span><span class='linktagremove' onclick=\"removeexam('"+ex.tempid+"');\">x</span></span>";
													}
													if(examsselectedbymodality[st_modality].length==1)
														selectedexams_div.innerHTML+="    <span ondragstart=\"filterByCode(this);\" ondragend=\"counterLevel=-1;\" inami=\""+ex.inami+"\" draggable='true'  onclick=\"filterByCode(this);counterLevel=-1;event.stopPropagation();\" class='linktaggroup "+linktag+"' style='background-color:green;' stu_id='"+ex.stu_id+"' id='selexam_"+ex.tempid+"'><span style='line-height:28px;' >"+st_modality+" - "+description+"</span><span 	class='linktagremovegroup' onclick=\"removeexam('"+ex.tempid+"');\">x</span></span>";

													/*var ex= new Exam(code,description,modalities[i],duration,exams);
								examsselected.push(ex);

								examsselectedbymodality[modalities[i]].push(ex);

								if(examsselectedbymodality[modalities[i]].length ==2)
								{
									var elem = document.getElementById("selexam_"+examsselectedbymodality[modalities[i]][0].tempid);
									if(elem) elem.parentNode.removeChild(elem);

									selectedexams_div.innerHTML="   <span ondragstart=\"filterByCode(this);\" ondragend=\"counterLevel=-1;\" onclick=\"filterByCode(this);counterLevel=-1;event.stopPropagation();\" draggable='true' class='linktaggroup "+linktag+" ' id='selexamgroup"+modalities[i]+"'><span >"+modalities[i]+"&nbsp;&nbsp;&nbsp;"+"</span><span id='selexamgroup"+modalities[i]+"_content' ></span>    <span class='linktagremovegroup' onclick=\"removegroup('"+modalities[i]+"');\";>x</span></span>"+selectedexams_div.innerHTML;
									var content=document.getElementById("selexamgroup"+modalities[i]+"_content");
									content.innerHTML="    <span ondragstart=\"filterByCode(this);\" ondragend=\"counterLevel=-1;\" inami=\""+examsselectedbymodality[modalities[i]][0].inami+"\" onclick=\"filterByCode(this);counterLevel=-1;event.stopPropagation();\" draggable='true' class='linktag ' id='selexam_"+examsselectedbymodality[modalities[i]][0].tempid+"'><span  style='line-height:28px' >"+examsselectedbymodality[modalities[i]][0].description+"</span><span class='linktagremove' onclick=\"removeexam('"+examsselectedbymodality[modalities[i]][0].tempid+"');\">x</span></span>";
									content.innerHTML+="    <span ondragstart=\"filterByCode(this);\" ondragend=\"counterLevel=-1;\" inami=\""+ex.inami+"\"  onclick=\"filterByCode(this);counterLevel=-1;event.stopPropagation();\" draggable='true' class='linktag ' id='selexam_"+ex.tempid+"'><span>"+description+"</span><span class='linktagremove' onclick=\"removeexam('"+ex.tempid+"');\">x</span></span>";

								}
								if(examsselectedbymodality[modalities[i]].length >2)
								{
									var content=document.getElementById("selexamgroup"+modalities[i]+"_content");
									content.innerHTML+="    <span ondragstart=\"filterByCode(this);\" ondragend=\"counterLevel=-1;\" inami=\""+ex.inami+"\" draggable='true' onclick=\"filterByCode(this);counterLevel=-1;event.stopPropagation();\" class='linktag' id='selexam_"+ex.tempid+"'><span style='line-height:28px' '>"+description+"</span><span class='linktagremove' onclick=\"removeexam('"+ex.tempid+"');\">x</span></span>";
								}
								if(examsselectedbymodality[modalities[i]].length==1)
									selectedexams_div.innerHTML+="    <span ondragstart=\"filterByCode(this);\" ondragend=\"counterLevel=-1;\" inami=\""+ex.inami+"\" draggable='true'  onclick=\"filterByCode(this);counterLevel=-1;event.stopPropagation();\" class='linktaggroup "+linktag+"' id='selexam_"+ex.tempid+"'><span style='line-height:28px' >"+modalities[i]+" - "+description+"</span><span class='linktagremovegroup' onclick=\"removeexam('"+ex.tempid+"');\">x</span></span>";
*/

											}
										}

									}
									xhr2.open("POST","/eoRIS/dbconnector/calendar/getvisits2.php",false);
									xhr2.setRequestHeader('Content-Type','application/x-www-form-urlencoded');
									xhr2.send(encodeURI(param2));

									setTimeout(function() { scheduler.setCurrentView(datee) }, 200) ;
//									setTimeout(function() { scheduler.updateView(datee) }, 50) ;
							}
						}
						var patients = reponse.getElementsByTagName('patient');
						var pat_id=-1;
						if(patients.length >0)
						{
							patientselected.pat_id= patients.item(0).getAttributeNode("pat_id").value;
							patientselected.lastName = patients.item(0).getAttributeNode("lastname").value;
							patientselected.firstName = patients.item(0).getAttributeNode("firstname").value;
							patientselected.birthDate = patients.item(0).getAttributeNode("birthdate").value;
							patientselected.phonenumber1 = patients.item(0).getAttributeNode("phonenumber1").value;
							patientselected.uniqueID =patients.item(0).getAttributeNode("id").value;
							patientselected.comment= patients.item(0).getAttributeNode("comment").value;
							var patinfo=document.getElementById('patientselectedinfo');
							patinfo.innerHTML="<b>"+patientselected.lastName+" "+patientselected.firstName+"</b><br/>"+patientselected.birthDate.substring(6,8)+"/"+patientselected.birthDate.substring(4,6)+"/" +patientselected.birthDate.substring(0,4);
							var patcomment = document.getElementById('note');
								patcomment.innerHTML=patientselected.comment;


						}




					}
				};
				xhr.open("POST","/eoRIS/dbconnector/calendar/getpatientvisits.php",false);
				xhr.setRequestHeader('Content-Type','application/x-www-form-urlencoded');
				xhr.send(encodeURI(param));


	}

	</script>

	<body onload="init();getfilters();">
		<div  id="tooltip_event"   class="dhx_cal_light" style="width:auto;height:auto;position:fixed;left:100px;top:500px;display:none">
			<table><tr><td > <div id="tooltip_event_patient" ><br/></div></td></tr><tr><td><div id="tooltip_event_exam"></div></td></tr></table></div>
		</div>

		<div id="hourpickerbyday"  style="display:none;">
			<table><tr style="padding:4px"><td style="padding:4px">&nbsp;&nbsp;De:&nbsp;</td><td>
				<div class="input-group clockpicker" data-placement="left" data-align="top" data-autoclose="true" style="float:left;width:115px;z-index:300">

					<input type="text" class="form-control" id="hourpickerfrom" >
					<span class="input-group-addon">
						<span class="glyphicon glyphicon-time"></span>
					</span>
				</div></td></tr>
				<tr><td>&nbsp;&nbsp;&nbsp;A:&nbsp;</td><td>
					<div class="input-group clockpicker" minutestep="5" data-placement="left" data-align="top" data-autoclose="true"  style="float:left;width:115px;z-index:300">

						<input type="text" class="form-control" id="hourpickerto"  >
						<span class="input-group-addon">
							<span class="glyphicon glyphicon-time"></span>
						</span>
					</div>
				</td></tr><tr><td colspan="2"><center><input type="button" value="D&eacute;sactiver" style="width:auto" onclick="DisableDayFilter();"></input>&nbsp;&nbsp;&nbsp;<input type="button" value="Activer" onclick="EnableDayFilter();" style="width:auto"></input></center</td></tr></table>
				</div>
				<div style="width:100%;height:100%" id="layoutContainer"></div>

				<div id="objToAttach" style="font-family: Tahoma; font-size: 10px; height: 100%; overflow: auto; display: none;">
					<div>

						<div id="divpatient" style="width:100%;float:left">
							<fieldset style="width:auto">
								<legend style="width:auto;">Patient</legend>
								<div style="float:left;"><div style="float:left;width:auto" class="txtclickme"><img src="/eoISCommon/pics/common/patient.png" style="width:32px" onclick="patselect_popupShow(this);"></img>
									<span class="imghelper" id="patientselectedinfo" style="font-size:11pt">Undefined<br/></span>&nbsp;&nbsp;&nbsp;&nbsp;
									<textarea class="imghelper" id="note" rows="4" style="width:280px" readonly></textarea></div><br/><img src="/eoISCommon/pics/common/refering_blue.png" style="width:32px" onclick="refselect_popupShow(this);"></img>
									<span class="imghelper" style="font-size:11pt" id="referingselectedinfo">Undefined<br/></span>
								</div>
								<?php /*<div style="float:left;width:auto" >
									<fieldset>
										<legend style="width:auto;">Disponibilit&eacute;s:</legend>
										<div style="float:left;width:auto">

											<div class="daytab"  id="daytab_monday" onclick="hourpickerpopupShow(this);"><span>Lundi</span><br/></div>
											<div class="daytab" id="daytab_tuesday" onclick="hourpickerpopupShow(this);"><span>Mardi</span></div>
											<div class="daytab" id="daytab_wednesday"onclick="hourpickerpopupShow(this);"><span>Mercredi</span></div>
											<div class="daytab" id="daytab_thursday" onclick="hourpickerpopupShow(this);"><span>Jeudi</span></div>
											<div class="daytab" id="daytab_friday" onclick="hourpickerpopupShow(this);"><span>Vendredi</span></div>
											<div class="daytab" id="daytab_saturday" onclick="hourpickerpopupShow(this);"><span>Samedi</span></div>
											<div class="daytab" id="daytab_sunday" onclick="hourpickerpopupShow(this);"><span>Dimanche</span></div>
										</div>
									</fieldset>

								</div> */?>
							</fieldset>
						</div>
						<div id="divvisit" style="width:100%;float:left">
							<fieldset>
								<legend>Visite</legend>
								<table><tr><td style="width:260px">
								<?php /*	<div style="float:left;width:200px;vertical-align:middle;margin:5px;" class="daytab" onclick="if(this.className=='daytab') this.className='reddaytab'; else this.className='daytab'"><center>Urgent</center></div>*/ ?>
									<div style="float:left;width:200px;height:35px;vertical-align:middle;margin:5px" class="daytab" onclick="clickisHospi(!ishospi);" id="hospiexternalchooser"></div>
									<span style="font-size:11pt;padding:1px;margin:5px;width:61px;float:left;margin-right:10px" class="imghelper">&nbsp;&nbsp;Mobilit&eacute:&nbsp;&nbsp;&nbsp;</span>
									<select id="selectmobility" style="width:130px;float:left" mode="image"     class="imghelper" imagePath="/eoISCommon/pics/common/" defaultImage="flag_green.png" defaultImageDis="flag_gray.png">
										<option value="walking" img_src="walkingsmall.png" img_src_dis="walkingsmall.png">Valide</option>
										<option value="wheelchair" img_src="wheelchairsmall.png" img_src_dis="wheelchairsmall.png">Chaise roulante</option>
										<option value="bed" img_src="bedsmall.png" img_src_dis="bedsmall.png">Lit</option>
										<option value="care" img_src="intensivecaresmall.png" img_src_dis="intensivecaresmall.png">Soins intensifs</option>
									</select>
								</td><td style="width:auto">
									<div style="float:left;width:auto"><textarea class="imghelper" id="notevisit" rows="4" style="width:280px"></textarea></div>
								</td></tr></table>
							</fieldset>
						</div>
					</div>
				</div>
				<div id="test"></div>
				<div id="bottomleftdiv" style="display:none;max-height: 100%"><svg style="height:40px;width:40px;position:fixed;" class="imghelper" onclick="findnextspotavailable();">
					<g transform="scale(1.6)">
                  <path fill-rule="evenodd" clip-rule="evenodd" d="M14,0C9.582,0,6,3.582,6,8c0,1.438,0.385,2.785,1.049,3.951L0,19l1,2l2,1 l7.049-7.049C11.215,15.615,12.562,16,14,16c4.418,0,8-3.582,8-8S18.418,0,14,0z M14,13.5c-3.038,0-5.5-2.463-5.5-5.5 s2.462-5.5,5.5-5.5s5.5,2.463,5.5,5.5S17.038,13.5,14,13.5z" fill="#1796b0"> </path></g> </svg><div id="selectedexams_div" style="max-height: 100%;overflow-y: auto;margin-left: 60px; max-width: calc(75% - 50px);float:left"></div><div id="pathistory_div" style="max-width: calc(24% -  50px); min-width:calc(24% -  50px);float:right; min-height:100%"></div></div>
				<div id="topdiv" style="display:none;height:40px;"><span style="padding-bottom:10px;min-width:100%;float:left;"><form action="">
  <input type="radio" name="displayeventtype" value="patient" onchange="eventdisplaymode='patient';scheduler.updateView();" value="" checked> Nom du patient&nbsp;&nbsp;&nbsp;&nbsp;
  <input type="radio" name="displayeventtype" value="description" onchange="eventdisplaymode='description';scheduler.updateView();"> Description d'examen
</form></span></div>
				<div id="div_dragdropinfo" >INFO INFO INFO</div>
				<div id="horizontaldragdiv"  class="horizontal_appointment" style=" height:30px; width:300px;"> </div>
				<div id="verticaldragdiv"  class="vertical_appointment" style=" height:30px; width:300px;"> </div>
				<div  id="dragevent" class="dhx_notvalidated dhx_cal_event" style="display:none;z-index:20;position:absolute"><div id="dragevent_header" class="dhx_notvalidated dhx_event_move dhx_header" style="width:91px; "></div><div id="drageventbody" class="dhx_notvalidated dhx_body" style="width:83px;height:15px;">CONTENU</div></div>
			</div>

			<div id="bottomright"><span class="daytab" onclick="validateCurrentVisit();" style="padding:10px;background-color:green;color:white;">Valider le rendez-vous</span>&nbsp;&nbsp;&nbsp;<span class="daytab" style="padding:10px;background-color:green;color:white" onclick="validateCurrentVisitKeepPatient();">Ajouter un rendez-vous</span></div>
			<?php
			include 'divpatientselect.php';
			include 'divreferingselect.php';
			?>

			<script type="text/javascript" charset="utf-8">
				$('.clockpicker').clockpicker({
					afterDone: function() {

						dayfrom = hourpickerfrom.value;
						dayto = hourpickerto.value;
						if(weekfilter.lasteditedday>-1)
						{
							dhf = new DayHourFilter(weekfilter.lasteditedday,dayfrom,dayto,true);
							weekfilter.setDayFilter(dhf);
						}

					}
				});



			<?php
			if ($_GET['vis_id'])
			{
				$vis_id = $_GET['vis_id'];
				if($vis_id != -1)
				{



					echo "setTimeout('selectpatienthistorybyvis_id({$vis_id})',400);";




				}

			}
			?>
			</script>

		</body>
