<?php
require_once('../../../../dhtmlx/phpconnector/grid_connector.php');
require_once('../../../../dhtmlx/phpconnector/grid_config.php');
require_once('../../../../dhtmlx/phpconnector/db_postgre.php');

require_once '../../autoload.php';


$conn = get_dbconnection();

if($conn)
{

	$config = new GridConfiguration();
	$config->setHeader(array("Type","Description","Admin","Light view","working_view_exist"));
	$config->setColIds(array("ptype","description","value","working_view","working_view_exist"));
	$config->setColTypes(array("ro","ro","ch","ch","ro"));
	$config->attachHeader(array("#rspan","#rspan","#rspan","#rspan","#rspan"));
	$config->setColSorting(array("str","str","str","str","int"));
	$config->setInitWidths(array("100","*","80","80","80"));
	$config->setColHidden(array("0","0","0","0","1"));
	$data = new GridConnector($conn,"Postgre");
	$data->set_config($config);


  if($GLOBALS["active_debug"] === true){
		$data->enable_log($GLOBALS["debug_dir"].basename(__FILE__).".log",true);
	}

	$data->render_sql("select id,ptype,description,value::integer,working_view::integer ,working_view_exist::integer  from login_role_permission where login_role_id={$_GET['roleid']}","id","ptype,description,value,working_view,working_view_exist");
}
