<?php
require_once('../../../../dhtmlx/phpconnector/grid_connector.php');
require_once('../../../../dhtmlx/phpconnector/grid_config.php');
require_once('../../../../dhtmlx/phpconnector/db_postgre.php');

require_once '../../autoload.php';


$conn = get_dbconnection();

if($conn)
{

	$config = new GridConfiguration();
	$config->setHeader(array("Name","Job"));
	$config->setColIds(array("fullname","job"));
	$config->setColTypes(array("ro","ro"));
	$config->attachHeader(array("#text_filter","#text_filter"));
	$config->setColSorting(array("str","str"));
	$config->setInitWidths(array("*","*"));
	$config->setColHidden(array("0","0"));
	$data = new GridConnector($conn,"Postgre");
	$data->set_config($config);


  if($GLOBALS["active_debug"] === true){
		$data->enable_log($GLOBALS["debug_dir"].basename(__FILE__).".log",true);
	}



  $whereclause = '';
  if(isset($_GET['staffid']))
  {
     $whereclause = "and staff_member.id = {$_GET['staffid']}";
  }
	$data->render_complex_sql("select staff_member.id as id, lastname ||' '|| firstname as fullname,STRING_AGG (distinct staff_role.name,', ') as job from staff_member, staff_job, staff_role where staff_job.removed = false and  staff_member.id = staff_job.staff_id and staff_role.id = staff_job.staff_role_id
and staff_job.enddate::date >now()::date {$whereclause} and staff_member.removed = false group by staff_member.id","id","fullname,job");
}
