<?php
	require_once('../../autoload.php');

	$modList = array();
	$from = '';
	$to = '';

	if ( isset ( $_GET['modid'] ) && $_GET['modid'] != '' )
	{
		$modList = explode(',',$_GET['modid']);
		$modalities = $_GET['modid'];
	}
	if ( isset ( $_GET['from']) )
		$from = $_GET['from'];
	else {
		$from = date("d/m/Y");
	}

	if ( isset ( $_GET['to'] ) )
		$to = $_GET['to'];
	else 
	{
		$to = date("d/m/Y");
	}

	$rangeofdate = ' and study.date::date >= to_date(\''.$from.'\',\'DD/MM/YYYY\')';
	$rangeofdate .= ' and study.date::date <= to_date(\''.$to.'\',\'DD/MM/YYYY\')';

	$conn = get_dbconnectionDACS();
	$rows = array();
	$percent = false;
	if($conn)
	{
		$j = 0;
		for ( $i=0; $i<count($modList); $i++ )
		{
			$request = "select lat,mod_id,PERCENTILE_DISC(0.5) WITHIN GROUP (ORDER BY dgm) from (
						select mod_id,study.stu_id,targetregion,case when laterality_auto ilike 'l%' then 'L' when laterality_auto ilike 'r%' then 'R' else '' end as lat,round(sum(serie.dgm_auto)::numeric,2) as dgm from study,serie,v_modality_config as vmc 
						where vmc.pro_id = study.pro_id and study.stu_id = serie.stu_id and vmc.modalitytitle = 'MG' and study.date::date >= to_date('".$from."', 'YYYYMMDD') and study.date <= to_date('".$to."', 'YYYYMMDD') and vmc.mod_id in (".$modList[$i].") group by mod_id,study.stu_id,laterality_auto,targetregion) dgmmodbylat group by mod_id,targetregion,lat";

			error_log ( "DACS_DGMMOD : ".$request );
			
			$result = pg_query ( $conn, $request );
			
			$nbData = 0;
			if ( $result != FALSE )
			{
				while ( $row = pg_fetch_row ($result) )
				{
					$datasetLabels [$j] = $row[0];
					$datasetTypes  [$j] = "OTHER";
					$datasets[$j][] = array($row[1],$row[2]);
					$j++;
				}
			}
			$nbData++;
		}
	}
	//{ mod_id116: { "L":{116,22} "R":{116,33}, mod_id114: { "L":{114,22}}}
	header('Content-Type: application/json');
	
	$Info [0] = $nbData;			// Data number
	$Info [1] = count($latList);	// Datasets number
	$Info [2] = "MODALITY";			// X type
	$Info [3] = "NUMBER";			// Y type
	$Info [4] = TRUE;				// Multi-datasets ?
	
	$ToSend [] = $Info;
	
	$ToSend [] = $datasetLabels;
	
	$ToSend [] = $datasetTypes;
	
	$ToSend [] = $datasets;
	
	echo json_encode($ToSend);

?>
