<?php

	require_once '../../autoload.php';

	
	$type 	= '';
	$from 	= '';
	$to 	= '';

	if ( isset ( $_GET['type'] ) && $_GET['type'] != '' 	)		$type 			= $_GET['type'];
	if ( isset ( $_GET['radid'] ) && $_GET['radid'] != '' 	)		$radiologist 	= $_GET['radid'];
	if ( isset ( $_GET['modid'] ) && $_GET['modid'] != '' 	)		$modality 		= $_GET['modid'];
	if ( isset ( $_GET['from']) && $_GET['from'] != ''		)		$fromDate 		= $_GET['from'];	else 	$fromDate 	= date("d/m/Y");
	if ( isset ( $_GET['to'] ) && $_GET['to'] != ''			)		$toDate 		= $_GET['to'];  	else 	$toDate 	= date("d/m/Y");
  	if ( isset ( $_GET['dow'] ) && $_GET['dow'] != '' 		)		$daysOfWeek 	= $_GET['dow'];

	error_log ( "type : ".$type );

	// $rangeofdate = ' and study.date::date >= to_date(\''.$from.'\',\'DD/MM/YYYY\')';
	// $rangeofdate .= ' and study.date::date <= to_date(\''.$to.'\',\'DD/MM/YYYY\')';

	
	
	//**************************************************************
	// Fill radiologist array
	// 
	
	$radArray = array ();
	
	$connQUAL 		= get_dbconnection ();
	$requestQUAL 	=  "select lastname || ' ' || firstname, ris_name from staff_member where id in ($radiologist)";
	$resultQUAL 	= pg_query ( $connQUAL, $requestQUAL );
			
	if ( $resultQUAL != FALSE )
	{
		$i = 0;
		while ( $rowQUAL = pg_fetch_row ($resultQUAL) )
		{
			$radArray [$i][0] = $rowQUAL [0];		// qual name
			$radArray [$i][1] = $rowQUAL [1];		// ris_name
			$radArray [$i][2] = -1;					// ris_id
			
			$i++;
		}
	}
	pg_close ( $connQUAL );
		
	for ( $i=0; $i<count($radArray); $i++ )
	{
		for ( $j=0; $j<count ( $radArray [$i] ); $j++ )
		{
			error_log ( " radArray [".$i."][".$j."] : ".$radArray [$i][$j] );
		}
	}
	/*
	$dbDACS = get_dbconnectionDACS ();
	for ( $i=0; $i<count($radArray); $i++ )
	{
		$request = "select use_id from xuser where lastname || ' ' || firstname ='".$radArray[$i][1]."'";
		$result = pg_query ( $dbDACS, $request );
	
		if ( $result != FALSE )
		{
			while ( $res = pg_fetch_row ($result) )
			{
				$radArray [$i][2] = $res [0];
			}
		}
	}
	pg_close ( $dbDACS );
	
	for ( $i=0; $i<count($radArray); $i++ )
	{
		for ( $j=0; $j<count ( $radArray [$i] ); $j++ )
		{
			error_log ( " radArray [".$i."][".$j."] : ".$radArray [$i][$j] );
		}
	}
	*/
	
	
	// **************************************************
	// Fill radiologist ID list in DACS
	//
	
	$risRadIDList = "";
	for ( $i=0; $i<count($radArray); $i++ )
	{
		if ( $radArray [$i][2] != -1 )
			$risRadIDList = $risRadIDList.$radArray [$i][2].",";
	}
	$risRadIDList = substr ( $risRadIDList, 0, -1 );
	error_log ( " risRadIDList : ".$risRadIDList );
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	//**************************************************************
	// Fill modalities array
	// 
	
	$modArray = array ();
	
	$connQUAL = get_dbconnection ();
	$requestQUAL =  "select name, ris_name from device where id in ($modality)";
	$resultQUAL = pg_query ( $connQUAL, $requestQUAL );
			
	if ( $resultQUAL != FALSE )
	{
		$i = 0;
		while ( $rowQUAL = pg_fetch_row ($resultQUAL) )
		{
			$modArray [$i][0] = $rowQUAL [0];
			$modArray [$i][1] = $rowQUAL [1];
			$modArray [$i][2] = -1;
			
			$i++;
		}
	}
	pg_close ( $connQUAL );
		
	for ( $i=0; $i<count($modArray); $i++ )
	{
		for ( $j=0; $j<count ( $modArray [$i] ); $j++ )
		{
			error_log ( " modArray [".$i."][".$j."] : ".$modArray [$i][$j] );
		}
	}
	
	$dbDACS = get_dbconnectionDACS ();
	for ( $i=0; $i<count($modArray); $i++ )
	{
		$request = "select mod_id from modality where name='".$modArray[$i][1]."'";
		$result = pg_query ( $dbDACS, $request );
	
		if ( $result != FALSE )
		{
			while ( $res = pg_fetch_row ($result) )
			{
				$modArray [$i][2] = $res [0];
			}
		}
	}
	pg_close ( $dbDACS );
	
	for ( $i=0; $i<count($modArray); $i++ )
	{
		for ( $j=0; $j<count ( $modArray [$i] ); $j++ )
		{
			error_log ( " modArray [".$i."][".$j."] : ".$modArray [$i][$j] );
		}
	}
	
	// **************************************************
	// Fill modalities ID list in DACS
	//
	
	$dacsModIDList = "";
	for ( $i=0; $i<count($modArray); $i++ )
	{
		if ( $modArray [$i][2] != -1 )
			$dacsModIDList = $dacsModIDList.$modArray [$i][2].",";
	}
	$dacsModIDList = substr ( $dacsModIDList, 0, -1 );
	error_log ( " dacsModIDList : ".$dacsModIDList );
	
	

	
	// *********************************************************************************************************************
	// GET DATA FROM DACS
	//
	
	$ToSend = array();
	
	$conn = get_dbconnectionDACS ();

	if ( $conn )
	{
		$request = '';

		switch ( $type )
		{
			case 'dgmbymodality':
				$request = "select name,lat,PERCENTILE_DISC(0.5) WITHIN GROUP (ORDER BY dgm) from (
						select modality.name,study.stu_id,targetregion,case when laterality_auto ilike 'l%' then 'L' when laterality_auto ilike 'r%' then 'R' else '' end as lat,round(sum(serie.dgm_auto)::numeric,2) as dgm from study,serie,v_modality_config as modality
						where modality.pro_id = study.pro_id and study.stu_id = serie.stu_id and modality.modalitytitle = 'MG' and modality.mod_id in (".$dacsModIDList.") {$rangeofdate} group by modality.name,study.stu_id,laterality_auto,targetregion) dgmmodbylat group by name,targetregion,lat;";

				break;
				
			default: 
				break;
		}


		if ( $request != '' )
		{
			error_log ( "request : ".$request );
			
			if ($result = pg_query ( $conn, $request ) )
			{
				while ( $row = pg_fetch_row ($result) )
				{
					$ident0 = "";
					$ident1 = "";
					$ident2 = "";
					
					switch ( $type )
					{
						case 'dgmbymodality':
							$ident0	= $row [0];
							$ident1	= $row [1];
							$ident2	= $row [2];
							break;
					}
					
											
					
					if ( !array_key_exists ( $ident0, $ToSend ) )
						$ToSend[$ident0] = array();

					$dataset["label"] 		= $ident1;
					$dataset["value"] 		= $ident2;
					
					$ToSend [ $ident0 ][] 	= $dataset;
				}
			}
		}
	}

	header('Content-Type: application/json');
	
	echo json_encode ( $ToSend );

?>
