<?php
  include 'autoload.php';
 ?>
<!DOCTYPE html>
<html lang="en">

<head>

  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <meta name="description" content="">
  <meta name="author" content="">
  <link rel="stylesheet" type="text/css" href="/dhtmlx/codebase/fonts/font_roboto/roboto.css"/>
  <link rel="stylesheet" type="text/css" href="/dhtmlx/codebase/dhtmlx.css"/>
  <link rel="stylesheet" type="text/css" href="/dhtmlx/skins/web/dhtmlx.css"/>
  <link rel="stylesheet" type="text/css" href="/extern_css/bootstrap-4.5.3/css/bootstrap.min.css"/>
  <link rel="shortcut icon" type="image/x-icon" href="./Common/pics/eoQUAL.png" />
  <script type='text/javascript' src="/dhtmlx/codebase/dhtmlx.js"></script>
  <script type='text/javascript' src="/dhtmlx_addon/dhtmlxform_buttonximeo.js"></script>
  <script type='text/javascript' src="/dhtmlx_addon/c_dhtmlxutils.js"></script>

  <title><?php echo $_Device;?></title>

  <!-- Custom fonts for this template-->
  <link href="/extern_css/font-awesome-current/css/all.min.css" rel="stylesheet" type="text/css">

  <script src="js/jquery/jquery.min.js"></script>

  <!-- Core plugin JavaScript-->
  <script src="js/jquery-easing/jquery.easing.min.js"></script>
  <script src="js/c_documentmanager.js"></script>
  <!-- Custom styles for this template-->
  <link href="css/sb-admin.css" rel="stylesheet">
  <link rel="stylesheet" href="css/eoQUAL.css"/>
  <style>

  /*fix bug with bootstrap(grid resize after research)*/
	*, *::before, *::after {
		box-sizing: content-box;
	}
  div#layout {
		position: absolute;
		margin:0 auto;
    overflow: hidden;
		width: 100%;
		height: 100%;
	}
  </style>

  <script>
	//globals parameter for task selection
	wintask = null;
	var myLayout = null;
	var url_griddevice = '<?php echo  $GLOBALS["EOQUAL_ROOT"]?>/Main/dbconnector/device/db_griddevice.php';
  var url_griddeviceinstallation = '<?php echo  $GLOBALS["EOQUAL_ROOT"]?>/Main/dbconnector/device/db_griddeviceinstallation.php';
  var url_griddeviceinspection = '<?php echo  $GLOBALS["EOQUAL_ROOT"]?>/Main/dbconnector/device/db_griddeviceinspection.php';
  var url_griddevicemaintenance 	= '<?php echo  $GLOBALS["EOQUAL_ROOT"]?>/Main/dbconnector/device/db_griddevicemaintenance.php';
  var url_scheduledtask = "<?php echo  $GLOBALS["EOQUAL_ROOT"]?>/Common/renderpage.php?pageid=VIEW_SCHEDULEDTASK&forselection=1&scope=device_inspection";
<?php create_translate_xml_js_function(); ?>

var dhtmlxUtils;

function init_layout()
{
  var staffid = <?php echo $_SESSION['id'];?>;
  var isembedded = false;

  //page is embedded into eodacs frame
  if(typeof embeddedpage !== 'undefined')
    isembedded = true;

  dhtmlxUtils = new C_DhtmlxUtils(isembedded);

  window.dhx4.skin = 'dhx_web';
  myLayout = new dhtmlXLayoutObject('layout', '2U');
  myLayout.cookie_id = 'eoqualdevice'+staffid;

  var a = myLayout.cells('a');
  a.hideHeader();
  a.setWidth('400');
  window.cella = myLayout.cells('a');
  var grid_device = a.attachGrid();
  grid_device.load(url_griddevice);
  var dpdevice = new dataProcessor(url_griddevice);
  dpdevice.init(grid_device); //link grid to dataprocessor

  var grid_device_toolbar = a.attachToolbar({
			iconset: "awesome",
			skin: "dhx_web",
			height:'25',
			xml: translate_xml("<?php echo  $GLOBALS["EOQUAL_ROOT"]?>/Main/form_template/device/devicetoolbar.xml")
		});

  var b = myLayout.cells('b');

  var tab_device = b.attachTabbar();
  tab_device.setArrowsMode("auto");


  //***************************************DEVICE description BEGIN*****************************************//

  tab_device.addTab('description', 'Description' );

  var tab_description 	= tab_device.cells('description' );
  var layout_1 			= tab_description.attachLayout('2E' );

	var cell_1 = layout_1.cells('a');
	cell_1.hideHeader();
  cell_1.setHeight('180');
  var form_device_toolbar = cell_1.attachToolbar({
    iconset: "awesome",
    skin: "dhx_web",
    height:'25',
    xml: translate_xml("<?php echo  $GLOBALS["EOQUAL_ROOT"]?>/Main/form_template/device/deviceformtoolbar.xml")
  });
	var form_device = cell_1.attachForm();


	form_device.loadStruct(translate_xml("<?php echo  $GLOBALS["EOQUAL_ROOT"]?>/Main/form_template/device/deviceform.xml"));
  form_device.bind(grid_device);
  form_device.linkeddp = dpdevice;
	var cell_2 = layout_1.cells('b');
	cell_2.hideHeader();
  var grid_devicedocument_toolbar = cell_2.attachToolbar({
    iconset: "awesome",
    skin: "dhx_web",
    height:'25',
    xml: translate_xml("<?php echo  $GLOBALS["EOQUAL_ROOT"]?>/Main/form_template/device/devicedocumenttoolbar.xml")
  });

	var grid_devicedocument = cell_2.attachGrid();



  dpdevice.attachEvent("onAfterUpdate",function(sid,action,tid,xml_node){ // update is finished

    if(action=='inserted' ){
      grid_device.updateFromXML(url_griddevice+"?deviceid="+tid,false,false, function(){
        grid_device.selectRowById(tid,false,true,true);
        form_device.setFocusOnFirstActive();
      });
    }
    else if(action == 'updated')
    {

      grid_device.updateFromXML(url_griddevice+"?deviceid="+tid,false,false, function(){
        grid_device.selectRowById(tid,false,true,true);
        form_device.setFocusOnFirstActive();
      });

    }
  });



  grid_device_toolbar.attachEvent("onClick", function(id){

    //your code here
    switch(id)
    {
      case 'add':
      {
        var rowId=grid_device.uid();                  //generates an unique id
        grid_device.addRow(rowId,["",""],0);
      }break;
      case 'delete':
      {
        var rowId = grid_device.getSelectedRowId();
         var rowIndex = grid_device.getRowIndex(rowId);
         if(rowId!=null){
             grid_device.deleteRow(rowId);
             if(rowIndex!=(grid_device.getRowsNum()-1)){
                 grid_device.selectRow(rowIndex+1,true);
             } else{
                 grid_device.selectRow(rowIndex-1,true);
             }
         }
      }break;
      default:
    }
  });

  form_device_toolbar.attachEvent("onClick", function(id){
    //your code here
    switch(id)
    {
      case 'save':
      {
        form_device.linkeddp.setUpdateMode('off');
        // save changes
        if(form_device.validate())
          form_device.save();
        form_device.linkeddp.sendData();
        form_device.linkeddp.setUpdateMode('cell');
      }break;
      default:
    }
  });



  var docManager_device = new C_DocumentManager();

  docManager_device.set_data('winname','FormDeviceDocument');
  docManager_device.set_data('uploadername','devicedocumentfile');
  docManager_device.set_data('layout',myLayout);
  docManager_device.set_data('staffid',<?php echo $_SESSION['id']; ?>);
  docManager_device.set_data('title_newdocument','New document');
  docManager_device.set_data('title_newversion','New version');
  docManager_device.set_data('title_editversion','Edit version');
  docManager_device.set_data('noselection','No device selected');
  docManager_device.set_data('serverip','<?php echo $config_servernameorip;?>');
  docManager_device.set_data('documentstorage','<?php echo $GLOBALS["document_storage"]; ?>');
  docManager_device.set_data('pdfviewer','<?php echo $config_pdfchrome;?>');
  docManager_device.set_data('type','device');

  docManager_device.init();

  docManager_device.init_object(grid_device,grid_devicedocument_toolbar,grid_devicedocument);

  //***************************************DEVICE description END*****************************************//


  //***************************************DEVICE installation BEGIN*****************************************//
  tab_device.addTab('installation','Installation');
  var tab_installation = tab_device.cells('installation');
  var layout_2 = tab_installation.attachLayout('3U');


	var l2cell_a = layout_2.cells('a');
	l2cell_a.hideHeader();
  l2cell_a.setHeight('256');
	var grid_deviceinstallation = l2cell_a.attachGrid();
  grid_deviceinstallation.load(url_griddeviceinstallation);
  grid_deviceinstallation.attachEvent("onEditCell",function(stage, id, ind){
       return false;
  });
  var dpdeviceinstallation = new dataProcessor(url_griddeviceinstallation);
  dpdeviceinstallation.enableDataNames(true);
  dpdeviceinstallation.init(grid_deviceinstallation);

	var grid_deviceinstallation_toolbar = l2cell_a.attachToolbar({
    iconset: "awesome",
    skin: "dhx_web",
    height:'25',
    xml: translate_xml("<?php echo  $GLOBALS["EOQUAL_ROOT"]?>/Main/form_template/device/deviceinstallationtoolbar.xml")
  });

	var l2cell_b = layout_2.cells('b');
	l2cell_b.hideHeader();
  l2cell_b.setHeight(320);
	var form_deviceinstallation_toolbar = l2cell_b.attachToolbar({
    iconset: "awesome",
    skin: "dhx_web",
    height:'25',
    xml: translate_xml("<?php echo  $GLOBALS["EOQUAL_ROOT"]?>/Main/form_template/device/deviceinstallationformtoolbar.xml")
  });

	var form_deviceinstallation = l2cell_b.attachForm();
  form_deviceinstallation.loadStruct(translate_xml("<?php echo  $GLOBALS["EOQUAL_ROOT"]?>/Main/form_template/device/deviceinstallationform.xml"),function(){
    form_deviceinstallation.getCalendar('removeddate').showToday();
  });
  form_deviceinstallation.bind(grid_deviceinstallation);
  form_deviceinstallation.linkeddp = dpdeviceinstallation;
  form_deviceinstallation_toolbar.attachEvent("onClick", function(id){
    //your code here
    switch(id)
    {
      case 'save':
      {
        form_deviceinstallation.linkeddp.setUpdateMode('off');
        // save changes
        if(form_deviceinstallation.validate())
          form_deviceinstallation.save();
        form_deviceinstallation.linkeddp.sendData();
        form_deviceinstallation.linkeddp.setUpdateMode('cell');
      }break;
      default:
    }
  });

	var l2cell_c = layout_2.cells('c');
	l2cell_c.hideHeader();
	var grid_deviceinstallationdocument_toolbar = l2cell_c.attachToolbar({
    iconset: "awesome",
    skin: "dhx_web",
    height:'25',
    xml: translate_xml("<?php echo  $GLOBALS["EOQUAL_ROOT"]?>/Main/form_template/device/deviceinstallationdocumenttoolbar.xml")
  });

	var grid_deviceinstallationdocument = l2cell_c.attachGrid();

  dpdeviceinstallation.attachEvent("onAfterUpdate",function(sid,action,tid,xml_node){ // update is finished

    if(action=='inserted' ){
      grid_deviceinstallation.updateFromXML(url_griddeviceinstallation+"?deviceid="+grid_device.getSelectedRowId(),false,false, function(){
        grid_deviceinstallation.selectRowById(tid,false,true,true);
        form_deviceinstallation.setFocusOnFirstActive();
      });
    }
    else if(action == 'updated')
    {
      grid_deviceinstallation.updateFromXML(url_griddeviceinstallation+"?deviceid="+grid_device.getSelectedRowId(),false,false, function(){
        grid_deviceinstallation.selectRowById(tid,false,true,true);
        form_deviceinstallation.setFocusOnFirstActive();
      });
    }
    var deviceID = grid_device.getSelectedRowId();
    if(deviceID != null)
    {
      grid_device.updateFromXML(url_griddevice+"?deviceid="+deviceID,false,false, function(){
        grid_device.selectRowById(deviceID,false,true,true);
      });
    }
  });

  grid_deviceinstallation_toolbar.attachEvent("onClick", function(id){

    //your code here
    switch(id)
    {
      case 'add':
      {
        var device_id = grid_device.getSelectedRowId();
        if(device_id == null)
        {
          dhtmlx.message({
        		type: "error",
        		text: "No device selected"
        	})
          return;
        }
        var rowId=grid_deviceinstallation.uid(); //generates an unique id
        grid_deviceinstallation.addRow(rowId,[device_id]);

      }break;
      case 'delete':
      {
        var rowId = grid_deviceinstallation.getSelectedRowId();
         var rowIndex = grid_deviceinstallation.getRowIndex(rowId);
         if(rowId!=null){
             grid_deviceinstallation.deleteRow(rowId);
             if(rowIndex!=(grid_deviceinstallation.getRowsNum()-1)){
                 grid_deviceinstallation.selectRow(rowIndex+1,true);
             } else{
                 grid_deviceinstallation.selectRow(rowIndex-1,true);
             }
         }
      }break;
      default:
    }
  });

  var docManager_deviceinstallation = new C_DocumentManager();
  docManager_deviceinstallation.set_data('winname','FormDeviceInstallationDocument');
  docManager_deviceinstallation.set_data('uploadername','devicedocumentfile');
  docManager_deviceinstallation.set_data('layout',myLayout);
  docManager_deviceinstallation.set_data('staffid',<?php echo $_SESSION['id']; ?>);
  docManager_deviceinstallation.set_data('title_newdocument','New document');
  docManager_deviceinstallation.set_data('title_newversion','New version');
  docManager_deviceinstallation.set_data('title_editversion','Edit version');
  docManager_deviceinstallation.set_data('noselection','No installation selected');
  docManager_deviceinstallation.set_data('serverip','<?php echo $config_servernameorip;?>');
  docManager_deviceinstallation.set_data('documentstorage','<?php echo $GLOBALS["document_storage"]; ?>');
  docManager_deviceinstallation.set_data('pdfviewer','<?php echo $config_pdfchrome;?>');
  docManager_deviceinstallation.set_data('type','device_installation');
  docManager_deviceinstallation.init();
  docManager_deviceinstallation.init_object(grid_deviceinstallation,grid_deviceinstallationdocument_toolbar,grid_deviceinstallationdocument);
  //***************************************DEVICE installation END*****************************************//


  //***************************************DEVICE Inspection BEGIN*****************************************//
  tab_device.addTab('inspection','Inspection');
  var tab_inspection = tab_device.cells('inspection');
  var layout_3 = tab_inspection.attachLayout('3U');

  var l3cell_a = layout_3.cells('a');
  l3cell_a.hideHeader();
  var grid_deviceinspection = l3cell_a.attachGrid();
  grid_deviceinspection.cookie_id = 'grid_deviceinspection'+staffid;

  var grid_deviceinspection_toolbar = l3cell_a.attachToolbar({
    iconset: "awesome",
    skin: "dhx_web",
    height:'25',
    xml: translate_xml("<?php echo  $GLOBALS["EOQUAL_ROOT"]?>/Main/form_template/device/deviceinspectiontoolbar.xml")
  });
  grid_deviceinspection.load(url_griddeviceinspection);
  grid_deviceinspection.attachEvent("onEditCell",function(stage, id, ind){
       return false;
  });
  var dpdeviceinspection = new dataProcessor(url_griddeviceinspection);
  dpdeviceinspection.enableDataNames(true);
  dpdeviceinspection.init(grid_deviceinspection);

  var l3cell_b = layout_3.cells('b');
  l3cell_b.hideHeader();
  l3cell_b.setWidth("600");
  var form_deviceinspection_toolbar = l3cell_b.attachToolbar({
    iconset: "awesome",
    skin: "dhx_web",
    height:'25',
    xml: translate_xml("<?php echo  $GLOBALS["EOQUAL_ROOT"]?>/Main/form_template/device/deviceinspectionformtoolbar.xml")
  });
  var form_deviceinspection = l3cell_b.attachForm();
  form_deviceinspection.loadStruct(translate_xml("<?php echo  $GLOBALS["EOQUAL_ROOT"]?>/Main/form_template/device/deviceinspectionform.xml"),function(){
    form_deviceinspection.getCalendar('inspection_date').showToday();
    form_deviceinspection.getCalendar('planned_date').showToday();
  });
  form_deviceinspection.bind(grid_deviceinspection);
  form_deviceinspection.attachEvent("onButtonClick", function(name){
    var id = grid_deviceinspection.getSelectedRowId()
    if( id == null)
      return;

    if(name == 'select_task')
    {
      wintask = myLayout.dhxWins.createWindow("linkatask", 0, 0, 520, 500);
      wintask.attachURL(url_scheduledtask+"&scopeid="+id,false);
      wintask.maximize();
      wintask.setModal(true);
      wintask.setText("Linked task");
      wintask.attachEvent("onClose", function(win){
        grid_deviceinspection.updateFromXML(url_griddeviceinspection+"?deviceid="+grid_device.getSelectedRowId(),false,false, function(){
          grid_deviceinspection.clearSelection();
          grid_deviceinspection.selectRowById(id,true);
          form_deviceinspection.setFocusOnFirstActive();
        });
        return true;
      });
    }
  ;});
  form_deviceinspection.linkeddp = dpdeviceinspection;
  form_deviceinspection_toolbar.attachEvent("onClick", function(id){
    //your code here
    switch(id)
    {
      case 'save':
      {
        form_deviceinspection.linkeddp.setUpdateMode('off');
        // save changes
        if(form_deviceinspection.validate())
          form_deviceinspection.save();
        form_deviceinspection.linkeddp.sendData();
        form_deviceinspection.linkeddp.setUpdateMode('cell');
      }break;
      default:
    }
  });
  dpdeviceinspection.attachEvent("onAfterUpdate",function(sid,action,tid,xml_node){ // update is finished

    if(action=='inserted' ){
      grid_deviceinspection.updateFromXML(url_griddeviceinspection+"?deviceid="+grid_device.getSelectedRowId(),false,false, function(){
        grid_deviceinspection.selectRowById(tid,false,true,true);
        form_deviceinspection.setFocusOnFirstActive();
      });
    }
    else if(action == 'updated')
    {
      grid_deviceinspection.updateFromXML(url_griddeviceinspection+"?deviceid="+grid_device.getSelectedRowId(),false,false, function(){
        grid_deviceinspection.selectRowById(tid,false,true,true);
        form_deviceinspection.setFocusOnFirstActive();
      });
    }
  });
  var l3cell_c = layout_3.cells('c');
  l3cell_c.hideHeader();

  var grid_deviceinspectiondocument_toolbar = l3cell_c.attachToolbar({
    iconset: "awesome",
    skin: "dhx_web",
    height:'25',
    xml: translate_xml("<?php echo  $GLOBALS["EOQUAL_ROOT"]?>/Main/form_template/device/deviceinspectiondocumenttoolbar.xml")
  });

  var grid_deviceinspectiondocument = l3cell_c.attachGrid();


  grid_deviceinspection_toolbar.attachEvent("onClick", function(id){

    //your code here
    switch(id)
    {
      case 'add':
      {
        var device_id = grid_device.getSelectedRowId();
        if(device_id == null)
        {
          dhtmlx.message({
        		type: "error",
        		text: "No device selected"
        	})
          return;
        }
        var rowId=grid_deviceinspection.uid(); //generates an unique id
        grid_deviceinspection.addRow(rowId,[device_id]);

      }break;
      case 'delete':
      {
        var rowId = grid_deviceinspection.getSelectedRowId();
         var rowIndex = grid_deviceinspection.getRowIndex(rowId);
         if(rowId!=null){
             grid_deviceinspection.deleteRow(rowId);
             if(rowIndex!=(grid_deviceinspection.getRowsNum()-1)){
                 grid_deviceinspection.selectRow(rowIndex+1,true);
             } else{
                 grid_deviceinspection.selectRow(rowIndex-1,true);
             }
         }
      }break;
      default:
    }
  });
  var docManager_deviceinspection = new C_DocumentManager();
  docManager_deviceinspection.set_data('winname','FormDeviceInspectionDocument');
  docManager_deviceinspection.set_data('uploadername','devicedocumentfile');
  docManager_deviceinspection.set_data('layout',myLayout);
  docManager_deviceinspection.set_data('staffid',<?php echo $_SESSION['id']; ?>);
  docManager_deviceinspection.set_data('title_newdocument','New document');
  docManager_deviceinspection.set_data('title_newversion','New version');
  docManager_deviceinspection.set_data('title_editversion','Edit version');
  docManager_deviceinspection.set_data('noselection','No inspection selected');
  docManager_deviceinspection.set_data('serverip','<?php echo $config_servernameorip;?>');
  docManager_deviceinspection.set_data('documentstorage','<?php echo $GLOBALS["document_storage"]; ?>');
  docManager_deviceinspection.set_data('pdfviewer','<?php echo $config_pdfchrome;?>');
  docManager_deviceinspection.set_data('type','device_inspection');
  docManager_deviceinspection.init();
  docManager_deviceinspection.init_object(grid_deviceinspection,grid_deviceinspectiondocument_toolbar,grid_deviceinspectiondocument);
  //***************************************DEVICE Inspection END*****************************************//














  //***************************************DEVICE Maintenance BEGIN*****************************************//
  tab_device.addTab('maintenance','Maintenance' );
  var tab_maintenance = tab_device.cells('maintenance');
  var layout_4 = tab_maintenance.attachLayout('3U');

  var l4cell_a = layout_4.cells('a');
  l4cell_a.hideHeader();
  var grid_devicemaintenance = l4cell_a.attachGrid();
  grid_devicemaintenance.cookie_id = 'grid_devicemaintenance'+staffid;

	var grid_devicemaintenance_toolbar = l4cell_a.attachToolbar
	(
		{
			iconset: "awesome",
			skin: "dhx_web",
			height:'25',
			xml: translate_xml("<?php echo  $GLOBALS["EOQUAL_ROOT"]?>/Main/form_template/device/devicemaintenancetoolbar.xml")
		}
);
	grid_devicemaintenance.load(url_griddevicemaintenance );
	grid_devicemaintenance.attachEvent
	(
		"onEditCell",
		function(stage, id, ind)
		{
			return false;
		}
);
	var dpdevicemaintenance = new dataProcessor(url_griddevicemaintenance );
	dpdevicemaintenance.enableDataNames(true );
	dpdevicemaintenance.init(grid_devicemaintenance );

	var l4cell_b = layout_4.cells('b');
	l4cell_b.hideHeader();
	l4cell_b.setWidth("600");
	var form_devicemaintenance_toolbar = l4cell_b.attachToolbar
	(
		{
			iconset: "awesome",
			skin: "dhx_web",
			height:'25',
			xml: translate_xml("<?php echo  $GLOBALS["EOQUAL_ROOT"]?>/Main/form_template/device/devicemaintenanceformtoolbar.xml")
		}
);
	var form_devicemaintenance = l4cell_b.attachForm();
	form_devicemaintenance.loadStruct
	(
		translate_xml("<?php echo  $GLOBALS["EOQUAL_ROOT"]?>/Main/form_template/device/devicemaintenanceform.xml"),
		function()
		{
			form_devicemaintenance.getCalendar('maintenance_date').showToday();
			form_devicemaintenance.getCalendar('planned_date').showToday();
		}
);
	form_devicemaintenance.bind(grid_devicemaintenance );
	form_devicemaintenance.linkeddp = dpdevicemaintenance;
	form_devicemaintenance_toolbar.attachEvent
	(
		"onClick",
		function(id)
		{
			//your code here
			switch(id)
			{
				case 'save':
				{
					form_devicemaintenance.linkeddp.setUpdateMode('off');
					// save changes
					if(form_deviceinspection.validate() )
						form_devicemaintenance.save();
					form_devicemaintenance.linkeddp.sendData();
					form_devicemaintenance.linkeddp.setUpdateMode('cell' );
				}
				break;
				default:
			}
		}
);
	dpdevicemaintenance.attachEvent
	(
		"onAfterUpdate",
		function(sid,action,tid,xml_node )
		{
			// update is finished

			if(action=='inserted' )
			{
				grid_devicemaintenance.updateFromXML
				(
					url_griddevicemaintenance+"?deviceid="+grid_device.getSelectedRowId(),
					false,
					false,
					function()
					{
						grid_devicemaintenance.selectRowById(tid, false, true, true );
						form_devicemaintenance.setFocusOnFirstActive();
					}
);
			}
			else if(action == 'updated')
			{
				grid_devicemaintenance.updateFromXML
				(
					url_griddevicemaintenance+"?deviceid="+grid_device.getSelectedRowId(),
					false,
					false,
					function()
					{
						grid_devicemaintenance.selectRowById(tid, false, true, true );
						form_devicemaintenance.setFocusOnFirstActive();
					}
);
			}
		}
);
	var l4cell_c = layout_4.cells('c');
	l4cell_c.hideHeader();

	var grid_devicemaintenancedocument_toolbar = l4cell_c.attachToolbar
	(
		{
			iconset: "awesome",
			skin: "dhx_web",
			height:'25',
			xml: translate_xml("<?php echo  $GLOBALS["EOQUAL_ROOT"]?>/Main/form_template/device/devicemaintenancedocumenttoolbar.xml")
		}
);

	var grid_devicemaintenancedocument = l4cell_c.attachGrid();


	grid_devicemaintenance_toolbar.attachEvent
	(
		"onClick",
		function(id )
		{
    // your code here
			switch(id )
			{
				case 'add':
				{
					var device_id = grid_device.getSelectedRowId();
					if(device_id == null )
					{
						dhtmlx.message
						(
							{
								type: "error",
								text: "No device selected"
							}
)
						return;
					}
					var rowId=grid_devicemaintenance.uid(); //generates an unique id
					grid_devicemaintenance.addRow(rowId,[device_id]);

				}
				break;

				case 'delete':
				{
					var rowId = grid_devicemaintenance.getSelectedRowId();
					var rowIndex = grid_devicemaintenance.getRowIndex(rowId);
					if(rowId != null )
					{
						grid_devicemaintenance.deleteRow(rowId );
						if(rowIndex !=(grid_devicemaintenance.getRowsNum()-1))
						{
							grid_devicemaintenance.selectRow(rowIndex+1, true );
						}
						else
						{
							grid_devicemaintenance.selectRow(rowIndex-1, true );
						}
					}
				}
				break;
				default:
			}
		}
);
	var docManager_devicemaintenance = new C_DocumentManager();
	docManager_devicemaintenance.set_data('winname','FormDevicemaintenanceDocument');
	docManager_devicemaintenance.set_data('uploadername','devicedocumentfile');
	docManager_devicemaintenance.set_data('layout',myLayout);
	docManager_devicemaintenance.set_data('staffid',<?php echo $_SESSION['id']; ?>);
	docManager_devicemaintenance.set_data('title_newdocument','New document');
	docManager_devicemaintenance.set_data('title_newversion','New version');
	docManager_devicemaintenance.set_data('title_editversion','Edit version');
	docManager_devicemaintenance.set_data('noselection','No inspection selected');
	docManager_devicemaintenance.set_data('serverip','<?php echo $config_servernameorip;?>');
	docManager_devicemaintenance.set_data('documentstorage','<?php echo $GLOBALS["document_storage"]; ?>');
	docManager_devicemaintenance.set_data('pdfviewer','<?php echo $config_pdfchrome;?>');
	docManager_devicemaintenance.set_data('type','device_maintenance');

	docManager_devicemaintenance.init();
	docManager_devicemaintenance.init_object(grid_devicemaintenance, grid_devicemaintenancedocument_toolbar, grid_devicemaintenancedocument );
	//***************************************DEVICE Maintenance END*****************************************//












	grid_device.attachEvent
	(
		"onRowSelect",
		function(id,ind)
		{
			grid_deviceinstallation.load
			(
				url_griddeviceinstallation+'?deviceid='+id,
				function()
				{
      if(grid_deviceinstallation.getRowsNum() > 0)
      {
        grid_deviceinstallation.selectRow(0,true);
					}
					else
					{
        form_deviceinstallation.clear();
        docManager_deviceinstallation.clear();
      }
				}
);

			grid_deviceinspection.load
			(
				url_griddeviceinspection+'?deviceid='+id,
				function()
				{
      if(grid_deviceinspection.getRowsNum() > 0)
      {
        grid_deviceinspection.selectRow(0,true);
					}
					else
					{
        form_deviceinspection.clear();
        docManager_deviceinspection.clear();
      }
				}
);

			grid_devicemaintenance.load
			(
				url_griddevicemaintenance+'?deviceid='+id,
				function()
				{
					if(grid_devicemaintenance.getRowsNum() > 0)
					{
						grid_devicemaintenance.selectRow(0,true);
					}
					else
					{
						form_devicemaintenance.clear();
						docManager_devicemaintenance.clear();
					}
				}
);
		}
);

  //***************************************save state******************************************************//



  //dhtmlxUtils.init_layout_save_cookies(myLayout);
  dhtmlxUtils.init_grid_save_cookies(grid_deviceinspection);


  //***************************************event on document begin*****************************************//
	document.addEventListener
	(
		'onAfterDocumentInserted',
		function(event )
  {
    console.log('after insert'+event.detail['docid'] + event.detail['type']);
    switch(event.detail['type'])
    {
				case 'device':					docManager_device.update_document_grid(event.detail['docid']);					break;
				case 'device_installation':		docManager_deviceinstallation.update_document_grid(event.detail['docid']);		break;
				case 'device_inspection':		docManager_deviceinspection.update_document_grid(event.detail['docid']);		break;
				case 'device_maintenance':		docManager_devicemaintenance.update_document_grid(event.detail['docid']);		break;
        default:
    }
		}
);

	document.addEventListener
	(
		'onAfterDocumentUpdated',
		function(event )
  {
    console.log('onAfterDocumentUpdated '+event.detail['docid'] + event.detail['type']);

    switch(event.detail['type'])
    {
				case 'device':					docManager_device.update_document_grid(event.detail['docid']);					break;
				case 'device_installation':		docManager_deviceinstallation.update_document_grid(event.detail['docid']);		break;
				case 'device_inspection':		docManager_deviceinspection.update_document_grid(event.detail['docid']);		break;
				case 'device_maintenance':		docManager_devicemaintenance.update_document_grid(event.detail['docid']);		break;
      default:
    }
		}
);

	document.addEventListener
	(
		'onAfterDocumentDeleted',
		function(event )
  {
    console.log('onAfterDocumentDeleted '+event.detail['docid'] + event.detail['type']);
    switch(event.detail['type'])
    {
				case 'device':					docManager_device.update_document_grid(event.detail['docid']);					break;
				case 'device_installation':		docManager_deviceinstallation.update_document_grid(event.detail['docid']);		break;
				case 'device_inspection':		docManager_deviceinspection.update_document_grid(event.detail['docid']);		break;
				case 'device_maintenance':		docManager_devicemaintenance.update_document_grid(event.detail['docid']);		break;
      default:
    }
		}
);

  tab_device.setSkin('material');
  tab_description.setActive();
  //***************************************event on document end*****************************************//
  myLayout.attachEvent("onResizeFinish", function(){
      // your code here
      tab_device.setSizes();

  });
	window.myLayout = myLayout;
}


</script>

<body>

<div id="layout"/>

<script>

  init_layout();


  if(window.attachEvent)
  	window.attachEvent("onresize",pageresizeLayout);
  else
  	window.addEventListener("resize",pageresizeLayout, false);


  var t;

  function pageresizeLayout(){
  	window.clearTimeout(t);
  	t = window.setTimeout(function(){
     if(myLayout != null){
  		 myLayout.setSizes(false);
    }
  	},200);
  }

</script>

</body>
</html>
