<?php
  include 'autoload.php';
 ?>
<!DOCTYPE html>
<html lang="en">

<head>

  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <meta name="description" content="">
  <meta name="author" content="">
  <link rel="stylesheet" type="text/css" href="/dhtmlx/codebase/fonts/font_roboto/roboto.css"/>
  <link rel="stylesheet" type="text/css" href="/dhtmlx/codebase/dhtmlx.css"/>
  <link rel="stylesheet" type="text/css" href="/dhtmlx/skins/web/dhtmlx.css"/>
  <link rel="stylesheet" type="text/css" href="/extern_css/bootstrap-4.5.3/css/bootstrap.min.css"/>
  <link rel="shortcut icon" type="image/x-icon" href="../Common/pics/eoqual.png" />
  <script type='text/javascript' src="/dhtmlx/codebase/dhtmlx.js"></script>

  <title>Staff setting</title>

  <!-- Custom fonts for this template-->
  <link href="/extern_css/font-awesome-current/css/all.min.css" rel="stylesheet" type="text/css">

  <script src="js/jquery/jquery.min.js"></script>

  <!-- Core plugin JavaScript-->
  <script src="js/jquery-easing/jquery.easing.min.js"></script>
  <!-- Custom styles for this template-->
  <link href="./css/sb-admin.css" rel="stylesheet">
	<link rel="stylesheet" href="./css/eoQUAL.css"/>
  <style>

  /*fix bug with bootstrap (grid resize after research)*/
	*, *::before, *::after {
		box-sizing: content-box;
	}
  div#layout {
		position: absolute;
		margin:0 auto;
    overflow: hidden;
		width: 100%;
		height: 100%;
	}
  </style>

  <script>

	var myLayout = null;

	var sidebarwidth = '140';
	var topbarheight = '45';
	var topbaritemheight='46';
	var url_gridinstitution = '<?php echo  $GLOBALS["EOQUAL_ROOT"]?>/Main/dbconnector/settings/db_gridinstitution.php';
	var url_griddepartment = '<?php echo  $GLOBALS["EOQUAL_ROOT"]?>/Main/dbconnector/settings/db_griddepartment.php';
  var url_gridstaffrole = '<?php echo  $GLOBALS["EOQUAL_ROOT"]?>/Main/dbconnector/settings/db_gridstaffrole.php';
  var url_gridloginrole = '<?php echo  $GLOBALS["EOQUAL_ROOT"]?>/Main/dbconnector/settings/db_gridloginrole.php';
  var url_gridloginrolepermission = '<?php echo  $GLOBALS["EOQUAL_ROOT"]?>/Main/dbconnector/settings/db_gridloginrolepermission.php';
  var url_gridstaffmember = '<?php echo  $GLOBALS["EOQUAL_ROOT"]?>/Main/dbconnector/settings/db_gridstaffmember.php';
  var url_gridstaffjob = '<?php echo  $GLOBALS["EOQUAL_ROOT"]?>/Main/dbconnector/settings/db_gridstaffjob.php';
  var url_dpstaffjob = '<?php echo  $GLOBALS["EOQUAL_ROOT"]?>/Main/dbconnector/settings/db_dp_staffjob.php';
  var url_gridtag = '<?php echo  $GLOBALS["EOQUAL_ROOT"]?>/Main/dbconnector/settings/db_gridtag.php';
  var url_gridlinkedtag = '<?php echo  $GLOBALS["EOQUAL_ROOT"]?>/Main/dbconnector/settings/db_gridlinkedtag.php';
  var url_gridexamwarning = '<?php echo  $GLOBALS["EOQUAL_ROOT"]?>/Main/dbconnector/settings/db_gridexamwarning.php';

<?php create_translate_xml_js_function(); ?>


function show_viewstaffmember()
{
	var state = myLayout.cells('c').showView('viewstaffmember');
	// first call
	if (state == true) {


		var c = myLayout.cells('c');
		var layout_2 = c.attachLayout('3L');

		var cell_6 = layout_2.cells('a');
		cell_6.hideHeader();
		cell_6.setWidth('200');
		var grid_staffmember = cell_6.attachGrid();
		grid_staffmember.load(url_gridstaffmember);

		var dpstaffmember = new dataProcessor(url_gridstaffmember);
		dpstaffmember.init(grid_staffmember); //link grid to dataprocessor


		var cell_7 = layout_2.cells('b');
    cell_7.setHeight('102');
		cell_7.hideHeader();

		var form_staffmember = cell_7.attachForm();
	  form_staffmember.loadStruct(translate_xml('<?php echo  $GLOBALS["EOQUAL_ROOT"]?>/Main/form_template/settings/staffmemberform.xml'));
		form_staffmember.bind(grid_staffmember);
    form_staffmember.linkeddp = dpstaffmember;

    form_staffmember.attachEvent("onChange", function(name,value,is_checked){
      if(name == 'active')
      {

        form_staffmember.setRequired("login",is_checked);
        form_staffmember.setRequired("password",is_checked);
      }
		});
    form_staffmember.attachEvent("onValidateError", function (name, value, result){
        //your code here
        switch(name)
        {
          case 'password': dhtmlx.message({
            type:"error",
            text:"Password can not be empty.<br />",
            expire:2000
          });
          break;
          case 'login': dhtmlx.message({
            type:"error",
            text:"Login can not be empty.<br />",
            expire:2000
          });
          break;
        }

    });

		dpstaffmember.attachEvent("onAfterUpdate",function(sid,action,tid,xml_node){ // update is finished

			if(action=='inserted' ){
        grid_staffmember.updateFromXML(url_gridstaffmember+"?id="+tid,true,true, function(){
          grid_staffmember.selectRowById(tid);
          form_staffmember.setFocusOnFirstActive();
        });
			}
      else if(action == 'updated')
      {

        //  grid_staffmember.selectRowById(tid,false,true,true);
        //  form_staffmember.setFocusOnFirstActive();

      }
		});



		layout_3 = layout_2.cells('c').attachLayout('3T');
		var cell_toolbarstaffjob = layout_3.cells('a');
		cell_toolbarstaffjob.cell.classList.add('eo_toolbar_dhx_web_sub');
		var cell_gridstaffjob = layout_3.cells('b');
		var cell_formstaffjob = layout_3.cells('c');
		var grid_staffjob = cell_gridstaffjob.attachGrid();
    grid_staffjob.attachEvent("onEditCell",function(stage, id, ind){
         return false;
    });

		cell_gridstaffjob.hideHeader();
		cell_formstaffjob.hideHeader();

  	var form_staffjob = cell_formstaffjob.attachForm();
		cell_toolbarstaffjob.hideHeader();
		cell_toolbarstaffjob.fixSize(0,1);
		var topbarstaffjob = cell_toolbarstaffjob.attachToolbar({
				iconset: "awesome",
				skin: "dhx_web",
				height:'25',
				xml: translate_xml("<?php echo  $GLOBALS["EOQUAL_ROOT"]?>/Main/form_template/settings/toptoolbar.xml")
			});

		cell_toolbarstaffjob.setHeight('32');
		topbarstaffjob.setIconSize(16);
		topbarstaffjob.addText("title","0","<span class='topbar_title'><?php echo $_Job;?></span>");


		var dpstaffjob = new dataProcessor(url_dpstaffjob);
    dpstaffjob.enableDataNames(true);
		dpstaffjob.init(grid_staffjob); //link grid to dataprocessor
		form_staffjob.loadStruct(translate_xml("<?php echo  $GLOBALS["EOQUAL_ROOT"]?>/Main/form_template/settings/staffjobform.xml"));
		form_staffjob.bind(grid_staffjob);
    form_staffjob.linkeddp = dpstaffjob;


		topbarstaffjob.attachEvent("onClick", function(id){

			switch(id)
			{
				case 'add': {

								var rowIdstaffmember = grid_staffmember.getSelectedRowId();
								if(rowIdstaffmember != null)
								{
									var rowId=grid_staffjob.uid();
		    					grid_staffjob.addRow(rowId,["","","New","","",rowIdstaffmember],0);
								}
				}
				break;
				case 'save':{
          // set update mode to manual
          dpstaffjob.setUpdateMode('off');
          // save changes
          form_staffjob.save();
          dpstaffjob.sendData();
          // restore update mode to it's initial value
          dpstaffjob.setUpdateMode('cell');
				}
				break;
				case 'delete':
				{
          var rowId = grid_staffjob.getSelectedRowId();
      		 var rowIndex = grid_staffjob.getRowIndex(rowId);
      		 if(rowId!=null){
               form_staffjob.clear();
      				 grid_staffjob.deleteRow(rowId);
      				 if(rowIndex!=(grid_staffjob.getRowsNum()-1)){
      						 grid_staffjob.selectRow(rowIndex+1,true);
      				 } else{
      						 grid_staffjob.selectRow(rowIndex-1,true);
      				 }
      		 }
				}
				break;
        default:
			}
		});

		grid_staffmember.attachEvent("onRowSelect", function(id,ind){
			// your code here
      form_staffjob.clear();
      grid_staffjob.clearAll();
			grid_staffjob.load(url_gridstaffjob+'?staffid='+id);
      var is_checked = form_staffmember.isItemChecked("active");
      form_staffmember.setRequired("login",is_checked);
      form_staffmember.setRequired("password",is_checked);
		});


		dpstaffjob.attachEvent("onAfterUpdate",function(sid,action,tid,xml_node){ // update is finished
			if(action=="inserted"){
        grid_staffjob.updateFromXML(url_gridstaffjob+'?jobid='+tid, function(){
          grid_staffjob.selectRowById(tid);
  				form_staffjob.setFocusOnFirstActive();
        });
			}
    	if(action=="updated"){
        grid_staffjob.updateFromXML(url_gridstaffjob+'?jobid='+tid, function(){
          grid_staffjob.selectRowById(tid);
  				form_staffjob.setFocusOnFirstActive();
        });
      }
		});
	}
}

function add_element(){
	var view = myLayout.cells('c').getViewName();
  var stringName = '';
  switch(view)
  {

    case 'viewstaffmember':  stringName = 'New member';break;
    case 'viewstaffrole': stringName = 'New role';break;
    case 'viewloginrole':  stringName = 'New role';break;
    case 'viewinstitution':  stringName = 'New institution';break;
    case 'viewtag':  stringName = 'New tag';break;
    case 'viewexamwarning':  stringName = 'New warning';break;
    default:
  }
  var grid = myLayout.cells('c').getAttachedObject().cells('a').getAttachedObject();
  var rowId=grid.uid();                  //generates an unique id
  switch(view)
  {
    case 'viewstaffrole':
    case 'viewloginrole': stringName += ' ' + rowId;
    case 'viewstaffmember':
    case 'viewinstitution':
    case 'viewtag':
    case 'viewexamwarning':
    {

      grid.addRow(rowId,[stringName],0);
      break;
    }
    break;
    default:
  }
}

function save_element(){
	var view = myLayout.cells('c').getViewName();

  switch(view)
  {

    case 'viewstaffmember':
    case 'viewstaffrole':
    case 'viewloginrole':
    case 'viewinstitution':
    case 'viewtag':
    case 'viewexamwarning':
    {
      var form = myLayout.cells('c').getAttachedObject().cells('b').getAttachedObject();
      form.linkeddp.setUpdateMode('off');
      // save changes
      if(form.validate())
        form.save();
      form.linkeddp.sendData();
      // restore update mode to it's initial value
      form.linkeddp.setUpdateMode('cell');
    }
    break;
    default:
  }
}

function delete_element(){
	var view = myLayout.cells('c').getViewName();

  switch(view)
  {

    case 'viewstaffmember':
    case 'viewstaffrole':
    case 'viewloginrole':
    case 'viewinstitution':
    case 'viewtag':
    case 'viewexamwarning':
    {
      var grid = myLayout.cells('c').getAttachedObject().cells('a').getAttachedObject();
  		var rowId = grid.getSelectedRowId();
  		 var rowIndex = grid.getRowIndex(rowId);
  		 if(rowId!=null){
  				 grid.deleteRow(rowId);
  				 if(rowIndex!=(grid.getRowsNum()-1)){
  						 grid.selectRow(rowIndex+1,true);
  				 } else{
  						 grid.selectRow(rowIndex-1,true);
  				 }
  		 }
    }
    break;
    default:
  }

}

function show_viewstaffrole()
{
  var state = myLayout.cells('c').showView('viewstaffrole');
  // first call
  if (state == true) {

    var c = myLayout.cells('c');
    var layout_2 = c.attachLayout('2U');

    var cell_6 = layout_2.cells('a');
    cell_6.hideHeader();
    cell_6.setWidth('200');

    var grid_staffrole = cell_6.attachGrid();

    grid_staffrole.load(url_gridstaffrole);



    var dpstaffrole = new dataProcessor(url_gridstaffrole);
    dpstaffrole.enableDataNames(true);
    dpstaffrole.init(grid_staffrole); //link grid to dataprocessor


    var cell_7 = layout_2.cells('b');
    cell_7.hideHeader();
    var form_staffrole = cell_7.attachForm();
    form_staffrole.loadStruct(translate_xml('<?php echo  $GLOBALS["EOQUAL_ROOT"]?>/Main/form_template/settings/staffroleform.xml'));
    form_staffrole.bind(grid_staffrole);
    form_staffrole.linkeddp = dpstaffrole;

    dpstaffrole.attachEvent("onAfterUpdate",function(sid,action,tid,xml_node){ // update is finished
      if(action=="inserted"){
        grid_staffrole.selectRowById(tid,false,true,true);
        form_staffrole.setFocusOnFirstActive();
      }
    });

  }
}

function show_viewexamwarning()
{
  var state = myLayout.cells('c').showView('viewexamwarning');
  // first call
  if (state == true) {

    var c = myLayout.cells('c');
    var layout_2 = c.attachLayout('2U');

    var cell_6 = layout_2.cells('a');
    cell_6.hideHeader();
    cell_6.setWidth('200');

    var grid_examwarning = cell_6.attachGrid();

    grid_examwarning.load(url_gridexamwarning);



    var dpexamwarning = new dataProcessor(url_gridexamwarning);
    dpexamwarning.enableDataNames(true);
    dpexamwarning.init(grid_examwarning); //link grid to dataprocessor


    var cell_7 = layout_2.cells('b');
    cell_7.hideHeader();
    var form_examwarning = cell_7.attachForm();
    form_examwarning.loadStruct(translate_xml('<?php echo  $GLOBALS["EOQUAL_ROOT"]?>/Main/form_template/settings/examwarningform.xml'));
    form_examwarning.bind(grid_examwarning);
    form_examwarning.linkeddp = dpexamwarning;

    dpexamwarning.attachEvent("onAfterUpdate",function(sid,action,tid,xml_node){ // update is finished
      if(action=="inserted"){
        grid_examwarning.selectRowById(tid,false,true,true);
        form_examwarning.setFocusOnFirstActive();
      }
    });

  }
}
function show_viewloginrole()
{
  var state = myLayout.cells('c').showView('viewloginrole');
	// first call
	if (state == true) {


		var c = myLayout.cells('c');
		var layout_2 = c.attachLayout('3L');

		var cell_6 = layout_2.cells('a');
		cell_6.hideHeader();
		cell_6.setWidth('200');
		var grid_loginrole = cell_6.attachGrid();

		grid_loginrole.load(url_gridloginrole);

		var dploginrole = new dataProcessor(url_gridloginrole);
		dploginrole.init(grid_loginrole); //link grid to dataprocessor


		var cell_7 = layout_2.cells('b');
		cell_7.hideHeader();
		cell_7.setHeight('56');
		var form_loginrole = cell_7.attachForm();
	  form_loginrole.loadStruct(translate_xml('<?php echo  $GLOBALS["EOQUAL_ROOT"]?>/Main/form_template/settings/loginroleform.xml'));
		form_loginrole.bind(grid_loginrole);
    form_loginrole.linkeddp = dploginrole;

		dploginrole.attachEvent("onAfterUpdate",function(sid,action,tid,xml_node){ // update is finished
			if(action=="inserted"){
				grid_loginrole.selectRowById(tid,false,true,true);
				form_loginrole.setFocusOnFirstActive();
			}
		});



    var cell_8 = layout_2.cells('c');
    cell_8.hideHeader();
    var grid_loginrolepermission = cell_8.attachGrid();
    grid_loginrolepermission.attachEvent('onDataReady',function(){
      grid_loginrolepermission.groupBy(0);
      var idxexist = grid_loginrolepermission.getColIndexById('working_view_exist');
      var idx = grid_loginrolepermission.getColIndexById('working_view');
      for(var i = 0; i < grid_loginrolepermission.getRowsNum();i++)
      {
        var id = grid_loginrolepermission.getRowId(i);
        if(grid_loginrolepermission.cellById(id,idxexist).getValue() == "0")
        {
          grid_loginrolepermission.cellById(id,idx).setDisabled(true);
        }
      }

    })

    grid_loginrolepermission.setImagesPath("/dhtmlx/codebase/imgs/dhxgrid_web/");

    grid_loginrole.attachEvent("onRowSelect", function(id,ind){
      grid_loginrolepermission.clearAll();
			grid_loginrolepermission.load(url_gridloginrolepermission+'?roleid='+id,function(){
        grid_loginrolepermission.sortRows(0,"str","asc");
        grid_loginrolepermission.sortRows(1,"str","asc");
      });
      var dp_loginrolepermission = new dataProcessor(url_gridloginrolepermission+'?roleid='+id);
      dp_loginrolepermission.init(grid_loginrolepermission);
		});
	}
}

function show_viewtag()
{
  var state = myLayout.cells('c').showView('viewtag');
	// first call
	if (state == true) {

		var c = myLayout.cells('c');
		var layout_2 = c.attachLayout('3L');

		var cell_6 = layout_2.cells('a');
		cell_6.hideHeader();
		cell_6.setWidth('200');
		var grid_tag = cell_6.attachGrid();

		grid_tag.load(url_gridtag);

		var dptag = new dataProcessor(url_gridtag);
		dptag.init(grid_tag); //link grid to dataprocessor
    dptag.enableDataNames(true);

		var cell_7 = layout_2.cells('b');
		cell_7.hideHeader();
		cell_7.setHeight('56');
		var form_tag = cell_7.attachForm();
	  form_tag.loadStruct(translate_xml('<?php echo  $GLOBALS["EOQUAL_ROOT"]?>/Main/form_template/settings/tagform.xml'));
		form_tag.bind(grid_tag);
    form_tag.linkeddp = dptag;

		dptag.attachEvent("onAfterUpdate",function(sid,action,tid,xml_node){ // update is finished
			if(action=="inserted"){
				grid_tag.selectRowById(tid,false,true,true);
				form_tag.setFocusOnFirstActive();
			}
		});

    var cell_8 = layout_2.cells('c');
    cell_8.hideHeader();
    var grid_loginrolepermission = cell_8.attachGrid();
    // grid_loginrolepermission.attachEvent('onDataReady',function(){
    //   grid_loginrolepermission.groupBy(0);
    // })
    //
    // grid_loginrolepermission.setImagesPath("/dhtmlx/codebase/imgs/dhxgrid_web/");
    //
    // grid_loginrole.attachEvent("onRowSelect", function(id,ind){
    //   grid_loginrolepermission.clearAll();
		// 	grid_loginrolepermission.load(url_gridloginrolepermission+'?roleid='+id,function(){
    //     grid_loginrolepermission.sortRows(0,"str","asc");
    //     grid_loginrolepermission.sortRows(1,"str","asc");
    //   });
    //   var dp_loginrolepermission = new dataProcessor(url_gridloginrolepermission+'?roleid='+id);
    //   dp_loginrolepermission.init(grid_loginrolepermission);
		// });
	}
}

function show_viewinstitution()
{
	var state = myLayout.cells('c').showView('viewinstitution');
	// first call
	if (state == true) {


		var c = myLayout.cells('c');
		var layout_2 = c.attachLayout('3L');

		var cell_6 = layout_2.cells('a');
		cell_6.hideHeader();
		cell_6.setWidth('200');
		var grid_institution = cell_6.attachGrid();
		grid_institution.load(url_gridinstitution);

		var dpinstitution = new dataProcessor(url_gridinstitution);
		dpinstitution.init(grid_institution); //link grid to dataprocessor


		var cell_7 = layout_2.cells('b');
		cell_7.hideHeader();
		cell_7.setHeight('56');
		var form_institution = cell_7.attachForm();
	  form_institution.loadStruct(translate_xml('<?php echo  $GLOBALS["EOQUAL_ROOT"]?>/Main/form_template/settings/institutionform.xml'));
		form_institution.bind(grid_institution);
    form_institution.linkeddp = dpinstitution;
		dpinstitution.attachEvent("onAfterUpdate",function(sid,action,tid,xml_node){ // update is finished
			if(action=="inserted"){
				grid_institution.selectRowById(tid,false,true,true);
				form_institution.setFocusOnFirstActive();
			}
		});



		layout_3 = layout_2.cells('c').attachLayout('3T');
		var cell_toolbardepartment = layout_3.cells('a');
		cell_toolbardepartment.cell.classList.add('eo_toolbar_dhx_web_sub');
		var cell_griddepartment = layout_3.cells('b');
		var cell_formdepartment = layout_3.cells('c');
		var grid_department = cell_griddepartment.attachGrid();
		cell_griddepartment.hideHeader();
		cell_formdepartment.hideHeader();
		var form_department = cell_formdepartment.attachForm();
		cell_toolbardepartment.hideHeader();
		cell_toolbardepartment.fixSize(0,1);
		var topbardepartment = cell_toolbardepartment.attachToolbar({
				iconset: "awesome",
				skin: "dhx_web",
				height:'25',
				xml: translate_xml("<?php echo  $GLOBALS["EOQUAL_ROOT"]?>/Main/form_template/settings/toptoolbar.xml")
			});

		cell_toolbardepartment.setHeight('32');
		topbardepartment.setIconSize(16);
		topbardepartment.addText("title","0","<span class='topbar_title'><?php echo $_Department;?></span>");


		var dpdepartment = new dataProcessor(url_griddepartment);
		dpdepartment.init(grid_department); //link grid to dataprocessor

		form_department.loadStruct(translate_xml("<?php echo  $GLOBALS["EOQUAL_ROOT"]?>/Main/form_template/settings/departmentform.xml"));
		form_department.bind(grid_department);


		topbardepartment.attachEvent("onClick", function(id){
	    //your code here
			switch(id)
			{
				case 'add': {
								var rowIdInstitution = grid_institution.getSelectedRowId();
								if(rowIdInstitution != null)
								{
									var rowId=grid_department.uid();
		    					grid_department.addRow(rowId,[rowIdInstitution,"New department"],0);
								}
				}
				break;
				case 'save':{

            dpdepartment.setUpdateMode('off');
						form_department.save();
            dpdepartment.sendData();
            dpdepartment.setUpdateMode('cell');
        }
				break;
				case 'delete':
				{
					var rowId = grid_department.getSelectedRowId();
					 var rowIndex = grid_department.getRowIndex(rowId);
					 if(rowId!=null){
							 grid_department.deleteRow(rowId);
							 if(rowIndex!=(grid_department.getRowsNum()-1)){
									 grid_department.selectRow(rowIndex+1,true);
							 } else{
									 grid_department.selectRow(rowIndex-1,true);
							 }
					 }
				}
				break;
			}
		});

		grid_institution.attachEvent("onRowSelect", function(id,ind){
			// your code here
      form_department.clear();
      grid_department.clearAll();
			grid_department.load(url_griddepartment+'?inst_id='+id);
		});


		dpdepartment.attachEvent("onAfterUpdate",function(sid,action,tid,xml_node){ // update is finished
			if(action=="inserted"){
				grid_department.selectRowById(tid);
				form_department.setFocusOnFirstActive();
			}
		});
	}
}

function init_layout(){
  window.dhx4.skin = 'dhx_web';


	myLayout = new dhtmlXLayoutObject('layout', '3T');

	var a = myLayout.cells('a');

	a.hideHeader();
	a.fixSize(0,1);
	var topbar = a.attachToolbar({
			iconset: "awesome",
			skin: "dhx_web",
			height:'25',
			xml: translate_xml("<?php echo  $GLOBALS["EOQUAL_ROOT"]?>/Main/form_template/settings/toptoolbar.xml")
		});


	a.setHeight(topbarheight);

	topbar.setIconSize(32);

	topbar.attachEvent("onClick", function(id){
    //your code here
		switch(id)
		{
			case 'add': add_element();break;
			case 'save': save_element();break;
			case 'delete': delete_element();break;
      default:
		}
	});

	var b = myLayout.cells('b');
	b.setWidth(sidebarwidth);

dhtmlXSideBar.prototype.templates.mysideview =
"<div style:'display: inline-block;'><i class='#icon#' style='text-align: center;line-height: 43px'></i>#text#</div>";
//"<img class='dhxsidebar_item_icon' src='#icons_path##icon#' border='0'><div class='dhxsidebar_item_text'>#text#</div>";
	var sidebar = b.attachSidebar({template: 'mysideview', height:topbaritemheight, width: sidebarwidth, autohide: '', header: ''});
//	sidebar_3.addItem({id: 'sidebar_item_5', text: 'test', icon: 'fa fa-plus-circle'});

	sidebar.attachEvent("onSelect", function(id, lastId){
	    // your code here
			topbar.setItemText("title","<span class='topbar_title'>"+sidebar.items(id).getText().text+"</span>");
			switch(id)
			{
				case 'staffmember': show_viewstaffmember();break;
        case 'staffrole': show_viewstaffrole();break;
				case 'loginrole': show_viewloginrole();break;
				case 'institution': show_viewinstitution();break;
        case 'warning': show_viewexamwarning();break;
        case 'tag': show_viewtag();break;
			}
	});

	sidebar.loadStruct(translate_xml("<?php echo  $GLOBALS["EOQUAL_ROOT"]?>/Main/form_template/settings/sidetoolbar.xml"),
		function(){
      var idselected = '';
      <?php
        $idselected = '';
        if($_SESSION['view'][VIEW_STAFFMEMBER] == '0')
        {
          echo "sidebar.items('staffmember').hide();";

        }else{
          if($idselected == ''){
            echo "show_viewstaffmember();";
            $idselected = 'staffmember';
          };
        }
        if($_SESSION['view'][VIEW_STAFFROLE] == '0')
        {
          echo "sidebar.items('staffrole').hide();";
        }else{
          if($idselected == ''){
            echo "show_viewstaffrole();";
            $idselected = 'staffrole';
          };
        }
        if($_SESSION['view'][VIEW_LOGINROLE] == '0')
        {
          echo "sidebar.items('loginrole').hide();";

        }else{
          if($idselected == ''){
            echo "show_viewloginrole();";
            $idselected = 'loginrole';
          };
        }
        if($_SESSION['view'][VIEW_INSTITUTION] == '0')
        {
          echo "sidebar.items('institution').hide();";
        }else{
          if($idselected == ''){
            echo "show_viewinstitution();";
            $idselected = 'institution';
          };
        }
        if($_SESSION['view'][VIEW_WARNING] == '0')
        {
          echo "sidebar.items('warning').hide();";

        }else{
          if($idselected == ''){
            echo "show_viewwarning();";
            $idselected = 'warning';
          };
        }
        if($_SESSION['view'][VIEW_TAG] == '0')
        {
          echo "sidebar.items('tag').hide();";

        }else{
          if($idselected == ''){
            echo "show_viewtag();";
            $idselected = 'tag';
          };
        }
        echo "idselected = '{$idselected}';";
      ?>
			sidebar.items(idselected).setActive();
			topbar.setItemText("title","<span class='topbar_title'>"+sidebar.items(idselected).getText().text+"</span>");
		}
	);


	b.fixSize(1,0);
	b.hideHeader();


	//
	// data_view_1.load('./data/data_view.xml', 'xml');
	//
	// var toolbar_3 = cell_8.attachToolbar();
	// toolbar_3.setIconsPath('./codebase/imgs/');
	//
	// toolbar_3.loadStruct('./data/toolbar.xml', function() {});


	window.myLayout = myLayout;
}


</script>

<body>

<div id="layout"/>

<script>

init_layout();

if (typeof resizeLayout !== "function") {

  if (window.attachEvent)
  	window.attachEvent("onresize",resizeLayout);
  else
  	window.addEventListener("resize",resizeLayout, false);


  var t;

  function resizeLayout(){
  	window.clearTimeout(t);
  	t = window.setTimeout(function(){
     if(myLayout != null){
     // target.style.width = contentw.offsetWidth;
     // target.style.height = contentw.offsetHeight;

  		 myLayout.setSizes(false);
    }
  	},200);
  }

}

</script>

</body>
</html>
