<?php
  include 'autoload.php';
 ?>
<!DOCTYPE html>
<html lang="en">

<head>

  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <meta name="description" content="">
  <meta name="author" content="">
  <link rel="stylesheet" type="text/css" href="/dhtmlx/codebase/fonts/font_roboto/roboto.css"/>
  <link rel="stylesheet" type="text/css" href="/dhtmlx/codebase/dhtmlx.css"/>
  <link rel="stylesheet" type="text/css" href="/dhtmlx/skins/web/dhtmlx.css"/>
  <link rel="stylesheet" type="text/css" href="/extern_css/bootstrap-4.3.1/css/bootstrap.min.css"/>
  <link rel="shortcut icon" type="image/x-icon" href="./Common/pics<?php echo  $GLOBALS["EOQUAL_ROOT"]?>.png" />
  <script type='text/javascript' src="/dhtmlx/codebase/dhtmlx.js"></script>
  <script type='text/javascript' src="/dhtmlx_addon/dhtmlxform_buttonximeo.js"></script>
  <script type='text/javascript' src="/dhtmlx_addon/c_dhtmlxutils.js"></script>

  <title><?php echo $_audit;?></title>

  <!-- Custom fonts for this template-->
  <link href="/extern_css/font-awesome-current/css/all.min.css" rel="stylesheet" type="text/css">

  <script src="js/jquery/jquery.min.js"></script>

  <!-- Core plugin JavaScript-->
  <script src="js/jquery-easing/jquery.easing.min.js"></script>
  <script src="js/c_documentmanager.js"></script>
  <!-- Custom styles for this template-->
  <link href="css/sb-admin.css" rel="stylesheet">
	<link rel="stylesheet" href="css/eoQUAL.css"/>
  <style>

  /*fix bug with bootstrap (grid resize after research)*/
	*, *::before, *::after {
		box-sizing: content-box;
	}
  div#layout {
		position: absolute;
		margin:0 auto;
    overflow: hidden;
		width: 100%;
		height: 100%;
	}
  </style>

  <script>

	var myLayout = null;
	var url_gridaudit = '<?php echo  $GLOBALS["EOQUAL_ROOT"]?>/Main/dbconnector/audit/db_gridaudit.php';
<?php create_translate_xml_js_function(); ?>

var dhtmlxUtils;

function init_layout(){
  var staffid = <?php echo $_SESSION['id'];?>;
  var isembedded = false;

  //page is embedded into eodacs frame
  if(typeof embeddedpage !== 'undefined')
    isembedded = true;

  dhtmlxUtils = new C_DhtmlxUtils(isembedded);

  window.dhx4.skin = 'dhx_web';
  myLayout = new dhtmlXLayoutObject('layout', '3L');
  myLayout.cookie_id = 'eoqualaudit'+staffid;

  // **************************************************************************************************************
  // Audit list
  //
  var a = myLayout.cells('a');
  a.hideHeader();
  a.setWidth('600');
  window.cella = myLayout.cells('a');
  var grid_audit = a.attachGrid();
  grid_audit.enableMultiline(true);
  grid_audit.load(url_gridaudit);

  grid_audit.attachEvent("onEditCell", function(stage,rId,cInd,nValue,oValue){
    // your code here
    return false;
  });
  var dpaudit = new dataProcessor(url_gridaudit);
  dpaudit.enableDataNames(true);
  dpaudit.init(grid_audit); //link grid to dataprocessor

  var grid_audit_toolbar = a.attachToolbar({
			iconset: "awesome",
			skin: "dhx_web",
			height:'25',
			xml: translate_xml("<?php echo  $GLOBALS["EOQUAL_ROOT"]?>/Main/form_template/audit/audittoolbar.xml")
		});


  // **************************************************************************************************************
  // Audit information ( form )
  //
  var b = myLayout.cells('b');
  b.hideHeader();
  b.setHeight('330');
  var form_audit_toolbar = b.attachToolbar({
    iconset: "awesome",
    skin: "dhx_web",
    height:'25',
    xml: translate_xml("<?php echo  $GLOBALS["EOQUAL_ROOT"]?>/Main/form_template/audit/auditformtoolbar.xml")
  });
  var form_audit = b.attachForm();
  form_audit.loadStruct(translate_xml("<?php echo  $GLOBALS["EOQUAL_ROOT"]?>/Main/form_template/audit/auditform.xml"),function(){
     var combo_instid = form_audit.getCombo('inst_id');
     var combo_depid = form_audit.getCombo('dep_id');
     var combo_audittype= form_audit.getCombo('audit_type');
     combo_instid.attachEvent("onChange", function(value, text){
        combo_depid = form_audit.getCombo('dep_id');
        combo_depid.load("<?php echo  $GLOBALS["EOQUAL_ROOT"]?>/Main/dbconnector/common/db_combodepartmentunique.php?instid="+value,function(){
          var id = grid_audit.getSelectedRowId();
          var idx = grid_audit.getColIndexById('dep_id');
          combo_depid.setComboValue(grid_audit.cells(id,idx).getValue());
        })
      });
      combo_instid.attachEvent("onChange", function(value, text){
				if(value == -1)
          combo_instid.unSelectOption();
			});
      combo_depid.attachEvent("onChange", function(value, text){
				if(value == -1)
          combo_depid.unSelectOption();
      });
      form_audit.attachEvent("onButtonClick", function(name){
	      	if(name=="open_audit")
		{
			var id= grid_audit.getSelectedRowId();
			var winop= window.open("bquaadril.php?audit_id="+id,"Audit BQUAADRIL");
		}
      });
      combo_audittype.attachEvent("onChange",function(value,text){
	      try{
	      console.log("---> "+text);
	      var id = grid_audit.getSelectedRowId();
	      var idx = grid_audit.getColIndexById('maintype');
	      var m_type=grid_audit.cells(id,idx).getValue();

	      if(m_type !=null && m_type!='' )
	      {
		     form_audit.showItem('open_audit');

	      }
	      else form_audit.hideItem('open_audit');
	      }
	      catch(err)
	      {
		      form_audit.hideItem('open_audit');
	      }

	/*	var request = new XMLHttpRequest();

	      request.open("GET", "<?php echo $GLOBALS["EOQUAL_ROOT"]?>/Main/form_template/audit/audittypeitems.php?maintype="+m_type,false);
		request.send();
	      var xml = request.responseText;
	      console.log(request);
	      console.log(form_audit);
	      form_audit.addItem(null,xml,1);
//	      form_audit.addItem(null,xml,form_audit);
//	      form_audit.addItem(xml.getElementsByTagName("item")[0]);
		/*var users = xml.getElementsByTagName("user");
		for(var i = 0; i < users.length; i++) {
		    var user = users[i];
		    var names = user.getElementsByTagName("name");
		    for(var j = 0; j < names.length; j++) {
		        alert(names[j].childNodes[0].nodeValue);
		    }
      }*/

//	      form_audit.addItem(translate_xml("<?php echo $GLOBALS["EOQUAL_ROOT"]?>/Main/form_template/audit/audittypeitems.php?maintype="+m_type));
      });

  });

  form_audit.bind(grid_audit);
  form_audit.linkeddp = dpaudit;


  // **************************************************************************************************************
  // Document
  //
  var c = myLayout.cells('c');
  c.hideHeader();
  var grid_auditdocument_toolbar = c.attachToolbar({
    iconset: "awesome",
    skin: "dhx_web",
    height:'25',
    xml: translate_xml("<?php echo  $GLOBALS["EOQUAL_ROOT"]?>/Main/form_template/audit/auditdocumenttoolbar.xml")
  });

	var grid_auditdocument = c.attachGrid();

  dpaudit.attachEvent("onAfterUpdate",function(sid,action,tid,xml_node){ // update is finished

    if(action=='inserted' ){
      grid_audit.updateFromXML(url_gridaudit+"?auditid="+tid,false,false, function(){
        grid_audit.selectRowById(tid,false,true,true);
        form_audit.setFocusOnFirstActive();
      });
    }
    else if(action == 'updated')
    {
      grid_audit.updateFromXML(url_gridaudit+"?auditid="+tid,false,false, function(){
        grid_audit.selectRowById(tid,false,true,true);
        form_audit.setFocusOnFirstActive();
      });
    }
  });




  grid_audit_toolbar.attachEvent("onClick", function(id){

    //your code here
    switch(id)
    {
      case 'add':
      {
        var rowId=grid_audit.uid();                  //generates an unique id
        grid_audit.addRow(rowId,["",""],0);
      }break;
      case 'delete':
      {
        var rowId = grid_audit.getSelectedRowId();
         var rowIndex = grid_audit.getRowIndex(rowId);
         if(rowId!=null){
             grid_audit.deleteRow(rowId);
             if(rowIndex!=(grid_audit.getRowsNum()-1)){
                 grid_audit.selectRow(rowIndex+1,true);
             } else{
                 grid_audit.selectRow(rowIndex-1,true);
             }
         }
      }break;
      default:
    }
  });

  form_audit_toolbar.attachEvent("onClick", function(id){
    //your code here
    switch(id)
    {
      case 'save':
      {
        form_audit.linkeddp.setUpdateMode('off');
        // save changes
        if(form_audit.validate())
          form_audit.save();
        form_audit.linkeddp.sendData();
        form_audit.linkeddp.setUpdateMode('cell');
      }break;
      default:
    }
  });

  //***************************************audit BEGIN*****************************************//




  var docManager_audit = new C_DocumentManager();
  docManager_audit.set_data('winname','FormauditDocument');
  docManager_audit.set_data('uploadername','devicedocumentfile');
  docManager_audit.set_data('layout',myLayout);
  docManager_audit.set_data('staffid',<?php echo $_SESSION['id']; ?>);
  docManager_audit.set_data('title_newdocument','New audit');
  docManager_audit.set_data('title_newversion','New version');
  docManager_audit.set_data('title_editversion','Edit version');
  docManager_audit.set_data('noselection','No audit selected');
  docManager_audit.set_data('serverip','<?php echo $config_servernameorip;?>');
  docManager_audit.set_data ('pdfviewer','<?php echo $config_pdfchrome;?>');
  docManager_audit.set_data ( 'documentstorage',			'<?php echo $GLOBALS["document_storage"]; ?>'	);
  docManager_audit.set_data('type','audit');
  docManager_audit.set_data('uniquedoc','1');
  docManager_audit.init();
  docManager_audit.init_object(grid_audit,grid_auditdocument_toolbar,grid_auditdocument);
  //***************************************audit END*****************************************//


  //***************************************save state******************************************************//



  //dhtmlxUtils.init_layout_save_cookies(myLayout);
  //dhtmlxUtils.init_grid_save_cookies(grid_deviceinspection);


  //***************************************event on document begin*****************************************//
  document.addEventListener('onAfterDocumentInserted',function(event)
  {

    switch(event.detail['type'])
    {
      case 'audit':
      {
        docManager_audit.update_document_grid(event.detail['docid']);
      }break;
      default:
    }
  });

  document.addEventListener('onAfterDocumentUpdated',function(event)
  {
    switch(event.detail['type'])
    {
      case 'audit':
      {
        docManager_audit.update_document_grid(event.detail['docid']);
      }break;
      default:
    }

  });

  document.addEventListener('onAfterDocumentDeleted',function(event)
  {
    switch(event.detail['type'])
    {
      case 'audit':
      {
        docManager_audit.update_document_grid(event.detail['docid']);
      }break;
      default:
    }
  });

	window.myLayout = myLayout;
}


</script>

<body>

<div id="layout"/>

<script>

  init_layout();


  if (window.attachEvent)
  	window.attachEvent("onresize",pageresizeLayout);
  else
  	window.addEventListener("resize",pageresizeLayout, false);


  var t;

  function pageresizeLayout(){
  	window.clearTimeout(t);
  	t = window.setTimeout(function(){
     if(myLayout != null){
  		 myLayout.setSizes(false);
    }
  	},200);
  }

</script>

</body>
</html>
