<?php
  include 'autoload.php';

  function create_alert ( $level, $string,$onclick )
  {
    $alertype = '';
    $thediv = '';
    switch ( $level )
    {
      case 0: $alertype = 'alert-success-element';      break;
      case 1: $alertype = 'alert-info-element';         break;
      case 2: $alertype = 'alert-warning-element';      break;
      case 3: $alertype = 'alert-danger-element';       break;
    }

    if($onclick != '')
    {
      $onclick .= ' style="cursor:pointer"';
    }
    //    This is a primary alert with <a href="#" class="alert-link">an example link</a>. Give it a click if you like.
    $thediv = '<div  class="alert '.$alertype.'" '.$onclick.' role="alert">
    '.$string.'
    </div>';
    return $thediv;
  }

  function create_card($nameid)
  {
    global $config_servernameorip;
    global $EOQUAL_FOLDER;

    global $_IncidentReporting;
    global $_Staff;
    global $_Audit;
    global $_Device;
    global $_Task;
    global $_Dosimetry;

    $carddanger = 'alert-danger';
    $icondanger = 'fa-exclamation-triangle';

    $cardwarning = 'alert-warning';
    $iconwarning = 'fa-exclamation-circle';

    $alertinfo = 'alert-info';
    $iconalertinfo = 'fa-info-circle';

    $cardsuccess = 'bg-success';
    $iconsuccess = 'fa-check-circle';

    $cardcontent = '';
    $cardtitle='';
    $validalert = true;
    $maxseverity = 0;
    $nalert = 0;
    if($nameid == 'incidentreporting')
    {
      $conn = get_dbconnection();
      $sql = "select title,severity, to_char(reportdate,'DD/MM/YYYY') from v_alert_report order by severity desc,reportdate desc";
      if ($query = pg_query($conn,$sql)){
         if(($row = pg_fetch_row($query)))
         {
           $nalert++;
           if($maxseverity < $row[1])
            $maxseverity = $row[1];

          $text = 'An incident '.$row[0].'  has been opened ('.$row[2].').';
          $cardcontent.=create_alert($row[1],$text,'onclick="loadpage(\'VIEW_INCIDENTREPORTING\')"');
          while(($row = pg_fetch_row($query)))
          {
            $nalert++;
            if($maxseverity < $row[1])
             $maxseverity = $row[1];
            $text = 'An incident '.$row[0].'  has been opened ('.$row[2].').';
            $cardcontent.=create_alert($row[1],$text,'onclick="loadpage(\'VIEW_INCIDENTREPORTING\')"');
          }
         }
       }

      $cardtitle =  $_IncidentReporting.' ('.$nalert.')';

    }else if( $nameid == 'staff')
    {
      $conn = get_dbconnection();

      $sql = "select name,level,to_char(planned_date,'DD/MM/YYYY') from v_alert_staff_formation order by planned_date,level desc";
      if ($query = pg_query($conn,$sql)){
         if(($row = pg_fetch_row($query)))
         {
           $nalert++;
           if($maxseverity < $row[1])
            $maxseverity = $row[1];
          $text = $row[0].' : Training '.$row[3].' planified for '.$row[2]. '.';
          $cardcontent.=create_alert($row[1],$text,'onclick="loadpage(\'VIEW_STAFF\')"');
          while(($row = pg_fetch_row($query)))
          {
            $nalert++;
            if($maxseverity < $row[1])
             $maxseverity = $row[1];
            $text = $row[0].' : Training '.$row[3].' planified for '.$row[2]. '.';
            $cardcontent.=create_alert($row[1],$text,'onclick="loadpage(\'VIEW_STAFF\')"');
          }
         }
       }

         $cardtitle =  $_Staff.' ('.$nalert.')';
    }else if( $nameid == 'audit')
    {
      $conn = get_dbconnection();

      $sql = "select title,level,to_char(date,'DD/MM/YYYY') from v_alert_audit order by date,level desc";

      if ($query = pg_query($conn,$sql)){
         if(($row = pg_fetch_row($query)))
         {
           $nalert++;
           if($maxseverity < $row[1])
            $maxseverity = $row[1];
          $text = 'Audit '.$row[0].' planified for '.$row[2]. '.';
            $cardcontent.=create_alert($row[1],$text,'onclick="loadpage(\'VIEW_AUDIT\')"');
          while(($row = pg_fetch_row($query)))
          {
            $nalert++;
            if($maxseverity < $row[1])
             $maxseverity = $row[1];
            $text = 'Audit '.$row[0].' planified for '.$row[2]. '.';
              $cardcontent.=create_alert($row[1],$text,'onclick="loadpage(\'VIEW_AUDIT\')"');
          }
         }
       }

       $cardtitle =  $_Audit.' ('.$nalert.')';
    }else if($nameid == 'device')
    {
      $conn = get_dbconnection();

      $sql = "select name,level,to_char(planned_date,'DD/MM/YYYY') from v_alert_device_inspection order by planned_date,level desc";
      if ($query = pg_query($conn,$sql)){
         if(($row = pg_fetch_row($query)))
         {
           $nalert++;
           if($maxseverity < $row[1])
            $maxseverity = $row[1];
          $text = 'An inspection on '.$row[0].' is planned for '.$row[2].'.';
          $cardcontent.=create_alert($row[1],$text,'onclick="loadpage(\'VIEW_DEVICE\')"');
          while(($row = pg_fetch_row($query)))
          {
            $nalert++;
            if($maxseverity < $row[1])
             $maxseverity = $row[1];
            $text = 'An inspection on '.$row[0].' is planned for '.$row[2].'.';
            $cardcontent.=create_alert($row[1],$text,'onclick="loadpage(\'VIEW_DEVICE\')"');
          }
         }
       }
       $cardtitle =  $_Device.' ('.$nalert.')';
    }else if($nameid=='scheduledtask')
    {
      $conn = get_dbconnection();

      $sql = "select description,level,to_char(deadline,'DD/MM/YYYY') from v_alert_action order by deadline,level desc";
      if ($query = pg_query($conn,$sql)){
         if(($row = pg_fetch_row($query)))
         {
           $nalert++;
           if($maxseverity < $row[1])
            $maxseverity = $row[1];

          $text = 'Scheduled task: "'.$row[0].'" dead line is '.$row[2].'.';
          $cardcontent.=create_alert($row[1],$text,'onclick="loadpage(\'VIEW_SCHEDULEDTASK\')"');
          while(($row = pg_fetch_row($query)))
          {
            $nalert++;
            if($maxseverity < $row[1])
             $maxseverity = $row[1];

            $text = 'Scheduled task "'.$row[0].'" dead line is '.$row[2].'.';
              $cardcontent.=create_alert($row[1],$text,'onclick="loadpage(\'VIEW_SCHEDULEDTASK\')"');
          }
       }
     }
     $cardtitle =  $_Task.' ('.$nalert.')';
   }else if ($nameid=='dosimetry'){
      $sql = "select department,level,to_char(senddate,'DD/MM/YYYY') from v_alert_afcnsend order by senddate,level desc";
      if ($query = pg_query($conn,$sql)){
         if(($row = pg_fetch_row($query)))
         {
           $nalert++;
           if($maxseverity < $row[1])
            $maxseverity = $row[1];

          $text = 'Report to send for "'.$row[0].'" before '.$row[2].'.';
          $cardcontent.=create_alert($row[1],$text,'onclick="loadpage(\'VIEW_DOSIMETRY\')"');
          while(($row = pg_fetch_row($query)))
          {
            $nalert++;
            if($maxseverity < $row[1])
             $maxseverity = $row[1];

            $text = 'Report to send for "'.$row[0].'" before '.$row[2].'.';
            $cardcontent.=create_alert($row[1],$text,'onclick="loadpage(\'VIEW_DOSIMETRY\')"');
          }
         }
       }
       $cardtitle =  $_Dosimetry.' ('.$nalert.')';
    }



    switch ( $maxseverity )
    {
      case 0:
        $ntypecard = $cardsuccess;
        $ntypeicon = $iconsuccess;
      break;
      case 1:
        $ntypecard = $alertinfo;
        $ntypeicon = $iconalertinfo;
      break;
      case 2:
        $ntypecard = $cardwarning;
        $ntypeicon = $iconwarning;
     break;
      case 3:
        $ntypecard = $carddanger;
        $ntypeicon = $icondanger;
      break;
    }

    if($validalert == true){ ?>
      <div class="card <?php echo $ntypecard;?> mh-100">
        <div class="card-body">
          <div class="card-body-icon">
            <i class="fas fa-fw <?php echo $ntypeicon;?>"></i>
          </div>
          <div class="mr-5"><?php echo $cardtitle;?> </div>
        </div>
        <detailsview class="card-footer clearfix small z-1"  onClick="window.ToggleDiv(<?php echo $nameid; ?>);">
          <span class="float-left">View Details</span>
          <span class="float-right">
            <i class="fas fa-angle-right"></i>
          </span>
        </detailsview>
        <div id="<?php echo $nameid;?>" class="card-group" style="display:none;">
           <div class="card">
             <div style="overflow-x:auto;">
               <?php echo $cardcontent; ?>
             </div>
           </div>
        </div>
      </div>
       <div class="divider div-transparent"></div>
    <?php }
  }

 ?>
<!DOCTYPE html>
<html lang="en">

<head>

  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <meta name="description" content="">
  <meta name="author" content="">



  <title><?php echo $_Dashboard;?></title>



  <script src="<?php echo $EOQUAL_ROOT;?>/js/jquery/jquery.min.js"></script>

  <!-- Core plugin JavaScript-->
  <script src="<?php echo $EOQUAL_ROOT;?>/js/jquery-easing/jquery.easing.min.js"></script>
  <!-- Custom styles for this template-->
  <link href="css/sb-admin.css" rel="stylesheet">


  <script type="text/javascript" src="js/jquery/jquery.js"></script>
  <script type="text/javascript" src="<?php echo $EXTERN_CSS;?>/checkbox/sol.js"></script>

  <style>

  /*fix bug with bootstrap (grid resize after research)*/
 *, *::before, *::after {
   box-sizing: content-box;
 }

  div#layout {
   position: absolute;
   margin:0 auto;
    overflow: hidden;
   width: 100%;
   height: 100%;
 }
 .divider
{
 position: relative;

 height: 5px;
}



 #drltable, #newmodident,#tasyncdl{
   font-family: 'Trebuchet MS', Arial, Helvetica, sans-serif;
   border-collapse: collapse;
   width: 100%;
 }
 #drltable tr:nth-child(even), #newmodident tr:nth-child(even),#tasyncdl tr:nth-child(even){
   background-color: #f2f2f2;

 }
 #drltable tr:hover,#newmodident tr:hover,#tasyncdl tr:hover {
   background-color: #ddd;
 }
 #drltable tr>td:hover {
   cursor: pointer;
 }

 #drltable th,#newmodident th,#tasyncdl th {
      padding-top: 12px;
      padding-bottom: 12px;
      text-align: left;
      background-color: rgba(52, 56, 62, 0.86);
      font-weight: normal;
      color:white;
 }

 .t-group
 {
   overflow-y: auto;
   max-height: 325px;
   min-width: 250px;
   width: auto;
   padding: 0.75rem 1.25rem;
   background-color: #fafafa;
   border: 1px solid #dfdfdf;
   border-radius: 0.25rem;
   margin: 7px 7px 7px 7px;
 }

 .header-alert, .header-warning, .header-info
 {
   background-color: #fff; */
   border: 0px solid !important;
   border-radius: .25rem;
   background-color: #fafafa;
   border: 1px solid #dfdfdf;
   border-radius: 0.25rem;
   margin: 7px 7px 7px 7px;
 }

 .header-alert
 {
   background-color: #f8d7da;
   border-color: #f5c6cb;
 }

 .header-warning
 {
   background-color: #fff3cd;
   border-color: #ffeeba;
 }

 .header-info
 {
   background-color: #d1ecf1;;
   border-color: #bee5eb;
 }

 .nocardborder
 {
   border: 0px solid !important;
 }

 hr.sep{
  height: 15px;
  border-style: solid;
  border-color: #8c8b8b;
  border-width: 1px 0 0 0;
}



</style>

<script>

<?php create_translate_xml_js_function(); ?>

var myTabbar;
var studyframe;
var serieframe;

var myLayout;

function init_layout(){
   myLayout = new dhtmlXLayoutObject(layout, '1C');

   var a = myLayout.cells('a');
   a.attachObject('layoutcontent');
   a.hideHeader();
   a.showInnerScroll();

   window.myLayout = myLayout;
   alert('init');
 }

</script>
</head>
<body>
 <div id="layoutcontent" style="width: 98%;">
   <div class="container-fluid" style="padding:0 0 0 0">
     <div class="row">
       <div class="col header-alert">
         <?php
           $conn = get_dbconnection();
           $sql = "select count(level),level from (
           select level from v_alert_action
           union all
           select level from v_alert_audit
           union all
           select level from v_alert_device_inspection
           union all
           select level from v_alert_afcnsend
           union all
           select level from v_alert_staff_formation
           union all
           select severity as level from v_alert_report) as all_alert group by level order by level desc";
           $arr[3] = 0;
           $arr[2] = 0;
           $arr[1] = 0;

           if ($query = pg_query($conn,$sql))
           {
             while($row = pg_fetch_row($query))
             {
               $arr[$row[1]] = $row[0];
               $sum += $row[0];
             }
           }
         ?>

         <div class="card nocardborder text-white o-hidden h-100">
           <div class="card-body alert-danger">
             <div class="card-body-icon">	<i class="fas fa-fw fa-exclamation-circle"></i>		</div>
             <div class="mr-5"><?php echo $arr[3].' '. $_Alert?></div>
           </div>
         </div>
       </div>

       <div class="col header-warning">
         <div class="card nocardborder text-white o-hidden h-100">
           <div class="card-body alert-warning">
             <div class="card-body-icon">	<i class="fas fa-fw fa-exclamation-triangle"></i>	</div>
             <div class="mr-5"><?php echo $arr[2].' '. $_Warning;?></div>
           </div>
         </div>
       </div>

       <div class="col header-info">
         <div class="card nocardborder text-white o-hidden h-100">
           <div class="card-body alert-info">
             <div class="card-body-icon">	<i class="fas fa-fw fa-info-circle"></i>            </div>
             <div class="mr-5"><?php echo $arr[1].' '. $_Information;?></div>
           </div>
         </div>
       </div>
     </div>
     <hr class='sep' />
    <div class="row">
      <div class="col"><?php create_card('incidentreporting');create_card('audit');create_card('scheduledtask'); ?> </div>
      <div class="col"><?php create_card('staff');create_card('device');create_card('dosimetry'); ?></div>
   </div>
   </div>
 </div>
<script>
window.ToggleDiv = function(_div) {

  if (_div.style.display === "none") {
    _div.style.display = "block";
    _div.parentNode.scrollIntoView({ behavior: 'smooth', block: 'nearest', inline: 'end' });
  } else {
    _div.style.display = "none";
  }

}

if (typeof resizeLayout !== "function") {

  if (window.attachEvent)
    window.attachEvent("onresize",resizeLayout);
  else
    window.addEventListener("resize",resizeLayout, false);


  var t;

  function resizeLayout(){
   window.clearTimeout(t);
   t = window.setTimeout(function(){
     if(myLayout != null){

     // target.style.width = contentw.offsetWidth;
     // target.style.height = contentw.offsetHeight;

      myLayout.setSizes(false);

       //myTabbar.
    }
   },200);
  }
}
</script>
</body>
</html>
