<?php

require_once('../../autoload.php');

header('Content-Type: application/json');

$conn = get_dbconnection();

if($conn)
{
  $sql="select tag.id,tag.name from institution,tag,tag_link where tag_link.type = 'institution' and tag_link.ext_id = institution.id and tag.id = tag_link.tag_id and tag.removed = false order by tag.name";;
  $listInstitution = array();
  $institutionSection = "Institution";
  if($query=pg_query($conn,$sql))
  {
    while($row = pg_fetch_row($query))
    {

      $row[1]=trim(preg_replace('/[[:cntrl:]]/', '', htmlspecialchars($row[1],ENT_QUOTES)));
      if(!array_key_exists($institutionSection,$listInstitution))
      {
        $tt = new stdClass();
        $tt->type = "optiongroup";

        $tt->label = $institutionSection;
        $tt->children = array();

        $listInstitution[$institutionSection] = $tt;

      }

      $institution = &$listInstitution[$institutionSection];
      $department = new stdClass();
      $department->type = "option";
      $department->value = $row[0];
      $department->label = $row[1];
      $institution->children[] = $department;
    }
  }


  $sql="select department.inst_id,institution.name,tag.id,department.name from institution,department,tag,tag_link where institution.id =department.inst_id and tag_link.type = 'department' and tag_link.ext_id = department.id and tag.id = tag_link.tag_id and tag.removed = false order by tag.name";

  if($query=pg_query($conn,$sql))
  {
    while($row = pg_fetch_row($query))
    {

      $row[0]=trim(preg_replace('/[[:cntrl:]]/', '', htmlspecialchars($row[0],ENT_QUOTES)));
      $row[1]=trim(preg_replace('/[[:cntrl:]]/', '', htmlspecialchars($row[1],ENT_QUOTES)));
      $row[2]=trim(preg_replace('/[[:cntrl:]]/', '', htmlspecialchars($row[2],ENT_QUOTES)));
      $row[3]=trim(preg_replace('/[[:cntrl:]]/', '', htmlspecialchars($row[3],ENT_QUOTES)));
      if(!array_key_exists($row[0],$listInstitution))
      {
        $tt = new stdClass();
        $tt->type = "optiongroup";

        $tt->label = $row[1];
        $tt->children = array();

        $listInstitution[$row[0]] = $tt;

      }

      $institution = &$listInstitution[$row[0]];
      $department = new stdClass();
      $department->type = "option";
      $department->value = $row[2];
      $department->label = $row[3];
      $institution->children[] = $department;
    }
  }


}
else{
  echo "Could not connect";
}
$vArray = [];
foreach ($listInstitution as $key => $value){
  $vArray[] =  $value;
}
$myJSON = json_encode($vArray);

echo $myJSON;
?>
