<?php

error_reporting(E_ALL ^ E_NOTICE);

//include db connection settings
require_once('../../autoload.php');


function add_row(&$rowId){
  $conn = get_dbconnection();

  $dep_id = $_POST[$rowId.'_dep_id'];
  $title = pg_escape_string ($conn,$_POST[$rowId.'_title']);
  $severity = $_POST[$rowId.'_severity'];
  $reportdate = $_POST[$rowId.'_reportdate'];
  $reporterby = $_POST[$rowId.'_reporterbyid'];
  $comment = pg_escape_string ($conn,$_POST[$rowId.'_comment']);

  $sql = 'insert into report(title,dep_id,reporter,reportdate,status_id,severity,comment) values (\''.$title.'\','.$dep_id.','.$reporterby.',to_timestamp(\''.$reportdate.'\',\'DD/MM/YYYY\'),'.STATUS_OPEN_ID.','.$severity.',\''.$comment.'\') returning id;';

  if ($query = pg_query($conn,$sql)){
     if(!($row = pg_fetch_row($query)))
     {
      return 'failed';
     }
     $rowId = $row[0];
  }else
  {
    return 'failed';
  }

  return 'inserted';
}


function update_row(&$rowId){

  $conn = get_dbconnection();

  $dep_id = $_POST[$rowId.'_dep_id'];
  $title = pg_escape_string ($conn,$_POST[$rowId.'_title']);
  $severity = $_POST[$rowId.'_severity'];
  $reportdate = $_POST[$rowId.'_reportdate'];
  $comment = pg_escape_string ($conn,$_POST[$rowId.'_comment']);

  $sql = 'update report';
  $sql .= ' set severity = '.$severity;
  $sql .= ' ,title = \''.$title.'\'';
  $sql .= ' ,comment = \''.$comment.'\'';
  $sql .= ' ,dep_id = '.$dep_id;
  if($reportdate != '')
    $sql .= ' ,reportdate = to_timestamp(\''.$reportdate.'\',\'DD/MM/YYYY\')';
  else
    $sql .= ' ,reportdate = null';

  $sql .= ' where id =  '.$rowId.';commit;';

  error_log('$sql');
  if (!pg_query($conn,$sql)){
     return 'failed';
  }

  return 'updated';
}

ob_clean();
//include XML Header (as response will be in xml format)
header("Content-type: text/xml");

//encoding may differ in your case
echo('<?xml version="1.0" encoding="iso-8859-1"?>');
//output update results
echo "<data>";


$ids = explode(",",$_POST["ids"]);

//for each row
for ($i=0; $i < sizeof($ids); $i++) {
	$rowId = $ids[$i]; //id or row which was updated
  $newrowId = $rowId;
	//$newId = $rowId; //will be used for insert operation

	$mode = $_POST[$rowId."_!nativeeditor_status"]; //get request mode

	switch($mode){
		case "inserted":
			//row adding request
			$action = add_row($newrowId);
		break;

    default: $action = update_row($newrowId);
	}
	echo "<action type='".$action."' sid='".$rowId."' tid='".$newrowId."'/>";

}
echo "</data>";

?>
