<?php
require_once('../../../../dhtmlx/phpconnector/grid_connector.php');
require_once('../../../../dhtmlx/phpconnector/grid_config.php');
require_once('../../../../dhtmlx/phpconnector/db_postgre.php');

require_once '../../autoload.php';

function custom_filter($filter_by)
{
	if(isset($_GET["dhx_filter"])){
		foreach($_GET["dhx_filter"] as $k => $v)
		{
			if($v != ''){
				switch($k)
				{
					case 1:  $filter_by->add("match_id",$v,"="); break;
      		case 2:  $filter_by->add("tag1||tag2",$v."%","like"); break;
          case 4:  $filter_by->add("attribute","%".unaccent($v)."%","ilike"); break;
          case 5:  $filter_by->add("custom_description","%".unaccent($v)."%","ilike"); break;
				//	case 4:  $filter_by->add("int_id",$v,"="); break;
				//	case 5:  $filter_by->add("hospi",$v,"="); break;
					default: break;
				}
			}
		}
	}
}


$conn = get_dbconnection();


if ( $conn )
{
	$config = new GridConfiguration();
	
	$config->setHeader		( array ( "examident_id",	"",					"Name",		"Description"		));
	$config->setColIds		( array ( "examident_id",	"shortcut_add",		"name",		"description"		));
	$config->setColTypes	( array ( "ro",				"icon",				"ro",		"ro"				));
	$config->attachHeader	( array ( "#rspan",			"#rspan",			"#rspan",	"#rspan"			));
	$config->setColSorting	( array ( "str",			"str",				"str",		"str"				));
	$config->setInitWidths	( array ( "50",				"50",				"100",		"*"					));
	$config->setColHidden	( array ( "1",				"0",				"0",		"0"					));

	$data = new GridConnector($conn,"Postgre");

	$data->set_config($config);

	$data->render_complex_sql 
	( 
		"select id, '".ICON_ADD_FONT."' as shortcut_add, name, description from examident where removed=false and examident.id not in ( select examident_id from examident_link where exam_id='{$_GET['exam_id']}')",
		"id",
		"id, shortcut_add, name, description" 
	);
}
