<?php
  include 'autoload.php';
 ?>
<!DOCTYPE html>
<html lang="en">

<head>

  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <meta name="description" content="">
  <meta name="author" content="">
  <link rel="stylesheet" type="text/css" href="/dhtmlx/codebase/fonts/font_roboto/roboto.css"/>
  <link rel="stylesheet" type="text/css" href="/dhtmlx/codebase/dhtmlx.css"/>
  <link rel="stylesheet" type="text/css" href="/dhtmlx/skins/web/dhtmlx.css"/>
  <link rel="stylesheet" type="text/css" href="/extern_css/bootstrap-4.5.3/css/bootstrap.min.css"/>
  <link rel="shortcut icon" type="image/x-icon" href="./Common/pics<?php echo  $GLOBALS["EOQUAL_ROOT"]?>.png" />
  <script type='text/javascript' src="/dhtmlx/codebase/dhtmlx.js"></script>
  <script type='text/javascript' src="/dhtmlx_addon/dhtmlxgrid_doublecalendarinput.js"></script>
  <script type='text/javascript' src="/dhtmlx_addon/dhtmlxform_buttonximeo.js"></script>
  <script type='text/javascript' src="/dhtmlx_addon/c_dhtmlxutils.js"></script>

  <title><?php echo $_IncidentReporting;?></title>

  <!-- Custom fonts for this template-->
  <link href="/extern_css/font-awesome-current/css/all.min.css" rel="stylesheet" type="text/css">

  <script src="js/jquery/jquery.min.js"></script>

  <!-- Core plugin JavaScript-->
  <script src="js/jquery-easing/jquery.easing.min.js"></script>
  <script src="js/c_documentmanager.js"></script>
  <!-- Custom styles for this template-->
  <link href="css/sb-admin.css" rel="stylesheet">
	<link rel="stylesheet" href="css/eoQUAL.css"/>
  <style>

  /*fix bug with bootstrap (grid resize after research)*/
	*, *::before, *::after {
		box-sizing: content-box;
	}
  div#layout {
		position: absolute;
		margin:0 auto;
    overflow: hidden;
		width: 100%;
		height: 100%;
	}
  </style>

  <script>

	var myLayout = null;
	var url_gridincidentreporting = '<?php echo  $GLOBALS["EOQUAL_ROOT"]?>/Main/dbconnector/incidentreporting/db_gridincidentreporting.php';
  var url_scheduledtask = "<?php echo  $GLOBALS["EOQUAL_ROOT"]?>/Common/renderpage.php?pageid=VIEW_SCHEDULEDTASK&forselection=1&scope=report";
<?php create_translate_xml_js_function(); ?>

//globals parameter for task selection
wintask = null;


var dhtmlxUtils = null;

function lol(){
  alert('lol');
}

function init_layout(){
  var staffid = <?php echo $_SESSION['id'];?>;
  var isembedded = false;

  //page is embedded into eodacs frame
  if(typeof embeddedpage !== 'undefined')
    isembedded = true;

  dhtmlxUtils = new C_DhtmlxUtils(isembedded);

  window.dhx4.skin = 'dhx_web';
  myLayout = new dhtmlXLayoutObject('layout', '3L');
  myLayout.cookie_id = 'eoqualincidentreporting'+staffid;

  var a = myLayout.cells('a');
  a.hideHeader();
  a.setWidth('410');
  window.cella = myLayout.cells('a');
  var grid_incidentreporting = a.attachGrid();
  grid_incidentreporting.enableMultiline(true);
  grid_incidentreporting.cookie_id = 'eoqualincident'+staffid;
  grid_incidentreporting.load(url_gridincidentreporting);
  grid_incidentreporting.attachEvent("onEditCell", function(stage,rId,cInd,nValue,oValue){
    // your code here
    return false;
  });

  var dpincidentreporting = new dataProcessor(url_gridincidentreporting);
  dpincidentreporting.enableDataNames(true);
  dpincidentreporting.init(grid_incidentreporting); //link grid to dataprocessor


  var grid_incidentreporting_toolbar = a.attachToolbar({
			iconset: "awesome",
			skin: "dhx_web",
			height:'25',
			xml: translate_xml("<?php echo  $GLOBALS["EOQUAL_ROOT"]?>/Main/form_template/incidentreporting/incidentreportingtoolbar.xml")
		});

  var b = myLayout.cells('b');
  b.hideHeader();
  b.setHeight('360');
  var form_incidentreporting_toolbar = b.attachToolbar({
    iconset: "awesome",
    skin: "dhx_web",
    height:'25',
    xml: translate_xml("<?php echo  $GLOBALS["EOQUAL_ROOT"]?>/Main/form_template/incidentreporting/incidentreportingformtoolbar.xml")
  });
  
  var form_incidentreporting = b.attachForm();
  form_incidentreporting.loadStruct(translate_xml("<?php echo  $GLOBALS["EOQUAL_ROOT"]?>/Main/form_template/incidentreporting/incidentreportingform.xml"));

  form_incidentreporting.attachEvent("onButtonClick", function(name){
    var id = grid_incidentreporting.getSelectedRowId()
    if( id == null)
      return;

    if(name == 'select_task')
    {
      wintask = myLayout.dhxWins.createWindow("linkatask", 0, 0, 520, 500);
      wintask.attachURL(url_scheduledtask+"&scopeid="+id,false);
      wintask.maximize();
      wintask.setModal(true);
      wintask.setText("Linked task");
      wintask.attachEvent("onClose", function(win){
        grid_incidentreporting.updateFromXML(url_gridincidentreporting+"?incidentreportingid="+id,false,false, function(){
          grid_incidentreporting.clearSelection();
          grid_incidentreporting.selectRowById(id,true);
          form_incidentreporting.setFocusOnFirstActive();
        });
        return true;
      });
    }
  ;});

  form_incidentreporting.bind(grid_incidentreporting);
  form_incidentreporting.linkeddp = dpincidentreporting;

  var c = myLayout.cells('c');
  c.hideHeader();
  var grid_incidentreportingdocument_toolbar = c.attachToolbar({
    iconset: "awesome",
    skin: "dhx_web",
    height:'25',
    xml: translate_xml("<?php echo  $GLOBALS["EOQUAL_ROOT"]?>/Main/form_template/incidentreporting/incidentreportingdocumenttoolbar.xml")
  });

	var grid_incidentreportingdocument = c.attachGrid();

  dpincidentreporting.attachEvent("onAfterUpdate",function(sid,action,tid,xml_node){ // update is finished

    if(action=='inserted' ){
      grid_incidentreporting.updateFromXML(url_gridincidentreporting+"?incidentreportingid="+tid,false,false, function(){
        grid_incidentreporting.selectRowById(tid,true);
        form_incidentreporting.setFocusOnFirstActive();
      });
    }
    else if(action == 'updated')
    {
      grid_incidentreporting.updateFromXML(url_gridincidentreporting+"?incidentreportingid="+tid,false,false, function(){
        grid_incidentreporting.selectRowById(tid,true);
        form_incidentreporting.setFocusOnFirstActive();
      });
    }
  });



  grid_incidentreporting_toolbar.attachEvent("onClick", function(id){

    //your code here
    switch(id)
    {
      case 'add':
      {
        var rowId=grid_incidentreporting.uid();                  //generates an unique id
        grid_incidentreporting.addRow(rowId,[<?php echo $_SESSION['id']; ?>],0);
        grid_incidentreporting.selectRow(0,true);
      }break;
      case 'delete':
      {
        var rowId = grid_incidentreporting.getSelectedRowId();
         var rowIndex = grid_incidentreporting.getRowIndex(rowId);
         if(rowId!=null){
             grid_incidentreporting.deleteRow(rowId);
             if(rowIndex!=(grid_incidentreporting.getRowsNum()-1)){
                 grid_incidentreporting.selectRow(rowIndex+1,true);
             } else{
                 grid_incidentreporting.selectRow(rowIndex-1,true);
             }
         }
      }break;
      default:
    }
  });

  form_incidentreporting_toolbar.attachEvent("onClick", function(id){
    //your code here
    switch(id)
    {
      case 'save':
      {
        form_incidentreporting.linkeddp.setUpdateMode('off');
        // save changes
        if(form_incidentreporting.validate())
          form_incidentreporting.save();
        form_incidentreporting.linkeddp.sendData();
        form_incidentreporting.linkeddp.setUpdateMode('cell');
      }break;
      default:
    }
  });

  //***************************************incidentreporting BEGIN*****************************************//




  var docManager_incidentreporting = new C_DocumentManager();
  docManager_incidentreporting.set_data('winname','FormincidentreportingDocument');
  docManager_incidentreporting.set_data('uploadername','devicedocumentfile');
  docManager_incidentreporting.set_data('layout',myLayout);
  docManager_incidentreporting.set_data('staffid',<?php echo $_SESSION['id']; ?>);
  docManager_incidentreporting.set_data('title_newdocument','New document');
  docManager_incidentreporting.set_data('title_newversion','New version');
  docManager_incidentreporting.set_data('title_editversion','Edit version');
  docManager_incidentreporting.set_data('noselection','No incident selected');
  docManager_incidentreporting.set_data('serverip','<?php echo $config_servernameorip;?>');
  docManager_incidentreporting.set_data('pdfviewer','<?php echo $config_pdfchrome;?>');
  docManager_incidentreporting.set_data('type','report');
  docManager_incidentreporting.init();
  docManager_incidentreporting.init_object(grid_incidentreporting,grid_incidentreportingdocument_toolbar,grid_incidentreportingdocument);


  grid_incidentreporting.attachEvent('onFilterStart',function(indexes,values){
    form_incidentreporting.clear();
    grid_incidentreportingdocument.clearAll();
  });
  //***************************************incidentreporting END*****************************************//


  //***************************************save state******************************************************//



  //dhtmlxUtils.init_layout_save_cookies(myLayout);
  dhtmlxUtils.init_grid_save_cookies(grid_incidentreporting);


  //***************************************event on document begin*****************************************//
  document.addEventListener('onAfterDocumentInserted',function(event)
  {

    switch(event.detail['type'])
    {
      case 'report':
      {
        docManager_incidentreporting.update_document_grid(event.detail['docid']);
      }break;
      default:
    }
  });

  document.addEventListener('onAfterDocumentUpdated',function(event)
  {
    switch(event.detail['type'])
    {
      case 'report':
      {
        docManager_incidentreporting.update_document_grid(event.detail['docid']);
      }break;
      default:
    }

  });

  document.addEventListener('onAfterDocumentDeleted',function(event)
  {
    switch(event.detail['type'])
    {
      case 'incidentreporting':
      {
        docManager_incidentreporting.update_document_grid(event.detail['docid']);
      }break;
      default:
    }
  });

	window.myLayout = myLayout;
}


</script>

<body>

<div id="layout"/>

<script>

  init_layout();


  if (window.attachEvent)
  	window.attachEvent("onresize",pageresizeLayout);
  else
  	window.addEventListener("resize",pageresizeLayout, false);


  var t;

  function pageresizeLayout(){
  	window.clearTimeout(t);
  	t = window.setTimeout(function(){
     if(myLayout != null){
  		 myLayout.setSizes(false);
    }
  	},200);
  }

</script>

</body>
</html>
