<?php
  include 'autoload.php';
 ?>

<!DOCTYPE html>
<html lang="en">

<head>

  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <meta name="description" content="">
  <meta name="author" content="">
  <link rel="stylesheet" type="text/css" href="/dhtmlx/codebase/fonts/font_roboto/roboto.css"/>
  <link rel="stylesheet" type="text/css" href="/dhtmlx/codebase/dhtmlx.css"/>
  <link rel="stylesheet" type="text/css" href="/dhtmlx/skins/web/dhtmlx.css"/>
  <link rel="stylesheet" type="text/css" href="/extern_css/bootstrap-4.5.3/css/bootstrap.min.css"/>
  <link rel="shortcut icon" type="image/x-icon" href="../Common/pics/eoqual.png" />
  <script type='text/javascript' src="/dhtmlx/codebase/dhtmlx.js"></script>
  <script type='text/javascript' src="/dhtmlx_addon/dhtmlxform_buttonximeo.js"></script>
  <script type='text/javascript' src="/dhtmlx_addon/c_dhtmlxutils.js"></script>

  <title><?php echo $_Procedure;?></title>

  <!-- Custom fonts for this template-->
  <link href="/extern_css/font-awesome-current/css/all.min.css" rel="stylesheet" type="text/css">

  <script src="./js/jquery/jquery.min.js"></script>

  <!-- Core plugin JavaScript-->
  <script src="./js/jquery-easing/jquery.easing.min.js"></script>
  <script src="./js/c_documentmanager.js"></script>
  <!-- Custom styles for this template-->
  <link href="./css/sb-admin.css" rel="stylesheet">
	<link rel="stylesheet" href="./css/eoQUAL.css"/>
  <style>

  /*fix bug with bootstrap (grid resize after research)*/
	*, *::before, *::after {
		box-sizing: content-box;
	}
  div#layout {
		position: absolute;
		margin:0 auto;
    overflow: hidden;
		width: 100%;
		height: 100%;
	}
  </style>

  <script>

	var myLayout = null;
	var url_gridprocedure = '<?php echo  $GLOBALS["EOQUAL_ROOT"]?>/Main/dbconnector/procedure/db_gridprocedure.php';
<?php create_translate_xml_js_function(); ?>

var dhtmlxUtils;

function init_layout ()
{
  var staffid = <?php echo $_SESSION['id'];?>;
  var isembedded = false;

  //page is embedded into eodacs frame
  if(typeof embeddedpage !== 'undefined')
    isembedded = true;

  dhtmlxUtils = new C_DhtmlxUtils(isembedded);

  window.dhx4.skin = 'dhx_web';
  myLayout = new dhtmlXLayoutObject('layout', '3L');
  myLayout.cookie_id = 'eoqualprocedure'+staffid;



  // ************************************************************************************************
  // Procedure list
  //

  var a = myLayout.cells('a');
  a.hideHeader();
  a.setWidth('400');
  window.cella = myLayout.cells('a');
  var grid_procedure = a.attachGrid();
  grid_procedure.enableMultiline(true);
  grid_procedure.load(url_gridprocedure);
  var dpprocedure = new dataProcessor(url_gridprocedure);
  dpprocedure.init(grid_procedure); //link grid to dataprocessor

  var grid_procedure_toolbar = a.attachToolbar({
			iconset: "awesome",
			skin: "dhx_web",
			height:'25',
			xml: translate_xml("<?php echo  $GLOBALS["EOQUAL_ROOT"]?>/Main/form_template/procedure/proceduretoolbar.xml")
		});





  // ************************************************************************************************
  // Procedure information ( form )
  //

  var b = myLayout.cells('b');
  b.hideHeader();
  b.setHeight('160');
  var form_procedure_toolbar = b.attachToolbar({
    iconset: "awesome",
    skin: "dhx_web",
    height:'25',
    xml: translate_xml("<?php echo  $GLOBALS["EOQUAL_ROOT"]?>/Main/form_template/procedure/procedureformtoolbar.xml")
  });
  var form_procedure = b.attachForm();
  form_procedure.loadStruct(translate_xml("<?php echo  $GLOBALS["EOQUAL_ROOT"]?>/Main/form_template/procedure/procedureform.xml"));

  form_procedure.bind(grid_procedure);
  form_procedure.linkeddp = dpprocedure;


  // ************************************************************************************************
  // Document
  //

  var c = myLayout.cells('c');
  c.hideHeader();
  var grid_proceduredocument_toolbar = c.attachToolbar({
    iconset: "awesome",
    skin: "dhx_web",
    height:'25',
    xml: translate_xml("<?php echo  $GLOBALS["EOQUAL_ROOT"]?>/Main/form_template/procedure/proceduredocumenttoolbar.xml")
  });

  var grid_proceduredocument = c.attachGrid();

  dpprocedure.attachEvent("onAfterUpdate",function(sid,action,tid,xml_node){ // update is finished

    if(action=='inserted' ){
      grid_procedure.updateFromXML(url_gridprocedure+"?procedureid="+tid,false,false, function(){
        grid_procedure.selectRowById(tid,false,true,true);
        form_procedure.setFocusOnFirstActive();
      });
    }
    else if(action == 'updated')
    {
      grid_procedure.updateFromXML(url_gridprocedure+"?procedureid="+tid,false,false, function(){
        grid_procedure.selectRowById(tid,false,true,true);
        form_procedure.setFocusOnFirstActive();
      });
    }
  });



  grid_procedure_toolbar.attachEvent
  (
	"onClick",
	function (id)
	{
		switch(id)
		{
			case 'add':
			{
				var rowId=grid_procedure.uid();                  //generates an unique id
				grid_procedure.addRow(rowId,["",""],0);
			}
			break;

			case 'delete':
			{
				var rowId = grid_procedure.getSelectedRowId();
				var rowIndex = grid_procedure.getRowIndex(rowId);
				if(rowId!=null)
				{
				grid_procedure.deleteRow(rowId);
				if ( rowIndex!=(grid_procedure.getRowsNum()-1))
				{
					grid_procedure.selectRow(rowIndex+1,true);
				} else
				{
                 grid_procedure.selectRow(rowIndex-1,true);
				}
				}
			}
			break;

			default:
				break;
		}
	}
  );

  form_procedure_toolbar.attachEvent
  (
	"onClick",
	function (id)
	{
		switch(id)
		{
			case 'save':
				{
					form_procedure.linkeddp.setUpdateMode('off');
					// save changes
					if(form_procedure.validate())
						form_procedure.save();
					form_procedure.linkeddp.sendData();
					form_procedure.linkeddp.setUpdateMode('cell');
				}
				break;

			default:
				break;
		}
	}
  );

  //***************************************Procedure BEGIN*****************************************//
  var docManager_procedure = new C_DocumentManager ();


  docManager_procedure.set_data ( 'winname',			'FormProcedureDocument'							);
  docManager_procedure.set_data ( 'uploadername',		'devicedocumentfile'							);
  docManager_procedure.set_data ( 'layout',				myLayout										);
  docManager_procedure.set_data ( 'staffid',			<?php echo $_SESSION['id']; ?>					);
  docManager_procedure.set_data ( 'title_newdocument',	'New procedure'									);
  docManager_procedure.set_data ( 'title_newversion',	'New version'									);
  docManager_procedure.set_data ( 'title_editversion',	'Edit version'									);
  docManager_procedure.set_data ( 'noselection',		'No procedure selected'							);
  docManager_procedure.set_data ( 'serverip',			'<?php echo $config_servernameorip;?>'			);
  docManager_procedure.set_data ( 'documentstorage',	'<?php echo $GLOBALS["document_storage"]; ?>'	);
  docManager_procedure.set_data ( 'pdfviewer',			'<?php echo $config_pdfchrome;?>'				);
  docManager_procedure.set_data ( 'type',				'procedure'										);
  docManager_procedure.set_data ( 'uniquedoc',			'1'												);

  docManager_procedure.init();

  docManager_procedure.init_object ( grid_procedure, grid_proceduredocument_toolbar, grid_proceduredocument );
  //***************************************Procedure END*****************************************//


  //***************************************save state******************************************************//
  //dhtmlxUtils.init_layout_save_cookies(myLayout);
  //dhtmlxUtils.init_grid_save_cookies(grid_deviceinspection);


  //***************************************event on document begin*****************************************//
  document.addEventListener('onAfterDocumentInserted',function(event)
  {

    switch(event.detail['type'])
    {
      case 'procedure':
      {
        docManager_procedure.update_document_grid(event.detail['docid']);
      }break;
      default:
    }
  });

  document.addEventListener('onAfterDocumentUpdated',function(event)
  {
    switch(event.detail['type'])
    {
      case 'procedure':
      {
        docManager_procedure.update_document_grid(event.detail['docid']);
      }break;
      default:
    }

  });

  document.addEventListener('onAfterDocumentDeleted',function(event)
  {
    switch(event.detail['type'])
    {
      case 'procedure':
      {
        docManager_procedure.update_document_grid(event.detail['docid']);
      }break;
      default:
    }
  });

	window.myLayout = myLayout;
}


</script>

<body>

<div id="layout"/>

<script>

  init_layout();


  if (window.attachEvent)
  	window.attachEvent("onresize",pageresizeLayout);
  else
  	window.addEventListener("resize",pageresizeLayout, false);


  var t;

  function pageresizeLayout(){
  	window.clearTimeout(t);
  	t = window.setTimeout(function(){
     if(myLayout != null){
  		 myLayout.setSizes(false);
    }
  	},200);
  }

</script>

</body>
</html>
